 Charakteristika programu

Proč používat PSPad ?

· Pracujete se soubory v různých formátech a kódových stránkách ?
· Líbí se vám, barevně zvýrazněna syntaxe v daném souboru ?
· Potřebujete nástroj s jednoduchostí NOTEPADU a vymoženostmi programátorských editorů ?
· Potřebujete srovnávat verze zdrojových kódů a nechcete kvůli tomu instalova SourceSafe ?
· Používáte nějaký exotický programovací jazyk a chtěli byste grafické uživatelské rohraní ?

Pokud jste aspoň na jednu otázku odpověděli ANO, je PSPad pro vás to pravé.
Pro první seznámení doporučuji přečíst si v nápovědě příklad tvorby HTML nebo stránky

pspadcz

Co PSPad nabízí ?

· Velmi jednoduchá a intuitivní práce, při prvním spuštění není třeba nic složitě konfigurovat
· Neomezená délka editovaného textu
· Možnost otevření více dokumentů současně
· Záznam maker s možností uložení na disk a ruční editace
· Práce s projekty
·
· Nalezení rozdílů v textových souborech (porovnání verzí)
· Zvýraznění syntaxe pro více jak 40 druhů souborů s rozlišením 7 dialektů syntaxe SQL a možností uživatelské tvorby vlastních zvýrazňovačů
· Automatické rozpoznání syntaxe podle typu souboru s možností manuální změny
· Pro každý typ definovatelné barvy pro zvýraznění syntaxe, masky souborů a externí programy
· Snadná definice , (pokud máte nějaký exotický typ souboru)
· Pro každé prostředí možnost nastavit 5 externích programů + kompilátor
· Definovatelné šablony (např. HTML tagy, skripty, kusy kódy, deklarace atd.). Šablony lze vkládat přes seznam nebo je vyvolávat klávesovými zkratkami. Součástí instalace jsou šablony pro HTML, PHP, JScript, VBScript, MS-Dos Batch, Pascal, Perl, MY-SQL, OtherCad, IEC113, atd.
· Náhled HTML a JavaScriptu v interním prohlížeči.
· Tisk se zvýrazněnou syntaxí s možností náhledu před tiskem a nastavením vzhledu stránky
· Sloupcové, řádkové a normální bloky
· Záložky v textu
· Automatické opravy, kontrola pravopisu
· Konverze češtiny mezi Windows 1250, Latin II, Kamenických, ISO 8859-2, UNICODE, UTF-8 s možností automatické detekce.
· Editor si poradí s formátem souborů DOS, MAC, UNIX včetně jejich konverze
· HEXA editor
· Program si pamatuje historii otevřených souborů a projektů, umí při spuštění otevřít soubory, které byly otevřeny při ukončení, zapamatuje si stav souboru při jeho uzavření a při příštím otevření jej otevře ve stavu, ve kterém jste jej opustili.
· Export do RTF a HTML souboru nebo do schránky se zachováním zvýrazněné syntaxe
· Přímé odeslání souboru na disketu, jako přílohu nebo obsah e-Mailu
· Volitelné zobrazení čísel řádků, podbarvení aktuálního řádku, pravítko
· Převody velikosti písmen (malá, velká, první písmena velká)
· Přeformátování a komprese HTML kódu, změna velikosti písmen pro TAGy, odstranění tagů
· Odstranění prázdných řádků, nadbytečných mezer, přidání textu do řádků
· Odstranění diakritiky z textu, přidání diakritiky do textu
· Otevření souboru, který je předán jako parametr nebo přetažen na plochu programu
· Editace souborů s atributy ReadOnly, Hidden, System se zachováním atributů
· Samostatný EXE bez nutnosti instalace a závislosti na dalších knihovnách, které nejsou součástí systému
· Minimalizace do systémové ikony, práce ve víceuživatelském prostředí (Windows NT)
· Možnost lokalizace do jiných jazyků (součástí instalace je angličtina, slovenština, němčina, italština)
· Rozšíření kontextové nabídky (pravé tlačítko myši) v průzkumníku o možnost otevření souborů PSPadem, přímé přiřazení TXT souborů, integrace do prohlížečů IE, OPERA, Total Commander. Samozřejmostí je opětovné odstranění přiřazení.


 Novinky a historie změn

Legenda :
· přidáno
· odebráno
· opraveno

verze 4.2.9 ze dne 30.1.2004
· v panelu Odkazů přidány proměnné i pro webove odkazy
· v menu nápověda přidána položka pro "Nástroje Online"
· přidána Katalánská lokalizace (Antoni Clavell) + slovník na kontrolu pravopisu
· přidán dialog na nastavení HEXA editoru v menu Nastavení
· přepínání mezi posledními dvěma okny je aktivní pouze při volbě [X] Chytré přepínání souborů v Nastavení programu
· nový (veliký) německý slovník pro kontrolu pravopisu
· při přímé editaci v HEXA editoru je možnost nastavit počet bytů na řádek
· v nastavení FTP připojení je možno zadat seznam jmen měsíců, použitých FTP serverem
· přidán dotaz před smazáním historie v nastavení programu. Maže se i historie hledání
· přepínání oken - při držení CTRL se přepíná postupně, při pouštění CTRL se přepíná mezi posledně použitými okny
· uživatelská definice pro jazyk ADA
· nová verze slovníků pro kontrolu pravopisu: český, slovenský a anglický
· v dialogu "Nový soubor" je možno označit a otevřít několik dříve otevřených
· přidána Holandská lokalizace (Petyr)
· Nastavení programu / Editor - nová volba [X] Prostřední myš... umožní vypnout vyvolání seznamu na prostřední tlačítko myši
· Nástroje / Specialní konvertory byly přesunuty do menu Úpravy / Konverze
· výběr adresáře pro zálohování je přednastaven
· doplněno tlačítko pro výběr adresáře DocumentRoot v nastavení programu / Internet
· doplněna systémová proměnná %PSPad% s verzí a buildem PSPadu
· na FTP log panelu přidány ikonky pro ladění problémů s FTP - surový výpis adresáře a odeslání FTP LOGu mailem
· do Panelu souborů k adresářům přidáno standardní kontextové menu
· hledání v souborech si pamatuje stav rozbalený pro další hledání
· v nastavení programu je možno vypnout ikonky v menu (vadí to programům pro zrakově postižené)
· na začátku přidána kontrola zda je minimálně Windows98
· Nastavení programu / Internet - nová možnost vzít nastavení proxy servery podle IE
· pokud je označen v Editoru jen jeden řádek, přenáší se text do příkazového řádku
· v multizvýrazňovači je možno automaticky otevírat i zvýrazňovač pro <% %>
· Vybrat vše přidáno do kontextového menu
· Možnost uložit a načíst rozložení klávesových zkratek PSPadu (Nastavení programu / Mapa kláves)
· Text na HTML - meta tag charset se nastaví podle aktuální CP
· HTML náhled doplněn o náhled pomocí Mozilly. Je třeba mít nainstalován Mozilla ActiveX control. Přepínání mezi IE a Mozillou se provádí přímo v náhledu první ikonkou
· přednastavení adresáře pro zálohování souborů
· do PHP zvýrazňovače přidána klíčová slova private, public, protected
· možnost smazat položku z Automatických oprav pomocí kávesy DEL
· konverze označeného textu mezi DEC a HEX soustavami (menu nástroje / speciální konvertory). Je možno přiřadit klávesové zkratky
· přetažení obrázku do HTML souboru jej vloží jako tag <img src=...>. Je možné vložit i několik obrázků současně.
· nový způsob zobrazování okrajů objektů v HTML náhledu (Zdenek Homola)
· automatické nastavení LOG parseru pro HTML a PHP (pokud není)
· nová funkce "Spojit řádky" v menu edit / manipulace s řádky - spojí označené řádky
· Speciální konvertory (menu nástroje) - kódování a dekódování URL a QuotedPrintable
· "HTML náhled" a "náhled z web serveru" přidány do kontextového menu (pravá myš)
· náhled z webového serveru převeden na "akci", takže je možno měnit klávesovou zkratku
· kliknutí na pozici v souboru ve stavovém řádku vyvolá funkci "Jdi na řádek"
· kapátko zobrazuje aktuální barvu a její kód
· odstraněno samostatné přepínání adresace v HEXA editoru
· dokument po "Text na HTML" nebyl označen jako změnený
· pokud byl PSPad maximalizovaný, tak po použití "Kapátka" došlo k zrušení maximalizace
· funkce "Otevřít soubory složky" v projektovém stromu otevírala i složky jako soubory
· Autosave zobrazoval dialog při nově vytvořeném projektu
· Funkce projektu "Zavřít soubory složky" smaže z projektu nový, neuložený, nemodifikovaný soubor
· CodeParser nepracoval s normálními lomítky ve jménu souboru (např. jazyk RUBY)
· nastavení zvýrazňovačů neuložilo změnu přípony
· samovolná změna adresáře v průzkumníkovi souborů
· pomocí F2 nešlo přejmenovat vnořenou složku v projektu
· dialog Nový soubor nevypadal pěkně, pokud byl nastaven v systému větší font
· po minimalizaci do Tray zustala aktivovaná indikace kontroly pravopisu
· problém načítání souborů v UTF-8
· funkce Odstranit nadbytečné mezery vkládala konec řádku
· opraveno chování funkce Spojit řádky
· opraveno chování UTF-8 konverze - mazání prvního znaku
· opravena funkce na odstranění quotování
· neukládalo se nastavení "V přeformátování CSS vždy tabulátory"
· přidání souborů do projektu při neexistenci složky a všech souborech zavřených
· lokalizace kontextoveho menu v náhledu před tiskem
· nepracovalo nastavení zvýrazňovače pro <% %> v multizvýrazňovači
· chování panelu Oblíbených - povolené položky, skupina při přidávání odkazu,...
· "Vložit ze souboru" - v dialogu byl povolen výběr více souborů
· "Uložit projekt" nebylo přístupné pokud nebyl otevřen žádný soubor
· chyba CodeExploreru u XML s chybnou strukturou
· ESC v seznamu šablon ukončil program místo skrytí seznamu
· konverze Text na HTML zachová jméno souboru, jen změní koncovku
· zarovnání bloku doprostřed po zavření všech dokumentů zůstalo zakázané
· zvýraznění komplikovaných řetězců v PHP
· zarovnání oken Vedle sebe a Pod sebe pracovalo i s minimalizovanymi okny
· skrytí všech a zobrazení jen Makro panelu
· při přetažení zástupce se neotevřel soubor, ale zástupce
· náhled JavaScriptu v interním prohlížeči má příponu .HTML
· nenačítaly se barvy pro XHTML, pokud byl jako základ Multizvýrazňovače
· oprava chyby při kódování UTF-8 a konci řádků Unix nebo MAC
· opravy v FTP kódu
· nebylo možné vymazat cestu pro zálohování v Nastavení programu / Soubory
· pokud se nástroje dokovaly do levého panelu a ten nebyl viditelný, nezobrazily se
· opraveno zobrazování záložek se jmény souborů
· optimalizace ukládání Nastavení programu
· chyba při nastavení zvýraznovačů a hexa editoru
· nutnost existence TidyATL.DLL v adresáři PSPadu
· při zobrazeném HEXA editoru byly povolené akce zvětšit a zmenšit odsazení
· v PHP zvýrazňovači mizel text za znakem $
· někdy se objevila chyba při zobrazování seznamu šablon
· zapomenuto nastavení nově přiřazeného uživatelského zvýrazňovače po stisku Storno v nastavení zvýrazňovačů
· výběr zvýrazňovačů v dialogu Nastavení zvýrazňovačů se neprojevil v dialogu Nový soubor
· HTML reformat odstranil formátování PHP
· problémy se zobrazováním informací na stavovém řádku při přepnutí do HEXA zobrazení
· ošetření otevírání souboru při importu HTML
· opravena reakce na stisk tlačítka Storno v dialogu po "Zavřít vše"
· při uložení projektu do existujícího souboru přidán dotaz
· mazání historie v Nastavení programu - nemazal se obsah Recent.INI
· HEXA editor při uložit jako nastavil nesmyslné atributy souboru
· kontextové menu při kontrole pravopisu nereagovalo pouze na podtržená slova
· výchozí adresář kompilátoru - program si nezapamatoval nastavení
· chyba při zobrazení barvy, pokud byla na konci "čárka"
· Code explorer pro JavaScript a výskyt proměnných (nesprávné číslo řádku)
· Panel odkazů - nebylo možné vkládat parametr z kontextového menu
· Automatické doplňování nepracovalo korektně se seznamem slov z uživatelského zvýrazňovače
· spuštění programu s parametrem /nnn

verze 4.2.8 ze dne 29.12.2003
· doplnění diakritiky je možno použít i na označený text
· instalace registruje TiDy knihovnu, takže i uživatel s právy USER může využívat TiDy funkce
· první verze průzkumníku kódu pro JAVU
· Kapátko - nová funkce v menu nástroje umožňuje sejmout barvu ve formátu HTML a vložit ji do textu
· upraven PHP parser kódu - všechny proměnné, vyšší rychlost
· nový uživatelský zvýrazňovač pro WML
· Informace o souboru - pro velké soubory je možno spustit podrobnou statistiku ručně
· přidány další 2 pozice na uživatelské zvýrazňovače
· nové definice pro uživatelské zvýrazňovače - InteliCAD
· funkce vybrat mezi závorkami pracuje i se znakem "`"
· nový parametr v nastavení FTP připojení - Kompatibilní režim (staré PROXY/NAT)
· Nastaveni programu / Internet - přidána volba "Použít výchozího e-mail klienta"
· Text na HTML - výsledek je otevřen v novém okně
· FTP client - přidána možnost poslat FTP příkaz (kontextové menu)
· vylepšena detekce jazyka při prvním spuštění PSPadu - měl by se nastavit podle vašeho prostředí
· změna mechanizmu při ukládání souborů
· stavový řádek v Hexa editoru ukazuje dekadickou hodnotu znaku
· otevření nového souboru dvojklikem vedle záložek se jmény souborů
· v okně je možno tažením přeuspořádat odkazy
· drag/drop z okna odkazů vloží obsah příkazového řádku místo jména odkazu
· funkce "Otevřít soubor z označeného textu" otevře soubor i bez cesty (relativně k aktualnímu souboru)
· Unix Shell Script rozšířen o možnost přidat/odebrat komentář
· průzkumník souborů umožňuje zadat obecnou masku na soubor pomocí divokých znaků (*, ?)
· uživatelský zvýrazňovač rozšířen o 2 další způsby komentáře
· pomocí proměnné %Input% je možno zadat ručně před spuštěním kompilátoru nebo externích programů nějaký parametr
· code explorer rozšířen o XML, XHTML a RSS
· zapamatování stavu dialoga hledání (zaškrtávací políčka) mezi spuštěními programu
· program si pamatuje stav oken editoru (jestli je maximalizované)
· chybové hlášení je možno odeslat přímo z chybového dialogu
· nápověda k prostředí umožňuje napojení i na online help. Proměnná %word% v URL adrese je nahrazena aktuálním slovem
· při přejmenování souboru v interním file exploreru se provede aktualizace otevřených souborů i projektu
· zvětšeno dialogové okno pro odeslání chybového hlášení
· nápověda doplněna o popis vyhledávání na Google a o popis menu "Nápověda"
· Code explorer - přidána možnost vložit vybraný text na pozici kurzoru do editoru, možnost "přetáhnout" text do editoru
· panel průzkumníka souborů - filtr souborů je možno editovat ručně
· nová lokalizace - Ukrajinština (Taras Kapuszczak)
· nová šablona pro C++
· závorka se automaticky nedoplňuje před znakem $ (PHP variable)
· Otevření souboru z označeného textu - pokud je označena URL adresa, bude soubor otevřen ve výchozím prohlížeči. Pokud chcete zobrazit zdrojový kód stránky, držte klávesu CTRL
· v PHP bude dvojklikem označena proměnná včetně počátečního '$'
· nastavení programu / HTML - možnost nastavit, zda při konverzi textu na HTML budou řádky ukončeny <br> nebo označeny jako odstavec <p>...</p>
· po kompilaci je zkontrolována změna souborů
· Code explorer doplněn o JavaScript a Python
· u vložení šablon na Ctrl+Space a Shift+Space je možno měnit klávesové zkratky
· před změnou velikosti písmen nad celým dokumentem přidán dotaz
· Dialog hledání - k poli pro zadání hledaného výrazu přidána kontextová nabídka s nejčastějšími regulárními výrazy
· možnost přetahování do panelu odkazů z panelu průzkumníka, záložek souborů nebo "zvnějšku"
· pokud v adresáři Template existuje soubor Default.xxx, načte se automaticky při otevření nového souboru typu xxx
· Příkazový řádek - nová funkce v menu Nástroje. Umožňuje spouštět příkazy a odchytávat výstup
· okno lze zavřít kliknutím prostřeního tlačítka na záložce souboru
· přidána nová proměnná pro parametry externích programů - %SelText%. Je předán vybraný text
· náhled před tiskem - je možno měnit velikost pomocí Ctrl+kolečko
· přidán seznam posledních příkazů do hledání na Google a nastavení zvýrazňovačů - nápovědy
· Sort dialog si pamatuje nastavení i po ukončení PSPadu
· zobrazit barvu - odebrána výchozí klávesová zkratka Ctrl+Alt+C
· opravena chyba třídění v CodeExploreru, pokud nebyl vybrán žádný řádek
· opravena chyba při vícenásobném vkládání šablony
· neukládaly se uživatelské proměnné
· chybná znaková sada v hlavičce a patičce tisku
· po zavření projektu byly dříve otevřené soubory projektu nepřístupné
· podrobné informace o souboru omezeny na 50 000 řádků
· funkce "vybrat mezi závorkami" nepracovala s "<" ">"
· funkce "Vložit beze změny kurzoru" se nechovala korektně při označeném bloku
· bylo možno vložit Datum nebo GUID i do R/O souboru
· nenačítalo se individuální nastavení tabulátoru zvýrazňovače
· ošetřeny chyby při zápisu nastavení dialogu hledání
· třídění souborů v projektu je možno aplikovat i na celý projekt
· v projektu nebylo možné mít složky se stejným jménem, i když byly v jiné struktuře
· při přeformátování pomocí TiDy docházelo v některých případech k nekorektnímu chování
· po zobrazení Google dialogu s minulým hledáním bylo OK do změny zakázané
· šablona z bloku nebyla dostupná pro prostý text
· Hledání v souborech - po zrušení nahrazení bylo tlačítko OK nepřístupné
· chyba po Shift+Tab při zapnutém odstraňování mezer z konců řádek
· UnixShellScript nezvýrazňoval řetězce `retezec` a proměnné před rovnítkem
· chyba při vkládání času ve formátu RFC, při nastaveném časovém pásmu, obsahujícím minuty
· Code explorer se nevymazal po zavření posledního souboru
· v nastavení zvýrazňovačů se neukládaly znaky pro automatické odsazení
· z ASCII tabulky šlo vkládat i když byl editor jen pro čtení
· vyvolání funkce "Zobrazit barvu" za koncem řádku (povoleno v nastavení programu) skončilo chybou
· ošetřena chyba při nesprávně nastaveném e-mail klientovi
· opraveno chování CodeExploreru při přepínání a otevírání souborů
· chyba při rozbalení/sbalení větve prázdného CodeExploreru
· zobrazování informací na stavovém řádku
· v příkazovém řádku nebylo možné používat editační klávesové zkratky
· přepočet číselných soustav - opraveno chování při změně soustavy
· zakázané automatiké otevírání souborů při startu a prázdný adresář Template
· ztráta nastavení zvýrazňovačů
· chování výběru v seznamu uživatelských zvýrazňovačů

verze 4.2.7 ze dne 24.10.2003
· v nastavení projektu je možno určit formát nových souborů (DOS / UNIX / MAC)
· v nastavení programu / HTML je možno nastavit, zda přeformátování CSS bude respektovat nastavení programu nebo zda bude vkládat vždy skutečné tabulátory (spolupráce s TopStyle)
· v nastavení programu / HTML přidána možnost nastavit základ multizvýrazňovače na HTML nebo XHTML
· zobrazení čísla řádku a sloupce změněno na obvyklé řádek:sloupec
· výsledky hledání v souborech je možno otevřít v novém souboru (nová ikonka v panelu výsledků)
· kliknutí na ASCII hodnotu znaku na stavovém řádku vyvolá ASCII tabulku
· porovnání souborů si pamatuje způsob rozdělení oken (svislé / vodorovné)
· při "Otevření souboru pod jménem" následuje dotaz na přidání souboru do projektu (pokud není projekt prázdný)
· pokud dojde k automatickemu doplnění závorek (uvozovek) a vy napíšete uzavírací závorku (uvozovku), místo napsání se kurzor přesune za tu doplněnou
· Ctrl+Kolečko myši v editoru mění velikost písma
· konverze Text na HTML převede speciální znaky na HTML entity
· dříve otevřené soubory byly umístěny do zvláštního konfiguračního souboru Recent.INI
· pokud není v dialogu Hledat/Nahradit volba Regulární výrazy, při použití funkce "Kopírovat" je zkopírován do nového souboru obsah celého řádku. Přidána možnost doplnit čísla řádku u funkce "Kopírovat"
· uživatelské zvýrazňovače umožňují klíčová slova, obsahující pomlčku
· v nastavení zvýrazňovačů je možno "vypnout" nepoužívané zvýrazňovače
· součástí odesílaného chybového LOGu je nyní i seznam modulů v paměti, kvůli detekci problémům s jinými aplikaceni (antiviry)
· pro panel projektu přidána kontextová nabídka s nástroji
· INI zvýrazňovač rozšířen o komentář // a #
· kliknutím na název syntaxe na stavovém řádku je možno ji změnit
· v nastavení projektu je možno zvolit výchozí adresář
· pro textové soubory je možné mít soubor šablon .\Context\Text.def
· adresy v HEXA editoru mají stejnou barvu jako levý pruh v editoru
· zvýrazňovač Tcl/Tk rozšířen o chybějící klíčová slova
· z průzkumníka souborů je možno soubor otevřít přetažením na plochu editoru
· do šablon přidána sekce [KeyWords], ze které seznam slov se uplatní přifunkci automatické dokončování (Ctrl+J)
· plochá tlačítka pro výběr adresářů v dialozích byla nahrazena standardními - možnost ovládání pomocí klávesnice
· do zvýrazňovače pro Javu přidána možnost řádkového komentáře
· při vícenásobném spouštění makra doplněn teploměr a zrychlen běh
· uživatelské zvýrazňovače byly přesunuty na konec seznamu
· lokalizace do španělštiny (Hernan Fernandez)
· rozdíly v textu umožňují uložit do nového souboru pouze rozdílné řádky - vyhledání rozdílů v seznamech
· interní prohlížeč umožňuje i náhled JavaScriptu
· do dialogu Hledání na Google se přenáší označený text, doplněn parametr pro hledání na konkrétním serveru
· k průzkumníkovi souborů přidána standardní nabídka na pravé tlačítko
· v titulku interního HTML prohlížeče se zobrazuje velikost plochy náhledu
· nová verzi TiDy a přepracována práce s TiDy. Měly by odpadnout problémy s diakritikou
· import z CSV rozšířen na import do XML, parametry importu přesunuty z nastavení programu do dialogu před importem
· přepsány vnitřnosti práce se zvýrazňovači, přidány zvýrazňovače pro RSS, XHTML
· v nastavení kompilátoru přidána možnost skrýt výstupní okno
· lokalizace do čínštiny (SiC)
· na stavovém řádku se zobrazuje nápověda k jednotlivým položkám
· dialog potvrzení nahrazení v Hledat/Nahradit si pamatuje svou poslední pozici
· nová funkce - Otevřít z označeného textu - vezme označený text jako jméno souboru a pokusí se jej otevřít. Funguje i pro e-maily a internetové adresy
· zvětšení/zmenšení odsazení bloku pracuje i s neoznačeným textem
· přepočty číselných soustav - binární je formátovaná po 4 číslicích
· lokalizace do řečtiny (Stefanos Togoulidis)
· přepsaný dialog pro editaci proměnných
· změněné soubory jsou indikovány červeným trojúhelníčkem místo podtržením
· pokud nebyl otevřen žádný soubor, nebylo možné mazat složky v projektu
· hlavní soubor projektu, pokud byl otevřen z projektu, nebyl označen na panelu souborů
· při nestandardní velikosti systémového fontu nebyly vidět celé řádky v informacích o souboru
· panel se jmeny souboru nerespektoval charset z lokalizačního souboru
· Informace o projektu nešly zavřít klávesou ESC
· v některých případech nebyla přístupná položka "vybrat vše"
· opraveno chyba při importu CSV
· oprava chybného zobrazování hintů v HTML náhledu
· doplnění chybějících klíčových slov do PHP zvýrazňovače
· chyba při hledání související závorky pokud kurzor stál na začátku prázdného řádku
· neoprávněné vkládání nazku * pokud předchozí řádek začínal na *
· opravena chyba zobrazování dokovatelných oken vpravo (Code Explorer, ...)
· opraveno chybné překreslování panelu
· přeformátování HTML respektuje nastavení tabulátorů v programu
· pokud nebyl otevřen aspoň jeden soubor, nebylo možno editovat soubor šablon
· na FTP se soubory, začínající tečkou zařadily před adresáře
· po vypnutí zobrazení aktuálního řádku se neaktualizovalo zobrazení
· po zarovnání bloku s krátkými řádky text přesahoval pravý okraj
· chybné UNDO po vložení několika šablon
· kontrola TiDy je odfiltrována o "alt" atribut v obrázku
· při obnovení z TRAY se otevíral soubor, se kterým byl PSPad spuštěn, i když bylo obnovení práce vypnuto
· ošetřeno nesprávné překreslení dialogu pro výběr barvy při zadokování vpravo
· přepnutí z textu do HEXa zobrazení nebralo ohled na stav "pouze pro čtení"
· opraven náhled WWW stránky, který byl v jiné stránce než ANSI
· při editaci v HEXA editoru nebylo možno vypnout atributy
· oprava XML parseru - došlo k zacyklení, pokud element pokračoval na více řádcích
· po "uložit jako" souboru otevřeného z internetu nedošlo k aktualizaci jména pro ukládání na FTP
· při tisku označeného textu se skutečnými tabulátory byly TAB tisknuty jako čtverečky
· při označování řádku kliknutím na levý pruh došlo k označení od pozice kurzoru a ne od konce řádku
· při hledání v Google nebyl přednastaven počet výsledků na stránce
· do dialogu nastavení zvýrazňovačů se nenačetly externí programy
· soubor otevřený pomocí dialogu pro nový soubor neodpovídal vybranému typu
· nebyly ošetřeny položky v kontextovém menu nad panelem souborů pro soubry v HEXA editoru
· opraveno třídění souborů v projektu
· při "Uložit jako" zůstaly původní atributy souboru
· výběr slovníku pomocí menu z panelu nástrojů se neukládala
· při označeném sloupcovém bloku TAB neprovedl odsazení
· FTP výrazně neoznámil, pokud se nepodařilo soubor uložit
· tisk si nezapamatoval nastavení barevného / černobílého tisku
· opraveno automatické odsazování po závorkách
· rozdíly v textu - nebylo možno skočit (Shift+Ctrl+Down) na další změnu, pokud byla na posledním řádku
· po Uložit Vše se FTP připojeni nastaví zpět do stavu před ukládáním
· při aktivované volbě R/O režim mění atribut souboru se nový soubor ukládal jako Hidden a System

verze 4.2.6 ze dne 22.8.2003
· k tlačítku na zapnutí kontroly pravopisu přidána šipka se seznamem slovníků
· porovnání textu - přidána tlačítka pro přechod na další rozdíl (dosud pouze kláv.zkratky)
· doplněno potvrzení před uzavřením všech souborů
· nový parametr v nastavení programu - Automaticky skrývat levý pruh
· nová funkce v menu soubor "Přesunout jako...". Uloží soubor pod novým jménem a původní smaže.
· nový průzkumník souborů - umožňuje řazení podle sloupců, mazání (do koše), přejmenování...
· pokud vyvoláte menu nad tlačítkem se jménem aktuálního souboru, položka "porovnat se souborem" se chová stejně jako v menu nástroje
· dalších přes 7000 slov do českého slovníku (Michal Kolesa)
· aktualizována knihovna pro práci s FTP
· Francouzská lokalizace (Jean-Christophe Meylan)
· na průzkumníku souborů přidáno tlačítko na synchronizaci adresáře s aktuálním otevřeným souborem
· do lokalizačních souborů přidána informace o kódové stránce, takže by měl být možný překlad třeba i do cyriliky
· nová funkce Zobrazit znaky MS Dos v (menu Zobrazit)
· do helpu přidána položka pro odkaz na internetové fórum
· přidána Polská lokalizace (Piotr Murawski, Rafal Lampe)
· doplněno přeformátování CSS na řádkovou definici, zpřístupněno pro všechny HTML dokumenty
· přidán export se zachováním zvýraznění do XHTML
· v nastavení přípon zvýrazňovače je možno zadat i *. - soubor bez přípony
· program si pamatuje i pozici kurzoru na řádku
· po ukončení z minimalizovaného stavu program neobnovil soubory projektu
· opravena funkčnost parseru pro C++ (Code Explorer)
· při funkci zarovnání bloku doleva/na střed/doprava docházelo ke ztrátě označení bloku
· funkce "zarovnat do bloku" zachová prázdné řádky
· nepřístupná funkce "Jdi na řádek"
· opravena čeština na záložkách souborů
· opraveno zvýrazňování proměnných v PERL
· opraveno označování řádku pomocí tažení v pruhu čísel řádků
· automatické pokračování komentářů v C++ a Java pouze pro dokumentační komentáře /**
· zlepšena funkce na odstraňování TAGů z HTML
· výchozí řez písma editoru je nastaven podle jazyka Windows
· složka v projektu, která neobsahovala soubory se načetla jako soubor
· pokud jméno souboru tvořila jen přípona, nešlo použít SaveAs
· pokud šablony obsahují prázdné řádky, vloží se do textu také
· v LOGu nechodilo kolečko a Ctrl+Ins
· oprava ukládání souborů otevřených z FTP do TEMP
· oprava při nahrazování více výskytů na řádku s regularními výrazy
· opravena chyba při načítání obsahu souborů z FTP z některých Unix strojů
· upraveno formátování HTML kódu
· opravena chyba při výběru prázdné položky v seznamu barevných schémat
· !DOCTYPE je vždy převeden na velká písmena
· stránky v kódování UTF-8 se nezobrazovaly korektně v náhledu

verze 4.2.5 ze dne 24.7.2003
· nastavení programu - parametr "Prázdný soubor po spuštění" má 3 stavy (vytvořit / nevytvořit / dialog)
· nová lokalizace do Brazilské Portugalštiny (goncin)
· přepsáno okno Linků. Nyní je možno linky pojmenovat, spuštět s parametry stejně jako extení programy u zvýrazňovačů atd.
· CodeExplorer rozšířen o skupinu C jazyků
· v menu nápověda přidány odkazy na OnLine nápovědu. Definice odkazů je v souboru Online.INI
· do Code exploreru pro PHP přidána sekce pro DEFINE
· rozšířena možnost dialogu "Zobrazit barvu". Dialog umí zpracovat barvy i ve formatu R,G,B nebo R%,G%,B% a umožňuje přepočet mezi těmito formáty
· před mazáním odkazu přidán dotaz
· interaktivni šablony - při výběru obrázku pomocí dialogu je doplněn i obsah ALT a TITLE
· v parametrech programu / system přidána možnost přidat zástupce do menu Odeslat
· parametr pro uložení rozdělané práce je 3-stavový (neukládat / ukládat otevřené v PSPadu, ukládat vše)
· nový parametr "České Windows <-> LatinII" - je použit interní převod místo systémového
· nový parametr "R/O režim mění nastavení souboru" - při přepnutí režimu v PSPadu se mění atribut u souboru
· interaktivní šablony rozšířeny o dialog pro výběr barvy
· ve výsledcích hledání v souborech je možno pomocí tlačítek rozbalit/sbalit vše a otevřít všechny nalezené soubory
· přidán řádkový komentář // do C++ zvýrazňovače
· přidat komentář je možno i na jeden neoznačený řádek
· odebrána funkce "odstranit komentář" byla sloučena do funkce "přidat/odebrat komentář"
· z nastavení programu odebrán parametr "chyby v interním prohlížeči", dá se nastavit přímo v náhledu
· pokud PSPad nebyl registrován v TotalCommanderu a dalo se odregistrovat, zapsal tam vždy Notepad
· uživatelské proměnné závisely na velikosti písmen
· opraveno vkládání uvozovek a apostrofů za slovem
· funkce "projekt z adresáře" nevkládala první složku
· opravena "skrývání náhledu HTML"
· opraveno zobrazování znaků v ASCII tabulce pro font Lucida
· po smazání odkazu se neuložil obsah
· opraveno chování parametru tisk syntaxe barevně. Nastavení programu je výchozí pro náhled
· opraveno chování Ctrl+DblClick
· převod HTML na TXT
· TXT Diff nerespektoval nastavený charset fontu
· hledání v HEXA editoru - oprava hlášení o nenalezení dalšího výskytu
· oprava chování zvýrazňování aktuálního řádku
· oprava paste v Clipboard monitoru
· oprava Modified stavu po vrácení všech UNDO
· po přepnutí do HEXA režimu a uložení (dojde k přepnutí zpět) zůstalo tlačítko HEXA režimu stisknuto
· chyba při vyvolání šablon pokud nebyl otevřen žádný soubor
· opraveno vkládání barev v interaktivních šablonách pomocí dialogu
· opraveno chování přeformátování CSS
· opraveno chování Vstup za konec řádku
· zvýrazňování závorek v Kix skriptech
· opraven dotaz na zavření jednoho souboru
· opraveno automatické pokračování komentářů v Java a PHP
· opraveno chování psaní při zalomeném textu


 Poděkování

Šablony

8051 - Jaromír Rezek
ASX - Karel Pavelka
AutoIt - Petr Franta
C++ - Karel Pavelka
CAL - Martin Pařízek
HTML - Karel Pavelka
IEC11131 - Petr Vetešník
LonWorks NeuronC - Senko
MS-Dos - David Tardon (překlad)
OtherCad - Aleš Černý, Ivan a Petr Slepičkovi
Oracle - Kubo Zdeno, Miloš Beňo
PHP - Kryštof Slabý, Karel Pavelka, František Bláha,
Python - Myles
RSS - Karel Pavelka
TeX - Tomáš Vacek
XHTML - Karel Pavelka
XML - Karel Pavelka
WML - Karel Pavelka

Uživatelské zvýrazňovače

8051 - Jaromír Rezek
ADA - Stéphane (Bush Man)
ArchiCad - Luboš Cipra
Asm51 - Martin Zeman
ASP - Jiří Hudec
C6000 - Stefanos Togoulidis
Cliper - Kamil Václav
IEC11131 - Petr Vetešník
LUA - Pawel Mrochen
MicroChip PIC assembler - F.Bína
Tcl/Tk - Luděk Melichar
WML - Karel Pavelka
Z80 - Jiří Jaroš

Slovníky

Český slovník - Michal Kolesa, Luboš Němec, Zdeněk Bulín, Radek Tlapák, Tomáš Bat
Slovenský slovník - Dalibor Pernica
Anglický slovník - Dalibor Pernica
Katalánský - Antoni Clavell
Německý - Dalibor Pernica

Lokalizace

Brazilská Portugalština - Fausto Goncin
Čínština - SiC
Francouzština - Jean-Christophe Meylan
Holandština - Petyr, Amsterdam
Italština - Angelo Contardi
Katalánština - Antoni Clavell
Němčina - Karel Jakl
Polština - Piotr Murawski, Rafal Lampe
Řečtina - Stefanos Togoulidis
Slovenština I - Jan Skokánek
Slovenština II - Jozef Kaprál
Španělština - Hernan Fernandez
Ukrajinština - Taras Kapuszczak

korekce mé české angličtiny v lokalizaci a helpu - Steven LeBlanc, Stuart Hemming

Dále bych chtěl poděkovat všem, kteří se podílejí na vývoji PSPadu, ať už odhalováním chyb, testováním dotacemi nebo návrhy nové funkčnosti.


 Nejčastější dotazy

FTP

PSPad prý má v sobě integrovanou podporu přenosu souborů přes FTP. Kde tuto funkci najdu?
Musíte mít zobrazené menu Projekt. Jeho zobrazení zapnete buď přes Zobrazit - Projekt nebo klávesovou zkratkou CTRL + F2. V tomto menu je na třetí záložce FTP.
TIP: Okno s otevřeným FTP si můžete tažením myši vyjmout z menu a umístit kamkoliv na obrazovce. Menu projektu pak můžete uzavřít.

Při pokusu o připojení na FTP mi PSPad zatuhne s kurzorem FTP. Co s tím?
V tomto případě se váš počítač pravděpodobně nachází za proxy serverem nebo firewallem. PSPad v tomto případě nedokáže otevřít spojení s FTP serverem. Jednou z možností je použít "Pasivní režim přenosu". Tuto možnost najdete v dialogu kde jste nastavovali připojení k FTP serveru. Pokud váš počítač nemá FTP direktivně zakázáno, mělo by FTP přes pasivní režim fungovat.

Proč se mě občas FTP klient ptá na heslo?
PSPad se ptá na heslo, pokud není zadáno v definici FTP připojení. Mezi některými verzemi PSPadu došlo ke změně ukládání hesla, takže je možné, že PSPad s heslem ze starší verze nedokáže pracovat. Zkuste jít do editace FTP připojení a heslo zadat znova.

Zvýrazňovače a šablony

Píši skripty například v php a chci aby se mi zvýrazňovala barevný syntaxe i u HTML tagů. Jak toho dosáhnu?
Menu Nastavení - Nastavení programu - HTML - Povolit HTML multizvýrazňovač.

Napíšu-li v JavaScriptu znak '<' (například id (i<1)) způsobí obarvení všeho následujícího až do výskytu '>' (jako HTML tag). Vadí mi to - jak toto vypnu?
Nastavení programu - HTML odškrtnout otevírat JavaScript v multizvýrazňovači.

Jak donutit PSPad při otevření *.css, aby se automaticky nastavil zvýrazňovač Cascading Style sheets"? Automaticky se mi totiž zobrazí "HTML-MultiHighlighter". Musím pak ručně přepínat na zobrazení CSS.
Menu Nastavení - Nastavení programu - HTML zrušit otevírání CSS v multizvýrazňovači. Pak může být další problém, pokud máte zapnuto "Zapamatovat stav souboru" na záložce Soubory. V tom případě si pamatuje i zvýrazňovač. Pak by pomohlo vymazat soubor PSCache.BIN.

Napsal jsem klíčové slovo (název funkce, tagu,...) a stisku CTRL + SPACE pro vyvolání šablony mi vyskočí okno s různými příkazy, ale mezi nimi není slovo, které jsem napsal.
Pravděpodobně máte zapnuto zobrazení syntaxe pro jiný jazyk / typ souboru. V menu Zobrazit - Změna syntaxe pak vyberte správný typ souboru.

Jak mám nainstalovat další slovník pro kontrolu pravopisu?
1. Stáhněte archiv se slovníkem a rozbalte ho do adresáře \PSPad\Spell\ (pokud adresář neexistuje musíte ho vytvořit)
2. Jděte do menu Nastavení - Nastavení pravopisu
3. Vyberte vámi nainstalovaný jazyk

Mám zdroje v dosovském BASICu a chci je vytisknout se zvýrazněnou syntaxí.
Otevřít soubor a tisknout. Samozřejmě musí být zapnuto zvýraznění syntaxe. Jak to vidíte na obrazovce, tak se to i vytiskne.

Píšu manuál a chci uvést fragmenty kódu se zvýrazněnou syntaxí. Pokud text zkopíruji do schránky a vložím do manuálu, zvýraznění syntaxe se ztratí.
Menu Soubor - Export obsahuje možnosti pro export textu do HTML, RTF nebo TEXu a to buď do nového souboru nebo do schránky. Můžete tak mít v MS WorduŽ nebo na webové schránce text zvýrazněn přesně tak, jak jej vidíte v PSPadu.

U FoxPro se chybně zvýrazňuje syntaxe - některá klíčová slova nejsou zvýrazněna.
Problém je ve způsobu zápisu zdrojového textu FoxPro. Ten lze totiž psát zkráceně (stačí první 4 znaky). Pro zvýraznění syntaxe je to v některých případech zatím problém.

Různé

Rád bych nějak pomohl při vytváření a progagaci PSPadu
Je vítána jakákoliv další pomoc, například registrace stránek PSPadu na serverech se software nebo jiná forma reklamy, pomoc při tvorbě šablon, lokalizace programu, beta testování, návrhy dalších funkcí,... Pokud Vás něco napadne, neváhejte kontaktovat autora programu.

Chtěl bych podpořit autora PSPadu finančním příspěvkem
Pro tyto účely byl založen účet v e-bance: 1299896001 / 2400. Pokud bude zájem bude vytvořena tabulka, ve které uvedu všechny osoby které přispěly nějakou částkou (k vytvoření tabulky se můžete vyjádřit v diskuzi).

Bude někdy portován PSPad i pod jiné operační systémy (Linux, UNIX,...)?
To bohužel není možné. Aby byla aplikace přenositelná, je třeba ji vyvíjet od začátku jako přenositelnou, což bohužel PSPad nebyl. Proto aby běžel i na jiných systémech by bylo třeba ho od začátku celý přepracovat. Na to však nemám čas ani energii.
TIP: Pokud chcete PSPad pouštět pod Linuxem, můžete využít Windows emulator - PSPad pak běží i v tomto systému.

Jsem programátor a rád bych si do PSPadu přidělal svou funkci. Je to možné?
Momentálně tato možnost není, ale do budoucna je plánu podpora technologie plug-in. O jejím možném využití se dozvíte hned jak bude tato možnost implementována.

Mám Windows NT, 2000, XP a když změním nastavení PSPadu nemám uživatelská práva zapsat do konfiguračních souborů. Co s tím?
V Nastavení programu - Systém zatrhněte možnost Víceuživatelské prostředí. Pak se nebudou konfigurační soubory ukládat do adresáře PSPadu, ale do adresáře vašeho profilu.

Vadí mi neinteligentni práce PSPadu s odsazováním závorek {} v PHP. Jak přinutit editor aby při napsání { sám odsadil o tabulátor, a při ukončovací závorce vrátil se o úroveň zpátky?
Je třeba mít v Nastavení programu - Editor aktivováno Automatické odsazení a v Nastavení zvýrazňovačů - PHP - Upřesnit znaky { a } pro rozšířené odsazování.

Chtěl bych úplně skrýt ukazatel pravého okraje.
Nastavte si barvu pravého okraje na stejnou barvu, jakou ma pozadí plochy editoru.

V Nastavení programu - Systém jsou nepřístupné položky.
Položky, týkající se asociace programů jsou nepřístupné v případě, kdy je uvedený program spuštěn (Opera, Total Commander). Položky, týkající se nastavení programu jsou nepřístupné v případě, kdy je soubor PSPad_MU.INI nastaven pouze pro čtení nebo nemáte právo jej měnit. Oprava je následující - ukončit dialog nastavení programu, ukončit programy nebo odstranit atributy u souboru PSPad_MU.INI a znovu spustit dialog nastavení programu. Volby už by měly být přístupné.

Při odesílání pošty z PSpadu přes OE6 dochází k chybě
Na vině je snaha o záplatování děr v OE omezováním funkčnosti. OE6 ve standardním nastavení zobrazuje při pokusu odeslat přes něj zprávu potvrzovací dialog. Ale místo, aby jej zobrazil nahoře, jak se sluší a patří, zůstane dialog schován dole. Řešením je v menu Outlook Expresu Nástroje - Možnosti - zabezpečení zrušte volbu "Upozornit, pokud se jiná aplikace pokouší..."

Nefunguje mi rolování pomocí kolečka myši
PSPad podporuje kolečko myši pro standardní ovladače. Bohužel existují ovladače myší, které nedodržují standardy (typickým příkladem jsou ovladače GENIUS).

Používám Panel Microsoft Office a místo odkazů na panelu se mi spouští PSPad.
V Nastavení - Nastavení programu - Systém zrušte zaškrtnutí volby "Integrovat na pravé tlačítko".

Mám text s hodně dlouhým řádkem a PSPad s takovým textem neumí pracovat.
V Nastavení - Nastavení programu - Editor nastavte délku řádku třeba na 10000 znaků.

Hrál jsem si se změnou barev a celé jsem to rozvrtal. Co teď?
Otevřete si z menu Nástroje - Nastavení zvýrazňovačů. Na kartě Barvy si vpravo dole zvolte barevné schéma Standard a stiskněte tlačítko načíst.

Chci, aby se výchozí přípona při ukládání HTML souborů byla .HTML a ne .HTM
V Nastavení - Nastavení zvýrazňovačů si vyberte HTML zvýrazňovač a v nastavení přípon dejte na první místo *.HTML

Chtěl bych PSPad používat místo Notepadu, dodávaného s Windows.
V nabídce Nastavení - Nastavení programu - Systém si zvolte otevírání TXT souborů PSPadem. Pokud tuto volbu opětovně zrušíte, soubory TXT se budou opět otevírat v programu NOTEPAD.EXE.
TIP: Pokud některý program vyžaduje přímo program NotePad, v adresáři PSPadu najdete i soubor NOTEPAD.EXE. Tímto souborem nahraďte originální NOTEPAD.EXE v adresáři Windows. Slouží pouze jako spouštěč pro PSPad.

Mám problém s nastavenim externího programu, protože při použití proměnné %PHPFile% nedojde k záměně za http://localhost/...
V Nastavení - Nastavení programu - Internet je třeba vyplnit cestu k HTDocs. Ta část cesty je pak nahrazena za http://localhost. Další podrobnosti v nápovědě - kapitola o nastavení externích programů.

Editor

Co to je automatické dokončování a jak funguje?
Tato funkce po jejím zavolání automaticky doplňuje rozepsaná slova (obdoba funkce klávesy TAB v Linuxovém shellu). Slova pro doplnění se vyhledávají v textu editovaného souboru. Pokud je nalezen jen jeden výskyt slova, je toto automaticky doplněno. Při nalezení více slov je možné vybrat správný výraz ze seznamu který se objeví.
TIP: Nastavte si pro tuto funkci jako klávesovou zkratku klávesu ~ (tilda) - urychlí vám to použití této funkce a nemusíte pak na klávesnici mačkat zbytečně složitou kombinaci kláves, která je defaultně této funkci přiřazena.

Z nějaké podivné příčiny se při použití monitoru schránky vloží pouze první znak z vybraného řetězce
Toto byla chyba v PSPadu verze 4.2.5. V novějších verzích je to již opraveno.

Formát vkládaného datumu a času mi nevyhovuje. Jak ho změním?
Po stisku ALT+D se na pozici kurzoru vloží aktuální čas a datum. Pro změnu formátování vkládaného textu otevřete Nastavení - Proměnné programu a změňte formát proměnné DateTime.

Chtěl bych změnit typy fontů v editoru, ale menu s výběrem fontů zobrazuje jen několik typů a ostatní písma v systému se nezobrazí.
PSPad pracuje pouze s pevnými fonty (non-proportional). Proto zobrazuje pouze tento druh písem, i když jsou v systému nainstalována i další. Pokud chcete tedy zvolit jiné písmo musíte nejprve nainstalovat správný font do vašeho systému.

Kde najdu v PSPadu seznam s naposledy otevřenými soubory? V menu Soubor nic takového není.
Je. Klikněte na položku Otevřít speciál, kde najdete šestnáct naposledy otevřených souborů. Další možností jak tento seznam zobrazit je neklikat přímo na ikonu Otevřít soubor na hlavním nástrojovém panelu, ale na šipku ukazující směrem dolů, která je hned vedle této ikony.

Jak pracovat s funkcí Vložit text do řádků?
Nejprve do prázdného pole vložte vkládaný text a po té vyberte na jakou pozici se bude text vkládat (začátek, konec, sloupec). Pokud nemáte před vyvoláním této funkce označen žádný text, bude se vámi zadaný řetězec vkládat na všechny řádky souboru. Pokud je blok označen bude text vložen pouze do vašeho výběru.

Jak označím veškerý text mezi dvěma závorkami?
Použijte klávesovou zkratku SHIFT+CTRL+M

Jak označím celé slovo na kterém je právě umístěn kurzor?
SHIFT+CTRL+šipka nahoru nebo dolů
TIP: Tato klávesová zkratka má ještě další funkci - pokud označíte takto nějaké slovo a stisknete klávesovou zkratku znovu přesune se kurzor na další výskyt slova v souboru ve směru stisknuté šipky.

V levém spodním rohu editoru se neustále mění nějaká čísla. Co to je?
První dvě čísla udávají polohu vašeho kurzoru v dokumentu. Číslo před dvojtečkou je pořadové číslo sloupce a za ním je číslo řádku na ktrém se kurzor nachází. Za pomlčkou najdete celkový počet řádků otevřeného souboru a počet všech znaků. Při výběru libovolného bloku textu se místo těchto dat objeví rozměr vybrané oblasti udáný počtem znaků a počet znaků, které tento blok obsahuje.

Chtěl bych si zkopírovat pouze sloupec textu.
Držte klávesu ALT a myší si označte požadovaný blok textu nebo stiskněte SHIFT+CTRL+C a text označte šipkami.

Chci editovat PHP texty a PSPad mi po odřádkování nezarovná podle předchozího řádku.
V Nastavení - Nastavení programu - Editor si zaškrtněte "Automatické odsazení", popř. můžete vyzkoušet i volbu "Chytré tabulátory".

Kódování

PSPad zobrazuje divné znaky (ďťż)
Jde o identifikačný byty v UTF-8 kódování.
V Nastavení - Nastavení programu zrušte zaškrtnutí u Identifikační byty v UTF-8

Rád bych se zeptal, jak se dá pspad použít k editaci UNICODe souborů?
PSpad není UNICODE editor. Umí načíst UNICODE texty, ale jen ty, které jsou podporovány systémem (ANSI) a zase do nich uložit.
TIP: Pro editaci UNICODE souborů použijte Windows Notepad (minimálně ale verzi z Windows 2000)

Mám problémy s fonty a kódovými stránkami. Když otevřu v PSPadu soubor, tak se mi pokazí fonty a diakritika u některých písmen. Celý text pak musím opravovat.
Před otevíráním souboru je třeba mít nastavené odpovídající kódování jako je použité v souboru, popřípadě mít povolenu autodetekci.

Spolupráce s jinými programy

Nechodí minimalizace v programu StrokeIt
StrokeIt chybne implementuje emulaci minimalizace okna. Jde to vyresit predefinováním příkazu pro minimalizaci:
Nastavit prikaz: WinMSG - odeslat zpravu
Poslat zpravu pro: okno podle jmena tridy
ID zpravy: WM_SYSCommand
WParam: 61472
LParam: 0


 Informace a kontakty

O programu

Program je psán v programovacím jazyku Borland Delphi 7

V programu jsou použity následující komponenty a kódy:
· SynEdit - komponenty pro zvýraznění syntaxe (http://synedit.sourceforge.net). Komponenty jsem rozšířil o několik funkcí (např. zalamování textu, rozšíření možností uživatelských zvýrazňovačů...)
· knihovna funkcí JCL - Jedi Code Library (http://www.delphi-jedi.org/)
· HexEditor - Markus Stephany, (http://home.t-online.de/home/mirbir.st)
· RTF2HTML - konverze RTF na HTML. Zdrojové kódy poskytl David Majda (http://dmajda.hyperlink.cz)
· TDiff - porovnání textu od Angus Johnson (http://www.users.on.net/johnson/delphi/)
· SynSpellCheck - Jakuba Dybala (http://www.synspellcheck.prv.pl) s vlastními úpravami pro optimalizaci rychlosti a s vlastnoručně vytvořeným českým slovníkem
· algoritmus na hledání rozdílů ve slovech, použitý při kontrole pravopisu - Josef Hampl
· PNGImage - obrazový formát PNG - Gustavo Huffenbacher Daud (http://pngdelphi.sourceforge.net)
· GifImage - obrazový formát GIF - Anders Melander (anders@melander.dk)
· Synapse - práce s HTTP a FTP - Lukáš Gebauer (http://www.ararat.cz/synapse/)
· PBCClipBoard - práce se schránkou - Paul Bak (http://home11.inet.tele.dk/BakSoft/)

Všechny použité komponenty jsou buď volně šiřitelné nebo jsou použity se svolením autorů

Ostatní funkce a komponenty pochazí z mé vlastní tvorby a většinou vznikly v průběhu vývoje PSPadu
Program je šířen jako freeware (zdarma), takže ať pronásledují hrozné sny každého, kdo by chtěl na jeho šíření vydělávat :-)

O autorovi

jméno:    ing. Jan Fiala
e-mail:   support@PSPad.com
www:      http://PSPad.zde.cz  (popř. přímo http://www.PSPad.com)

O firmě

adresa:   Prog-Soft s.r.o.
          Na Kovářské stráni 1
          317 03 PLZEŇ

telefon:  377 243 404
e-mail:   plzen@prog-soft.cz
www:      http://www.prog-soft.cz

Zabýváme se vývojem podnikového informačního systému INFOS specializovaného pro firmy se zaměřením na nápojářský průmysl - pivovary, vinařské závody, sodovkárny ale také velkosklady nápojů.
Historie informačního systému sahá až k roku 1990, je to náš původní výtvor, plně odpovídající prostředí české nápojářské firmy.

Reference:
vinařské závody:
Znovín Šatov
ČVZ Praha
VINIUM Velké Pavlovice
DVS Hodonín
VIRENA

pivovary:
Rebel
Samson
Černá Hora
Ježek
Vyškov
Prazdroj (jen některé agendy)

Doufám, že ti, které jsem nejmenoval se nebudou cítit ukřivděni, neboť našich zákazníků je mnohem víc (sodovkárny, sklady, ...)

Takže pokud někdo podniká v podobné oblasti a hledá původní český a cenově dostupný informační systém, stačí zavolat.


 Pracujeme efektivně

Tato kapitola byla vytvořena, aby vám pomohla v efektivním využívání programu


 Vytváříme HTML stránku

Tvorba HTML
· Otevřete nový HTML dokument
· Stiskněte CTRL+SPACE, vyberte html (popř. napište html a SHIFT+SPACE), čímž se vytvoří základ stránky.
· Za použití šablon (opět CTRL+SPACE) nebo klávesových zkratek přiřazených k šablonám (viz kapitolu o šablonách) dopište, co je třeba
· Vytvořte, popř. otevřete další podstránky
· Doporučuji využívat klávesových zkratek šablon (CTRL+Enter, SHIFT+CTRL+Space vloží konec stránky a pevnou mezeru, na označený text jdou použít CTRL+B a CTRL+I - tučné písmo a kurzíva). Šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu nástroje / šablony.
· Pokud chcete v HTML prohlížeči otevírat vždy určitou stránku, označte si ji jako hlavní CTRL+M (červená značka). Opětovným Stiskem CTRL+M se označení zruší.
· Stiskem F10 se můžete kdykoliv podívat na výsledek vaší práce a zobrazit si jej v různých rozlišeních
· Pomocí menu HTML nebo panelu nástrojů si pak můžete stránku přeformátovat pro lepší čitelnost nebo naopak zkomprimovat pro úsporu místa a zhoršení čitelnosti
· Po stisku SHIFT+CTRL+E se objeví průzkumník kódu, který vám pomůže v orientaci na stránce

Jak efektivně využít schopnosti editoru
· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I
· využívejte šablony (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) o definovaný počet kroků, daný v nastavení programu
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka nástroje. Některé funkce vám mohou ušetřit mnoho práce


 Vytváříme CSS

Nastavení programu pro práci s CSS
· PSPad pro tvorbu CSS používá free editor CSS stylů TopStyle Lite, který je nutno stáhnout a nainstalovat (odkaz pro stažení)
· V nastavení si můžete změnit výchozí nastavení barev. Výchozí nastavení je totožné s editorem TopStyle.
· Pokud v dokumentech CSS používáte stejnou část (poznámky apod.), můžete s výhodou využít vytvoření dokumentu podle šablony.

Tvorba CSS
· Označíte si text (u CSS souborů to není nutné, pokud není označen, přenese se celý) a zavoláte TopStyle Lite. Otevře se okno programu, ve kterém je přenesen označený (celý) text.
· TopStyle nabízí velmi intuitivní editaci CSS s náhledem, s možností výběru cílové verze prohlížeče atd.
· Po editaci máte možnost tlačítkem Done opravený text přenést zpět do editoru nebo tlačítkem Cancel editaci zrušit
· Pro opakované použití částí kódu, si můžete jednoduše vytvořit šablonu (CTRL+ALT+Space), kterou pak kdykoliv velmi jednoduše vložíte do svého kódu

Jak efektivně využít schopnosti editoru
· V menu HTML naleznete funkci pro přeformátování dokumentu CSS, tak aby byl lépe čitelný. Opakem této funkce je , kterou lze použít i pro CSS dokumenty.
· V menu Nástroje můžete využít nabídku pro konverzi jmen barev na HTML kódování a obráceně.
· Nástroj Zobrazit barvu vám umožní zobrazit barvu podle jména nebo jejího HTML kódování.
· Nástroj pro kontrolu pravopisu F7 vám zkontroluje vaše poznámky.


 Vytváříme PHP

Nastavení programu pro práci s PHP
· nastavte si cestu ke kompilátoru PHP (soubor PHP.EXE) pro PHP zvýrazňovač v nastavení zvýrazňovačů
· pro použití nápovědy k PHP si stáhněte si externí nápovědu a v nastavení zvýrazňovačů určete cestu k tomuto souboru (odkaz ke stažení). Budete tak mít kdykoliv dispozici nápovědu pro aktuální výraz po stisku Alt+F1
· v nastavení zvýrazňovačů můžete změnit výchozí nastavení zvýrazněné syntaxe
· v nastavení programu pod záložkou HTML můžete využít výhod multizvýrazňovače
· v nastavení zvýrazňovačů můžete přiřadit PHP až 5 externích programů, např. pro zapínání a vypínání webového serveru

Tvorba PHP
· nový dokument PHP můžete otevřít pomocí šablony nového dokumentu (CTRL+N)
· šablona CTRL+SPACE vám pomůže správně zapisovat příkazy PHP a slouží i jako rychlá nápověda
· šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu nástroje / šablony
· po stisku SHIFT+CTRL+E se objeví průzkumník kódu, který vám pomůže v orientaci v kódu
· stiskem CTRL+SHIFT+F10 se můžete podívat na výsledek vaší práce přímo na lokálním webovém serveru a zobrazit si stránku v různých rozlišeních
· připojením externí nápovědy pro PHP se pomocí nápovědy k prostředí (ALT+F1) dostanete vždy k požadovaným informacím
· jednotlivé části skriptu můžete rychle zakomentovat nebo odkomentovat pomocí CTRL+SHIFT+A

Jak efektivně využít schopností editoru
· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I, popř. TAB a SHIFT+TAB
· využívejte šablony (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) o definovaný počet kroků, daný v nastavení programu
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka nástroje. Některé funkce vám mohou ušetřit mnoho práce


 Efektivní práce s myší

Označit slovo
Dvojklikem na slovo, stačí mít i kurzor těsně vedle slova.
Označí se pouze písmena, čísla a podtržítka.
Pokud slovo obsahuje jiné znaky bude u těchto znaků označení ukončeno.

Označit celý řádek
Kliknout na číslo řádku, nutno mít zobrazené číslování řádků.

Označit sloupec
Držet klávesu ALT a pak lze myší označit sloupec.

Přepínání mezi způsobem označeného textu
Ve třetím poli stavovém řádku programu PSPad se nachází přepínač mezi třemi způsoby označení textu. Tento přepínač v podobě bílé ikonky a horizontálních linek symbolizuje způsob zvoleného výběru.

Přesouvání označeného textu
Stisknout levé tlačítko myši a tažením myší text přesuneme na jiné místo.

Kopírování označeného textu
Stisknout levé tlačítko myši a klávesu CTRL, tažením myší text zkopírujeme na jiné místo.

Kopírování textu do dialogových oken
Označený řádek nebo část řádku bude automaticky kopírován do dialogových oken při jejich vyvolání:
· Vyhledávání Googlem do políčka "Přesný výraz".
· Hledání textu (CTRL+F) do políčka "Najít"
· Hledání v souborech (ALT+F) do políčka "Hledaný text"
· Nahradit (CTRL+H) do políčka "Najít"
· Zobrazit barvu (CTRL+ALT+C) do políčka jméno barvy.
· Označený text bude přenesen do integrovaného programu TopStyle Lite
· V případě neoznačení a nastavení zvýrazňovače syntaxe pro CSS bude přenesen celý dokument do integrovaného programu TopStyle Lite.

Vyvolaní seznamu šablon
Stisknout prostřední tlačítko nebo rolovací kolečko myši (pokud vaše myš tímto kolečkem disponuje)

Kontextová nabídka
Vlastní kontextovou nabídku má:
· plocha dokumentu,
· záložka dokumentu,
· označené pravopisné chyby,
· dialogové okno Oblíbené položky,
· dialogové okno pro FTP
· spodní část dialogové okna průzkumníka (kontextová nabídka Windows)
· dialogové okno Projekt
· dialogové okno Průzkumník kódu
· spodní část dialogového okna pro Monitor schránky
· náhled HTML stránky (kontextová nabídka Windows)

Informace o označeném textu
Stavový řádek v prvním poli přináší informace v tomto pořadí:
· počet označených znaků na řádku v místě kde se nachází kurzor.
· v případě označení více řádků tento údaj udává hodnotu o šířce bloku v případě výběru bloku.
· následuje znak hvězdička a za ním je zobrazen počet označených řádků.
· jako poslední údaj ve hranatých závorkách je celkový počet označených znaků. Mezi znaky se počítá i mezera mezerníkem.

Informace o znaku
V šestém poli stavového řádku programu PSPad jsou zobrazeny informace o znaku,
který se nachází po levé straně kurzoru.
První informace v tomto poli je aktuální znak, který se nachází po levé straně kurzoru.
Dále následuje jeho dekadická a hexa hodnota.
I když je znak označen myší, vždy záleží na poloze kurzoru ne na označeném znaku!

Informace o funkcích programu
Všechna tlačítka mají při najetí myší své popisky s případným uvedením klávesové zkratky.
Některé funkce mají zobrazené popisky i ve stavovém řádku v posledním informačním políčku, kde se standardně zobrazují informace o kódování stránky.

Informace k nápovědě Online
V nápovědě při najetí na název odkazu se v posledním informačním políčku stavového řádku programu zobrazuje adresa odkazu.

Informace o souboru
V druhé části dialogového okna průzkumníka se při najetí myší na soubor zobrazí:
· popisek s informacemi o adrese kde se soubor nachází,
· velikosti souboru v KB,
· datumu poslední změny a příponě souboru.

Náhled stránky před tiskem
Levé tlačítko myši stránku zmenšuje, pravé tlačítko zvětšuje.
Stisknutí rolovacího kolečka myši se stránka zobrazí do celého okna.
Rolováním se stránka posunuje vpřed a vzad.
Pokud je stránka zvětšena platí posun pouze pro jednu stránku.
Pokud je stránka zobrazena v celém okně, platí posun pro všechny stránky.

Práce s rozbalovacímy seznamy
Rolovací kolečko myši umožňuje rolování v rozbalovacím seznamu (ComboBox).


 FTP

Pro připojení k FTP slouží záložka FTP na levém panelu. Po odkliknutí tlačítka pro připojení se zobrazí seznam nadefinovaných připojení, s možností správy připojení (přidání, úpravy, mazání,...). Po úspěšném připojení k FTP serveru se zpřístupní ostatní tlačítka.

Kde najdu FTP klienta
Klient FTP je umístěn na jedné ze stránek panelu projektu.
Po stisknu tlačítka "připojit" se objeví seznam nastavených FTP připojení.
Máte možnost se připojit vytvářet, mazat, kopírovat a editovat jednotlivá připojení.
Záznam o průběhu FTP připojení je v LOG okně na záložce FTP

Filozofie FTP přístupu
· soubor, otevřený přes FTP má na panelu souborů žlutý podklad. Při otevření je zapamatováno jméno souboru, jméno připojení a cesta, odkud byl soubor na FTP serveru otevřen.
· soubory jsou ukládány do dočasného adresáře:
TEMP\PSPad\server\ftp_cesta\soubor
kde zůstávají i po ukončení PSPadu
· při stisknutí tlačítka "Uložit" je soubor uložen zpět na původní místo na FTP serveru. Pokud není v té době připojení aktivní, PSPad se pokusí o připojení. Pokud je v té době aktivní jiné připojení, bude ukončeno a PSPad se pokusí připojit k původnímu serveru, který odpovídá souboru, nastaví správný adresář a soubor uloží
· pro uložení do aktuálního adreáře FTP serveru slouží funkce "Ulož na FTP". Tato funkce je přístupná pouze v případě, že je FTP připojení aktivní.

FTP klient umožňuje
· připojení/odpojení k FTP serveru
· jednoduché procházení obsahu FTP serveru
· znovunačtení obsahu aktuálního FTP adreáře
· skok na kořenový adresář FTP serveru
· skok na výchozí adresář FTP serveru
· vytvoření nového adresáře
· smazání souboru / adresáře (prázdného)
· přejmenování souboru / adresáře
· udržování připojení opakovaným vysíláním příkazu v zadané periodě


FTP nastavení

 Nastavení FTP klienta

Jméno připojení
uživatelský název, pod kterým se připojení bude zobrazovat v seznamu

Server
jméno nebo adresa FTP serveru. Pokud potřebujete připojení na jiný než standardní port (21), uveďte port za jméno serveru, oddělený dvojtečkou:
ftp.jmeno.domena:port

Jméno uživatele
jméno uživatele pro přístup na FTP server. Nemusí být udáno. V případě, že je prázdné, budete při pokusu o připojení na jméno dotázáni.

Heslo
heslo pro přístup na FTP server. Heslo se nezobrazuje, v souboru PSPadFTP.INI je uloženo v šifrovaném tvaru. Pokud nebude uvedeno, budete na heslo dotázáni.

Vzdálený adresář
pracovní adresář, který bude nastaven po připojení k FTP serveru

Max.čas na připojení
zde si nastavujete maximální čas, po který se bude PSPad pokoušet o připojení k serveru.

Pasivní režim
pokud jste za proxy serverem nebo firewallem, je v některých případech nutné zapnout pasivní režim

Kompatibilní režim (staré PROXY/NAT)
Pro protokol IPv6 se začaly používat pro datové spojení příkazy EPRT/EPSV. Protokol IPv4 používal příkazy PORT/PASV.
PSPad je schopný detekovat, zda FTP server tyto nové příkazy podporuje. problem nastane v případě, že FTP server příkazy podporuje, ale v cestě stojí PROXY server nebo NAT, který je nezná. Většinou se to projeví hlášením "Unknown command" a nezobrazí se seznam souborů ze serveru. Tato volba vynutí kompatibilitu se starým protokolem.

Udržovat spojení zasíláním
v zadaných intervalech bude při nečinnosti FTP připojení zasílán na server zvolený příkaz a bude tak zabráněno přerušení spojení ze strany serveru.

Měnit názvy souborů na malá písmena
při přenosu budou jména souborů automaticky změněna na malá písmena

FTP server používá lokalizované názvy měsíců
v některých případech používá FTP server ve výpisu souborů lokalizované názvy měsíců. Pro správné načtení (rozkódování datumu souboru) je třeba zadat seznam zkrácených názvů měsíců, oddělených čárkou. K anglickým názvům tak budou kontrolovány i zadané názvy měsíců


 HEXA editor

PSPad od verze 3.2.6 obsahuje plnohodnotný HEXA editor.

Samotný PSPad pracuje s textovými soubory. To znamená, že pokud se v souboru vyskytne znak s ASCII hodnotou 00h, je považován za konec textu. V praxi to znamená, že není možno přímo otevřít jakýkoliv soubor v editoru.

K čemu je HEXA editor dobrý ?
V Hexa editoru je soubor zobrazen po jednotlivých Bytech, vyjádřených v šestnáctkové soustavě. Tak přímo vidíte, jaké znaky se používají pro oddělovače řádků, jaký znak je použit pro konkrétní písmeno atd.

Jak editovat libovolný soubor ?
Použijte volbu Soubor / Otevřít v HEXA editu (popř. pomocí malé šipky vedle ikony pro otevření souboru na panelu nástrojů) a soubor se pak otevře přímo v HEXA editoru. V tomto případě není možnost přepnutí do textového režimu a soubor je indikován modrou barvou jména souboru na panelu souborů.

Jak editovat textový soubor ?
Soubor si otevřete přímo v textovém editoru a z menu zobrazit si zvolíte Hexadecimálně. Obsah editovaného textu je přenesen do HEXA editoru. Zde můžete provádět další změny a při změně zobrazení je změněný obsah přenesen zpět do textového editoru.
Obsah souboru, zobrazeny v HEXA editoru v tomto případě nemusí odpovídat souboru na disku. V HEXA editoru vidíte aktuální stav souboru z editoru, navíc možná převedený do kódové stránky Windows CP1250 !

Co HEXA editor umožňuje ?
· přepínání mezi režimem přepisování a vkládání pomocí klávesy INSERT
· přechod na určitou adresu pomocí CTRL+G nebo ALT+G
· hledání hexadecimální hodnoty nebo textu pomocí CTRL+F
· hledání dalšího výskytu pomocí F3
· nastavování a skok na nastavené záložky SHIFT+CTRL+0..9 a CTRL+0..9

Jak se zadávají hodnoty v desítkové a šestnáctkové soustavě ?
při přechodu na určitou adresu je možno zadávat čísla jak v desítkové soustavě (normálně jak jste zvyklí) nebo v šestnáctkové soustavě - uvozené znakem $.

Příklad:
desítková  šestnáctková
  10         $0A
 255         $FF


 Konverze kódových stránek

Otevírání souboru
Pro správné zobrazení a možnost editace souborů v prostředí Windows, je nutno převést zdrojový text do kódové stránky 1250. Takže pokud je nastavena automatická detekce kódové stránky nebo ručně nastavena jiná kódová stránka než Windows 1250, je text při otevření převeden do stránky Windows 1250.

Automatická detekce kódové stránky
Automatická detekce pracuje na principu počítání znaků, které se obvykle používají pouze v určité kódové stránce. "Zvítězí" stránka s největším počtem těchto znaků. Pro detekci se používá vzorek prvních 10000 znaků.
Detekce nemusí být spolehlivá u krátkých textů nebo u programových kódů, kde se úmyslně používají zvláštní znaky. V těchto případech výhodnější nastavit výchozí kódovou stránku ručně. Výhodné je použití volby Otevřít znovu - CTRL+R, pokud se nepodaří dokument otevřít se správným zobrazením diakritiky nebo pokud selže automatická detekce a je třeba soubor otevřít v ručně zvolené kódové stránce.

POZOR! Automatická detekce pracuje pouze s kódovými stránkami Windows, Latin II, Kamenických a ISO 8859-2. Soubory s kódováním Unicode a UTF-8 jsou detekovány pomocí úvodních identifikačních bajtů. Pokud tyto byty chybí, bude soubor otevřen jako Windows CP1250. Pro otevření v kódování UTF-8 je třeba manuálně přepnout kódování v menu na UTF-8 a dát znovunačtení souboru (Ctrl+R)

Ukládání souboru
Při ukládání se děje vše analogicky - pokud je nastavena kódová stránka jiná než Windows 1250 nebo automatická detekce, je text při ukládání převeden do nastavené kódové stránky.

Jak to využít pro konverzi ?
Soubor načteme v např. kódové stránce Latin II, ručně přepneme na kódovou stránku Windows 1250 a zvolíme Uložit nebo Uložit jako. Tím je celá konverze hotova a soubor je nyní uložen ve zvolené kódové stránce.


 Makra

Co je to makro
Makro je posloupnost příkazů editoru. Tuto posloupnost lze zaznamenat a následně opakovaně přehrávat. Tím lze zjednodušit opakované operace (příklady použití jsou uvedeny níže)

Jak to pracuje
Stisknutím tlačítka záznam (CTRL+F5) se začínají všechny operace s textem v editoru zaznamenávat. Při zahájení záznamu se kurzor změní na šipku s kamerou. Zpět se změní při ukončení nebo přerušení nahrávání.
Po ukončení záznamu (ALT+F5) se záznam ukončí. Objeví se dialog, ve kterém makro pojmenujete, přiřadíte do jednoho ze 4 pozic a makro je připraveno k použití pod příslušnou klávesovou zkratkou. Nyní je možno makro opakovaně spouštět z menu nebo pomocí klávesových zkratek F5..F8.
Vytvořená makra je možno načítat z disku, editovat a opětovně kompilovat. Ukládají se s příponou .PMR (PSPad macro record)

Omezení
Do makra se nezaznamenávají akce, provedené pomocí myši. Označování bloku dělejte pomocí SHIFT+šipky
Makro nepracuje s příkazy pro hledání a nahrazení textu
Délka makra je omezena pouze dostupnou pamětí počítače. Vzhledem k tomu, že jeden záznam tvoří pouze kód příkazu a znak je velikost téměř neomezená. Obsah makra lze od verze 3.3.3 editovat a zpět kompilovat. Přehled dostupných příkazů najdete zde.

Editace makra
Pokud si zvolíte menu Nástroje/Makro/Editace makra, otevře se vám nový soubor s příponou .PME. K dispozici je zvýrazňovač i šablona s příkazy (Ctrl+Space).
Příkaz pro vložení znaku je nastaven na Ctrl+Enter

Doporučuji následující nastavení zvýrazňovače pro editaci maker:

Komentáře      černá, font normální (vkládané znaky v lomených závorkách)
Identifikátory červená, font normální (chybný příkaz bude červeně)
Klíčová slova  modrá, font normální

Příklady použití

Příklad1:
Měl jsem text ve tvaru:
21: if KeyComp('del') then Result := tkKey else
21: if KeyComp('start') then Result := tkKey else
90: if KeyComp('findstr') then Result := tkKey else
Potřeboval jsem smazat vždy pro určitý počet řádků první tři znaky a vložit jednu mezeru. V tomto případě nelze použít hledání s nahrazením, protože text není stejný. Samozřejmě, že by to šlo přes sloupcový blok odmazat, potom si jako sloupcový blok označit první sloupec mezer a přes hledat a nahradit jednu mezeru nahradit dvěmi. Ale je to spousta práce s myší, přepínání bloků, protože upravený text potřebuji následně umístit do jiného souboru.To je přesně ta správná práce pro MAKRO. Postup záznamu:
· postavím se na řádek a spustím záznam
· HOME, 3x delete, 1x mezerník
· šipka dolů
· ukončit záznam
Nyní stačí opakovaně mačkat F5 a řádky jsou upraveny

Příklad2:
Potřebuji vytvořit následující řádky
fIdentFuncTable[72] := Func72;
fIdentFuncTable[73] := Func73;
fIdentFuncTable[74] := Func74;
Mohl bych si je kopírovat a přepisovat čísla. Můžu ale využít MAKRO:
· na řádky si zapíšu 2x za sebou požadované číslo (7272, 7373 atd.)
· postavím se na řádek a zapnu záznam
· HOME a napíšu text: fIdentFuncTable[
· 2x šipka doprava
· napíšu text: ] := Func
· 2x šipka doprava
· dopíšu středník a šipka dolů
· ukončím záznam
Mačkám F5 a před očima se mi objevují požadované řádky. Řádků bylo moc a takhle to byla otázka chvilky bez zbytečného najíždění a přepisování čísel na dvou místech v kopírovaných řádcích


Makro příkazy

 Makra - příkazy

Formát editovaného souboru makra:

Každý příkaz makra je na zvláštním řádku. Pouze u příkazu ecChar následuje za příkazem vkládaný znak v lomených závorkách,
např. ecChar{A} dosadí na pozici kurzoru znak "A"

Přehled příkazů:

ecLeft           přesune kurzor o znak vlevo
ecRight          přesune kurzor o znak vpravo
ecUp             přesune kurzor o řádek nahoru
ecDown           přesune kurzor o řádek dolů
ecWordLeft       přesune kurzor o slovo doleva
ecWordRight      přesune kurzor o slovo doprava
ecLineStart      přesune kurzor na začátek řádku
ecLineEnd        přesune kurzor na konec řádku
ecPageUp         přesune kurzor o stránku nahoru
ecPageDown       přesune kurzor o stránku dolů
ecPageLeft       přesune kurzor na pravou stranu stránky
ecPageRight      přesune kurzor na levou stranu stránky
ecPageTop        přesune kurzor na vršek stránky
ecPageBottom     přesune kurzor na konec stránky
ecEditorTop      přesune kurzor na začátek textu
ecEditorBottom   přesune kurzor na konec textu

následující příkazy jsou obdobné jako předchozí, pouze dochází k označování textu

ecSelLeft
ecSelRight
ecSelUp
ecSelDown
ecSelWordLeft
ecSelWordRight
ecSelLineStart
ecSelLineEnd
ecSelPageUp
ecSelPageDown
ecSelPageLeft
ecSelPageRight
ecSelPageTop
ecSelPageBottom
ecSelEditorTop
ecSelEditorBottom

ecSelectAll      označí celý text

ecCopy           kopírovat do schránky
ecCut            vystřihnout do schránky
ecPaste          vložit ze schránky na pozici kurzoru

ecScrollUp       o stránku nahoru bez změny pozice kurzoru
ecScrollDown     o stránku dolů bez změny pozice kurzoru
ecScrollLeft     skrolování vlevo bez změny pozice kurzoru
ecScrollRight    skrolování vpravo bez změny pozice kurzoru

ecInsertMode     režim vkládání
ecOverwriteMode  režim přepisování
ecToggleMode     přepnutí režimu vkládání/přepisování

ecNormalSelect   normální bloky
ecColumnSelect   sloupcové bloky
ecLineSelect     řádkové bloky

ecMatchBracket   najdi odpovídající závorku

ecGotoMarker0    jdi na záložku 0..9
až
ecGotoMarker9
ecSetMarker0     nastav záložku 0..9
až
ecSetMarker9

ecDeleteLastChar smazat znak před kurzorem (Backspace)
ecDeleteChar     smazat znak pod kurzorem (Delete)
ecDeleteWord     smazat do konce slova
ecDeleteLastWord smazat do začátku slova
ecDeleteBOL      smazat do začátku řádku
ecDeleteEOL      smazat do konce řádku
ecDeleteLine     smazat řádek
ecClearAll       smazat vše
ecLineBreak      nový řádek s přechodem kurzoru (Enter)
ecInsertLine     vložit řádek, pozice kurzoru se nemění
ecChar{znaky}    vložit znak(y) na pozici kurzoru

ecUndo           zrušení změny
ecRedo           vrácení změny

ecBlockIndent    zvětšení odsazení bloku
ecBlockUnindent  zmenšení odsazení bloku
ecTab            Tabulátor
ecShiftTab       Shift+Tabulátor

Příklady:

Na začátek řádku napsat slovo "Jelen" a odřádkovat:
ecLineStart
ecChar{Jelen}
ecLineBreak


 Panel souborů

Od verze 3.9.0 obsahuje PSPad nový panel se seznamem souborů ve tvaru záložek.

Význam položek podle vzhledu:
· tmavé pozadí - hlavní soubor projektu
· šedé pozadí - atributy souboru na disku jsou R/O, Hide nebo System
· bílé pozadí - soubor byl otevřen z FTP serveru
· černé písmo - obyčejný soubor
· tučné písmo - aktivní soubor
· červený roh - soubor byl změněn
· šikmé písmo - soubor pouze pro čtení
· modré písmo - hexa editor
· červené písmo - výsledek porovnání souborů
· zelené písmo - automaticky občerstvovaný soubor. nastavuje se v menu okno / automatické občerstvování. Rychlost občerstvování je dána v nastavení programu / editor

Práce s místní nabídkou
Po stisknutí pravého tlačítka na panelu souborů se objeví místní nabídka. Pracuje se se souborem, nad jehož názvem byla nabídka vyvolána (např. volba zavřít). Pokud se volba týká dvou souborů (rozdělit okno, porovnat se souborem apod.) pracuje se s aktuálním souborem a se souborem, nad kterým byla nabídka vyvolána.

Zavřít
zavře soubor, nad nímž byla nabídka vyvolána

Rozdělit svisle / vodorovně
zobrazení dvou souborů současně. Týká se aktuálního souboru a souboru, nad nímž byla nabídka vyvolána. Speciálním případem je vyvolání nabídky nad aktuálním souborem. V tomto případě se soubor otevře ještě jednou v dalším okně.

Synchronizovat posuv
zobrazí dva soubory a zamkne synchronizaci posuvu. Posuv v jednom souboru způsobí posun i v druhém souboru. Opětovným vyvoláním nabídky nad jedním ze zamknutých souborů se zámek zruší. Zámek je indikován i ikonou řetězu na stavovém řádku. Zda je soubor rozdělen svisle nebo vodorovně, záleží na nastavení programu. Zámek je možno vypnout i dvojklikem na symbol řetězu na stavovém řádku

Porovnat se souborem
porovná obsah aktuálního souboru se souborem, nad nímž byla nabídka vyvolána. Výsledek je barevně zobrazen v novém okně. Podrobnosti v kapitole .

Porovnat s obsahem na disku
porovná aktuální souboru s jeho obsahem na disku. Výsledek je jako v předchozím případě zobrazen v novém okně.

Hlavní soubor
nastaví soubor jako hlavní soubor (pokud je otevřen projekt i jako hlavni soubor projektu). Při spuštění kompilace je kompilátoru předán vždy tento soubor.

Přidat do projektu
přidá soubor do aktuální záložky v projektu

Ovládání myší
LeftB         výběr souboru
LeftB+tažení  změna pozice záložek
RightB        místní nabídka


 Stavový řádek
statusbarcz
Legenda:

1. Ukazatel pozice v souboru
řádek:sloupec (počet řádků) [počet znaků]
Kliknutí vyvolá dialog "Jdi na řádek"
2. Indikace změněného souboru
3. Typ bloku pro označování textu normální/řádkový/sloupcový
Kliknutím se mění typ bloku
4. Alternativní označení bloku - umístit kurzor na začátek, F8, umístit na konec, F8
5. Indikace zamknutého posunu
6. Aktuální znak a jeho hodnota v desítkové a šestnáctkové soustavě
Kliknutí vyvolá ASCII tabulku
7. Aktuálně použitý zvýrazňovač
Kliknutí vyvolá dialog Změna syntaxe
8. Typ once řádku: DOS/MAC/UNIX
Kliknutí mění typ konce řádku
9. Aktuální kódová stránka / nápověda pro položku


 Projekty

Co je to projekt
Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Co vám to přinese
· jednodušší práci. Nemusíte otevírat několik dokumentů, otevřete si pouze jeden projekt, přitom jednotlivé soubory mohou být umístěny v libovolném adresáři. Pouze se stanou součástí jednoho projektu.
· související dokumenty jsou přehledně uspořádány do "virtuálních" složek. Virtuální složky nemají nic společného s fyzickým umístěním souborů na disku, slouží pouze pro přehlednější uspořádání souborů v projektu.
· při práci nemusíte mít všechny soubory projektu otevřeny. Soubor otevřete dvojklikem myši na názvu ve stromové struktuře projektu.
· můžete si označit hlavní soubor, který se potom bude spouštět v externím programu, bez ohledu na to, který soubor je otevřený.
· zachování stavu projektu při ukončení práce. Prostě jak projekt opustíte, tak jej příště najdete, včetně otevřených souborů apod.

Jak začít pracovat s projekty
Po spuštění programu je vytvořen prázdný projekt. Práce s projektem se aktivuje vložením minimálně jednoho souboru do projektu. Do té doby vás projekt nebude "obtěžovat", stačí jej skrýt a pracujete s programem tak, jak jste byli zvyklí.

Práce s projekty
Vložení nebo odstranění souboru z projektu nemá fyzický vliv na soubor. Nevytváří se nový soubor, soubor se ani nemaže. Pouze se vytvoří nebo zruší odkaz ve struktuře projektu.

Otevření nebo výběr souboru projektu
Soubor otevřete kliknutím myši nebo stiskem klávesy ENTER na jeho název ve struktuře projektu
Pokud je soubor otevřen, pouze se aktivuje
V případě, že soubor neexistuje (není nalezen na zadané cestě), otevře se dialogové okno, ve kterém máte možnost jej najít a tak jej opět zařadit do projektu

projaddfile Vložení souboru do projektu
· přetažením záložky se jménem souboru do složky
· pravým tlačítkem myši při editaci textu

Aby se dal do projektu vložit soubor, musí být splněny následující podmínky:
1. existence minimálně jedné složky
2. aktivní musí být složka nebo soubor, nikoli projekt

projdelfile Odstranění souboru z projektu
· stiskem tlačítka na paneku projektu
· pravým tlačítkem myši na názvu souboru v projektovém stromu

projfoldernew Vytvoření složky
Složku lze vytvořit kdykoliv z tlačítkem na liště projektu nebo pravým tlačítkem myši. Podmínkou je jedinečnost názvy složky v rámci projektu. Složek může být libovolný počet. Projekt neumožňuje "stromovou" strukturu složek, složky tvoří pouze v jednu vrstvu.

projfolderdel Odstranění složky
Složku lze odstranit pouze v případě, že je prázdná. Opět lze použít tlačítko na liště nebo pravé tlačítko myši.

Přidat soubory
Pomocí této možnosti, přístupné pokud kliknete na složce pravým tlačítkem myši, máte možnost přidat do projektu hromadně soubory pomocí dialogu. Můžete označit (a přidat) více souborů najednou.

editchp Přejmenování projektu nebo složky
Přejmenování se provádí přímo ve stromové struktuře projektu.
Pro přejmenování lze použít klávesu F2, kliknutí na jménu nebo pravé tlačítko myši.
Tímto způsobem nelze přejmenovávat vložené soubory. Pro přejmenování souboru je nutno použít možnost "Uložit jako"

Manipulace se soubory v projektu
Soubory je možno uspřádat do jednotlivých složek pouhým přetažením myši podle následujících pravidel:
· při "upuštění" souboru na jméno složky se zařadí jako poslední soubor ve složce
· při "upuštění" souboru na jiný soubor se vloží před něj

projnew Nový projekt
Pokud je otevřen nějaký projekt, dojde k jeho zavření a následnému otevření nového prázdného projektu. Takže tato volba slouží i pro zavření projektu.

settings Nastavení projektu
Tato volba slouží k nastavení parametrů projektu. Je to omezená část parametrů nastavení programu. Pokud je jakýkoliv parametr vyplněn, má přednost před nastavením programu.

Informace o projektu
Zobrazí seznam souborů, obsažených v projektu s počtem řádků v jednotlivých souborech.

Seznam souborů
Na žádost uživatelů byla od verze 3.1.8 do PSPadu doplněna možnost přímo zobrazit seznam souborů na disku (s možností procházení). Přepínání mezi projektem a seznamem souborů se děje pomocí tlačítka na panelu nástrojů projektu. Samozřejmostí je otevření souboru na dvojklik myši (popř. ENTER) a přidání souboru do projektu přetažením myší nebo klávesou CTRL+ENTER.
Názvy souborů, které neumí PSPad přímo zpracovat (nejsou přiřazeny žádnému zvýrazňovači), jsou zobrazeny pro lepší orientaci jinou barvou.
Kliknutím pravého tlačítka myši na seznamu souborů je možno přepínat mezi seznamem známých a všech souborů. Za známý je soubor považován v případě, že jeho typ je zaregistrován v některém zvýrazňovači.
Program si samozřejmě pamatuje poslední stav.

Velká a malá změna projektu
Určují stupeň změny projektu a také zobrazení dotazů na uložení projektu.
Velká změna znamená změnu obsahu projektu (přidání / odebrání souboru, přejmenování projektu...)
Malou změnou se rozumí změna vzhledu projektu.
Pokud dojde k velké změně, bude uživatel při zavření projektu dotázán, zda chce změny uložit. Při malé změně jsou změny uloženy automaticky bez dotazu.

Jak je projekt uložen
Jde o obyčejný textový soubor se strukturou INI souboru systému Windows. Typ souboru je .PPR (PSPad project)
Při spuštění programu je tato přípona zaregistrována v systému Windows. Při odinstalaci programu je registrace odstraněna.
Registrace projektu vám umožní otevřít projekt přímo kliknutím na soubor.

Jednotlivé soubory jsou uloženy relativně k poloze projektu. To znamená, že pokud zkopírujete projekt včetně souborů, které obsahuje do jiného adresáře nebo na jiný počítač, stále budete schopni jej otevřít a pracovat s ním.


 Přehled klávesových zkratek

Přehled makro příkazů najdete zde

Šablony
CTRL+Space        vyvolání seznamu
SHIFT+Space       přímé vložení šablony
CTRL+J            automatické dokončování

Editor
CTRL+PgUp         skok na začátek stránky
CTRL+PgDn         skok na konec stránky
CTRL+Home         skok na začátek textu
CTRL+End          skok na konec textu

SHIFT+CTRL+PgUp   označení k začátku stránky
SHIFT+CTRL+PgDn   označení do konce stránky
SHIFT+CTRL+Home   označení k začátku textu
SHIFT+CTRL+End    označení do konce textu
CTRL+A            označení celého textu
SHIFT+CTRL+T      označení obsahu TAGu (pouze HTML)
SHIFT+CTRL+M      označení uvnitř závorek
SHIFT+CTRL+§      označení řetězce včetně uvozovek nebo apostrofů
CTRL+§            označení řetězce uvnitř uvozovek nebo apostrofů

F8                označení začátku a konce bloku
CTRL+Up           při označeném bloku skok na začátek bloku
CTRL+Down         při označeném bloku skok na konec bloku

CTRL+Delete       smazat slovo
CTRL+Y            smazat řádek
SHIFT+CTRL+Y      smazat do konce řádku

CTRL+C            zkopírování označeného textu do schránky. Pokud neoznačeno zkopíruje aktuální řádek
CTRL+X            vyjmutí označeného textu do schránky. Pokud neoznačeno, vyjme aktuální řádek
CTRL+V            vložení textu ze schránky na pozici kurzoru
SHIFT+CTRL+V      vložení textu ze schránky na pozici kurzoru, pozice kurzoru se nemění

ALT+BackSpace     odvolání změny (undo)
Ctrl+Z            odvolání změny (undo)
SHIFT+ALT+Back    vrácení změny (redo)
SHIFT+CTRL+Z      vrácení změny (redo)

SHIFT+CTRL+N      normální blok
SHIFT+CTRL+L      řádkový blok
SHIFT+CTRL+C      sloupcový blok

CTRL+W            zapne/vypne zalomení textu

Operace se soubory
CTRL+N            nový soubor
CTRL+O            otevřít soubor
SHIFT+Ctrl+O      otevřít v HEXA editoru
CTRL+D            otevřít pod jménem
CTRL+F4           zavřít soubor
SHIFT+CTRL+F4     zavřít všechny soubory
CTRL+S            uložit soubor
F12               uložit jako
SHIFT+CTRL+S      uložit vše
CTRL+ALT+S        uložit bez změny datumu a času souboru
CTRL+P            tisk
ALT+P             nastavení tiskárny

Hledání a nahrazování
CTRL+F            hledat (dialog)
F3                hledat další
SHIFT+F3          hledat předchozí
SHIFT+CTRL+UP     hledat další výskyt aktuálního slova
SHIFT+CTRL+DOWN   hledat předchozí výskyt aktuálního slova
CTRL+H            nahradit (dialog)
CTRL+E            inkrementální hledání
ALT+G             jdi na řádek
ALT+F             hledání v souborech
CTRL+M            hledání související závorky

Záložky
SHIFT+CTRL+0..9   nastavení / zrušení záložky v textu
CTRL+0..9         skok na záložku v textu
SHIFT+CTRL+B      seznam záložek
ALT+LEFT          nastavení záložky
ALT+RIGHT         zrušení záložky
ALT+UP            předcházející záložka
ALT+DOWN          další záložka

Formátování bloku
SHIFT+CTRL+I      zvětšit odsazení bloku
SHIFT+CTRL+U      zmenšit odsazení bloku
TAB               zvětšit odsazení bloku
SHIFT+TAB         zmenšit odsazení bloku
CTRL+K            přelomení textu podle nastaveného okraje. Konec bloku je prázdný řádek
SHIFT+CTRL+K      přelomení textu podle nastaveného okraje. Konec bloku je krátký řádek

Komentování kódu
SHIFT+CTRL+A      přidá komentář na každý řádek označeného bloku
SHIFT+CTRL+R      odstraní komentáře z označeného bloku

Změna velikosti písmen
CTRL+ALT+U        změna písmen na velká
CTRL+ALT+L        změna písmen na malá
CTRL+ALT+T        první písmena velká

Záznam a přehrávání maker
CTRL+F5           záznam / ukončení makra
F5                spuštění makra

Nástroje
ALT+A             ASCII tabulka
ALT+I             vložit text do řádků
ALT+C             dialog pro výběr HTML barvy
ALT+D             vložit datum a čas

Externí programy a kompilátory
F9                otevření v externím programu
CTRL+F9           spuštění kompilátoru

Manipulace s okny
SHIFT+ALT+L       zamknutí vzájemného posunu oken
CTRL+L            LOG okno
ALT+L             přechod mezi LOG oknem a editorem
CTRL+Tab          další okno
SHIFT+CTRL+Tab    předchozí okno

Myš v editoru
Levý klik         změna pozice kurzoru
Pravý klik        vyvolání kontextové nabídky
Prostřední klik   vyvolání seznamu šablon s aktuálním slovem (totožné se stisknutím kolečka)
                  na záložce se jmény souborů zavře soubor
Levé              při tažení je označován normální blok
CTRL+Pravé        při tažení je rolováno okno
ALT+Levé          při tažení je označován sloupcový blok
SHIFT+Levý klik   je označen blok od předchozí pozice kurzoru
Dvojklik          označení slova
                  na prázdné ploše editoru vyvolá dialog Nový soubor
CTRL+Dvojklik     označení textu mezi apostrofy nebo uvozovkami
ALT+Dvojklik      označení HTML tagu
CTRL+ALT+Dvojklik označení obsahu uvnitř závorek
CTRL+Kolečko      změna velikosti písma


 Příkazový řádek

Formát příkazu:

"disk:\cesta\PSPad" "disk:\cesta\jméno souboru" /přepínač

Možné parametry pro hodnotu přepínač:

/H    otevření souboru přímo v HEXA editoru
/R    otevření soubor v režimu jen pro čtení
/nnn  po otevření souboru bude editor nastaven na řádek udaný číslem nnn


Struktura adresářů a souborů

 Struktura adresářů, popis souborů

Umístění souborů a podadresářů je vztaženo k umístění spustitelného souboru PSPad.EXE. Některé adresáře a soubory vzniknou hned po instalaci, některé se vytvářejí v průběhu práce s programem PSPad.
Editor PSPad není třeba instalovat, k práci stačí samotný PSPad.EXE.

Struktura adresáře s instalací editoru PSPad

PSPad.exe
spustitelný soubor s vlastním programem PSPad. K práci s programem stačí tento soubor.
PSPad.chm
nápověda k programu ve formátu kompilovaného HTML
PSPad.ini
soubor, obsahující nastavení programu. Po smazání jste ve stavu po instalaci programu. Naopak zálohou tohoto souboru si uchováte kompletní konfiguraci PSPadu. Pokud je povoleno víceuživatelské prostředí, je soubor uložen v adresáři profilu
PSPad_MU.ini
společná konfigurace i pro víceuživatelské prostředí.
Licence.txt
licenční ujednání
PSCache.bin
zde je uchováván stav jednotlivých souborů pro příští otevření (lze kdykoliv smazat)
Notepad.exe
je možno použít k náhradě standardního NOTEPAD.EXE v adresáři Windows v případě, že některé programy "natvrdo" otevírají program NOTEPAD. Je to jen spouštěč, který spustí PSPad.
Notepad.TXT
popis použití programu Notepad.exe
TiDy_ATL.dll
knihovna pro kontrolu HTML kodu
TiDyCFG.ini
soubor obsahující další varianty konfigurací TiDy (objeví se v menu HTML)
PSPad_err.log
v tomto souboru jsou zaznamenávány chyby programu
Search.ini
soubor, obsahující nastavení dialogu hledání. Pokud je povoleno víceuživatelské prostředí, je soubor uložen v adresáři profilu
Recent.ini
obsahuje dříve otevřené a soubory. Pokud je povoleno víceuživatelské prostředí, je soubor uložen v adresáři profilu
ASCII.ini
obsahuje definici řídících znaků a HTML entit pro ASCII tabulku

Context
adresář obsahuje šablony pro jednotlivé typy prostředí. Při otevření určitého typu souboru dojde k automatickému načtení šablony s odpovídajícím názvem (pokud soubor existuje). Jedná se o jednoduché textové soubory
BAT.def
HTML.def
:
VBScript.def
Lang
adresář obsahuje jazykové lokalizace programu v textových souborech .INI
Syntax
adresář obsahuje nastavení uživatelských zvýrazňovačů (soubory .INI)
Macro
do tohoto adresáře se ukládají a odsud se načítají nahraná makra (přípona .PMR)
Spell
tento adresář obsahuje slovníky pro kontrolu pravopisu (soubory .DIC). Zde se nachází i uživatelské slovníky v případě že není zvoleno "víceuživatelské prostředí". Pak se nachází v adresáři profilu uživatele.
Colors
zde jsou uložena barevná schémata
Convert
zde jsou definice konvertorů (soubory .INI)
Template
tento adresář obsahuje vzory dokumentů, které mohou být použity jako základ nového dokumentu (menu Soubor / Nový, popř. Ctrl+N)

Soubory projektů programu PSPad používají rozšíření .PPR.


 Šablony

makra

Šablony slouží k urychlení práce. Nejlépe by se to dalo popsat asi jako automatický text v MS Wordu.
Každá šablona se skládá z názvu, popisu a obsahu, který bude vložen na pozici kurzoru. Obsah šablony může obsahovat libovolný počet řádků, při vkládání je zachována struktura odsazení jednotlivých řádků.
Od verze 3.6.1 je možno definovat interaktivní šablony.

Jak vyvolat šablonu :
· Napíšete jméno šablony nebo část jména a po stisku CTRL+Space se vyvolá seznam, ve kterém stojíte na nejbližší podobné položce. Vyberete si požadovanou položku a po potvrzení klávesou ENTER je na místo kurzoru vložen obsah šablony.
· Napíšete celý název šablony, stisknete SHIFT+Space a pokud je šablona nalezena, na místo kurzoru je vložen její obsah.
· Použijete klávesovou zkratku, kterou má šablona přiřazenu (jejich seznam najdete v menu / Šablony / Klávesové zkratky)

Šablony jsou uloženy v souborech *.DEF v adresáři .\PSPad\Context. Jména souborů jsou uvedena níže a jsou povinná ! Jde o obyčejné textové soubory s velmi jednoduchou strukturou, takže si je můžete snadno upravit podle svého.
Editaci příslušné šablony je možno vyvolat přímo z menu Nástroje / Editace šablon. Pokud šablona neexistuje, bude vytvořena nová.

Formát souboru:
; - komentáře, řádky jsou ignorovány
;; - do kódu bude vložen jeden středník
[jméno_šablony |x popis šablony]*horká_klávesa
jméno šablony je v seznamu zobrazeno tučně a určuje i jméno příkazu pro přímé vložení pomocí SHIFT+Space
znak | odděluje jméno od popisu.
znak x určuje barvu, kterou je šablona zobrazena (viz níže)
řádek je uzavřen v hranatých závorkách [] .
znak * označuje klávesovou zkratku
klávesová zkratka určuje klávesovou zkratku, pomocí které je možno šablonu přímo vložit do textu
klávesová zkratka není povinná
obsah šablony
libovolný text, pouze nesmí začínat znakem [.
znak | určuje pozici kurzoru v editoru po vložení obsahu šablony
znak § (ALT+167) určuje místo, kam se vloží text označený před vyvoláním šablony
obsah šablony může obsahovat libovolný počet řádků.
pro znak | se bere pouze první výskyt
označený text je vložen na každý výskyt znaku §
...
[Tree Content]
seznam jednotlivých šablon rozdělený do sekcí - zobrazuje se v dialogovém okně
jméno sekce začíná od začátku řádku
jméno šablony v sekci je odsazeno o jednu mezeru
[KeyWords]
seznam slov (libovolných), které se uplatní ve funkci Automatické dokončování

sekce [Tree Content] a [KeyWords] jsou nepovinné

Barevné rozlišení šablon:
Znakem v názvu šablony (viz výše "Formát souboru" a znak x v hlavičce šablony) je možno určit jakou barvou se šablona v seznamu šablon zobrazí. Pokud není znak uveden, je šablona zobrazena systémovou barvou písma (obvykle černou). Možné znaky jsou:
M tmavě červená (maroon)
R červená (red)
N tmavě modrá (navy)
B modrá (blue)
P fialová (purple)
F růžová (fuchsia)
G zelená (green)
D tmavě šedá (dark gray)

Příklad šablony:
[zadost | ilustrační příklad možností šablony]*Ctrl+Z
Věc: Žádost o zvýšení platu.
----------------------------------------
Důrazně žádám o zvýšení základního platu na | Kč.
V případě odmítnutí to můžete brát jako žádost o rozvázání pracovního poměru.
[Tree Content]
Žádosti
 zadost
[KeyWords]
plat
žádost
odmítnutí

Možnosti použití příkladu:
· stiskem CTRL+Space vyvoláme seznam, vybereme řádek a klávesou Enter vložíme do textu
· napíšeme "zadost" a stiskem SHIFT+Space přímo vložíme do textu
· v případě přiřazení horké klávesy stačí stisknout Ctrl+Z
· seznam šablon je možno vyvolat prostředním tlačítkem myši a zavřít pravým tlačítkem

Do editovaného textu budou vloženy 4 řádky a kurzor se zastaví na pozici znaku |, tzn. před Kč, takže zbývá jen doplnit požadovanou částku.

Interaktivní šablony

Od verze 4.2.0 jsou k dispozici proměnné, pomocí kterých je možno vkládat do šablony datum, jméno souboru, atd. Proměnné se nastavují v menu Nastavení / Proměnné programu
PSPad od verze 3.6.1 podporuje interaktivní šablony. Znamená to, že po vyvolání šablony se objeví formulář, do kterého jdou zadat hodnoty a ty se pak vlozi do textu. Podrobneji je to popsáno ve zvláštní kapitole.

Jména souborů:
· Assembl.def
· Bat.def      (dávkové soubory)
· Basic.def
· CPP.def      (C++)
· CSS.def      (kaskádové styly)
· FoxPro.def
· General.def      (prostý text)
· HTML.def
· INI.def      (INI soubory)
· Java.def
· JavaScript.def      (JAVA skript)
· VBScript.def      (Visual Basic skript)
· Pascal.def
· Perl.def
· PHP.def
· SQL šablony jsou závislé na dialektu SQL
SQL.def      standard ANSI SQL
Interbase.def
MSSQL.def
MySQL.def
Oracle.def
SyBase.def
Ingres.def
· Python.def
· ISetup.def      (INNO setup)
· XML.def


Šablony - interaktivní

 Interaktivní šablony

PSPad od verze 3.6.1 umožňuje definovat interaktivní šablony.
Doporučuji napřed přečíst , věnující se základům šablon

Co to znamená ?
Šablony dosud pracovaly tak, že na místo kurzoru se vložil text, definovaný v šabloně a nastavila se pozice kurzoru. Pak bylo třeba vložený text upravit.
Nyní máte možnost vložit šablonu včetně zadání hodnot, takže výsledek již není třeba upravovat a je to intuitivnější.

Příklad vložení HTML TAGu:
Dosud: vyvolala se šablona, vložila se do souboru a ručně se doplnily hodnoty, popř. se vymazaly vlastnosti, které nebyly třeba
Nyní: objeví se formulář, ve kterém si vyplníte některé hodnoty a pouze ty vyplněné se vloží do textu. To je samozřejmě možné kombinovat se stávajícími šablonami.

Jak to pracuje ?
Základem je definice ovládacích prvků v sekci [Macro definition] nejlépe na začátku šablony. Tyto ovládací prvky se pak velmi snadno použijí v šablonách.
A proč se definují zvlášť na ne přímo v šablonách ? Důvod je prostý. Spousta šablon používá shodné prvky a tak by se zbytečně zvětšil definiční soubor se šablonami a bylo by to také méně přehledné. A další výhodou je to, že pokud to změníte v této sekci, změnili jste to vlastně ve všech šablonách, kde je to použito.

Vícenásobné použití výsledku:
jméno ovládacího prvku je možno v definici šablony možné použít vícekrát. V tom případě se v dialogu objeví pouze jednou, ale zadaný text bude vložen na všechna místa výskytu (viz poslední příklad).

Formát
%prvek%=@x popisek,úvodní_text,výchozí,možnosti,oddělovač,typ_dialogu

%prvek% - toto jméno v definici šablony určuje, který ovládací prvek bude použit. Může obsahovat pouze znaky a čísla bez mezer.
@x - typ ovládacího prvku (viz. dále)
popisek - text, který se zobrazí před ovládacím prvkem
úvodní_text - text, který bude vložen do do textu před zadanou hodnotou (nepovinný)
výchozí - předvyplněná hodnota v ovládacím prvku (nepovinný)
možnosti - tato část je závislá na použitém ovládacím prvku (nepovinný) (viz dále)
oddělovač - znak(y), které budou vloženy do textu kolem hodnoty (nepovinný)
typ_dialogu - určuje, jak dopadne výsledek dialogu pro otevření souborů (nepovinný)
A (absolutní cesta) nebo R (relativní cesta) a druh lomítka. Viz definice ovládacích prvků.

Nepovinné části není třeba uvádět. Pouze je třeba dodržet počet oddělovacích čárek. Odzadu je možné cokoliv vynechat.
Pokud potřebujete zadat nějaké speciální znaky, např. čárku do výchozího textu nebo výchozí hodnoty, zavřete hodnotu do uvozovek. Viz .

Definice ovládacích prvků

Editační pole (Edit)
zobrazí obyčené editační pole pro zadání obecné hodnoty

%edit1%=@E Číslo strany:,Page ,,,-
výsledek: Page -12-
%edit2%=@E Jméno autora
výsledek: Jan Fiala

Rozbalovací seznam (ComboBox)
zobrazí editační pole s rozbalovacím seznamem
řetězce v seznamu jsou uvedeny v sekci možnosti a jsou odděleny středníkem
Pokud řetězec obsahuje něco jiného než pouze písmena a čísla, je třeba jednotlivé položky uzavřít do uvozovek (viz druhý příklad)

%combo1%=@C Typ centrování:,CENTER=,left,left;right;center,"
%RGB%=@C RGB barva:,RGB=,,"255,255,255";"#FFFFFF";"FF;FF;FF";"FF FF FF","

výsledek: CENTER="left"

Rozbalovací seznam s fonty (FontBox)
zobrazí editační pole s rozbalovacím seznamem, naplněným názvy fontů, instalovaných v systému.

%fonts%=@F Font face:,font-face=,,,"
výsledek: font-face="Arial"

Dialog pro zadání datumu
zobrazí editační pole s kalendářem pro interktivní zadání datumu

%datum%=@D Datum:,DATE=,,,"
výsledek: DATE="12.2.2002"

Zaškrtávací pole (CheckBox)
zobrazí jednoduché zaškrtávací políčko. Pokud je zaškrtnuto, hodnota se v textu objeví. Je-li cokoliv uvedeno v sekci výchozí, políčko bude na formuláři zaškrtnuto

%check%=@K Bez stínu,NoShade
vysledek: NoShade
%check%=@K Nezapomenout,PAMATUJ,,,!!!
vysledek: !!!PAMATUJ!!!

Editační pole s dialogem pro soubor
zobrazí editační pole s tlačítkem vpravo, které umožní výběr a vložení souboru do pole. V sekci možnosti je možno definovat filtr na otevírané soubory. Pokud nebude maska uvedena, bude nastavena na všechny soubory
Nebude-li uveden typ dialogu, platí následující pravidla:
jde-li o HTML, bude nastavena relativní cesta a normální lomítka
nejedná-li se o HTML, bude nastavena absolutní cesta a obrácená lomítka

%file%=@O Odkaz:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"
výsledek: HREF="project/files/soubor.htm"

%file%=@O Odkaz:,,,PAS files (*.pas)|*.pas,',A\
výsledek: 'c:\temp\soubor.pas'

%file%=@O Odkaz:,,,C files (*.c)|*.pas,,R\\
výsledek: project\\source\\soubor.c

Editační pole s dialogem pro obrázek
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu možnost výběru obrázku. Tento dialog obsahuje i náhled obrázku. Masku není třeba uvádět. Pro typ dialogu platí to samé jako pro dialog pro soubor.
Jsou-li součástí šablony makra, obsahující v názvu width a height, jsou do nich dosazeny aktuální rozměry obrázku
Jsou-li součástí šablony makra, obsahující v názvu alt nebo title, je do nich dosazen název a velikost obrázku, pokud je obsah prázdný

%pict%=@P Odkaz:,SOURCE=,,,"
výsledek: SOURCE="files\obrazek.png"

Editační pole s dialogem pro výběr adresáře
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu pro výběr adresáře. Pro typ dialogu platí to samé jako pro dialog pro výběr souboru.

%pict%=@S Vytvoření adresáře:,CreateDirectory:,,,,A\
výsledek: CreateDirectory:c:\program files\novy adresar

Editační pole (Edit) s vyvoláním editoru CSS TopStyle
zobrazí obyčené editační pole pro zadání obecné hodnoty s tlačítkem, kterým je možno vyvolat TopStyle editor (více v menu HTML) pro editaci inline CSS

%style%=@T Styl,Style=,,,

Editační pole s dialogem pro výběr barvy
podobně jako pole s dialogem pro soubor zobrazí editační pole s tlačítkem na vyvolání dialogu pro výběr barvy. Pro typ dialogu platí to samé jako pro dialog pro výběr souboru.

%color%=@L Výběr barvy:,background:,,,"
výsledek: background="#623488"

Použití v šablonách - příklady

Příklad 1:

[Macro definition]
%file%=@O Odkaz:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"
...
[ahref | jednoduchý odkaz <a href=...>...</a>]
<a %file%>|</a>

Při vyvolání šablony se objeví formulář s editačním polem s možností výběru souboru pomocí tlačítka a do textu se vloží:
<a HREF="vybraný soubor.htm"></a>
a kurzor bude stát mezi tagy na místě znaku "|"

Příklad 2:

[Macro definition]
%proc%=@E Jméno procedury:
%autor%=@E Jméno autora:
...
[proc | základ procedury]
// Procedura: %proc%
// Autor: %autor%
procedure %proc%;
begin
|
end; {procedure %proc%}

Při vyvolání šablony se objeví formulář se dvěmi editačními poly pro zadání jména procedury a autora. Výsledek v textu bude vypadat:

// Procedura: UkazDialog
// Autor: Jan Fiala
procedure UkazDialog;
begin

end; {procedure UkazDialog}

Příklad 3:

[Macro definition]
%Number%=@E," ,",,,
[ahref | číslo s čárkou]
%number%

Při opakovaném vyvolávání šablony se do textu bude vkládat vždy čárka a hodnota:
 ,123, 456, 12, 5


 Uložení rozdělané práce

Co to znamená ?
PSPad umožňuje při ukončení práce zapamatovat si otevřené programy a při příštím spuštění je zase automaticky otevřít. Takže jej při příštím spuštění najdete ve stavu, ve kterém jste jej zavřeli. Pokud si k tomu povolíte v nastavení programu ještě zapamatování stavu souboru, dojde k zapamatování a obnovení zvýrazňovače, záložek, pozice v souboru, ...

Způsob spouštění programu (vymezení pojmů):
· spouštění bez parametru - spustíme přímo PSPad a v něm si otevřeme soubor(y)
· spuštění s parametrem - PSPad je spuštěn dvojklikem na soubor nebo třeba ve Windows Commanderu klávesou F4

Ukládání rozdělané práce
Ukládání rozdělané práce je možno povolit / zakázat v parametrech programu. Předpokládejme, že je povoleno.

Filozofie (jak to pracuje)
Týká se stavu, kdy je parametr pro zapamatování rozdělané práce nastaven jako:
[x] - budou se obnovovat jen soubory, otevřené v PSPadu

K uložení stavu souboru dojde pouze v případě, kdy byl PSPad spuštěn bez parametrů. Vyjímkou je otevření projektu.

1. pracuji s programem, mám otevřené soubory a ukončím jej - uloží se stav
2. ve Windows Commanderu si otevřu soubor, pracuji a PSPad ukončím - k uložení stavu nedojde
3. spustím přímo PSPad - při spuštění dojde k obnovení stavu, uloženého v bodě 1.

To umožňuje využít PSPad kdykoliv jako pohotový editor ale obnovit předchozí stav, pokud jej spustíte přímo.


Menu soubor

 Popis menu - soubor

new Nový soubor CTRL+N
Typ nového dokumentu záleží na typu aktivního otevřeného dokumentu. Pokud tedy mám otevřený PAS, po vyvolání se otevře Nový dokument.PAS
Od verze 4.2x vyvolá tato volba dialogové okno, pomocí kterého je možno otevřít prázdný soubor nebo soubor na základě šablony
Dialog je možné vyvolat i dvojklikem na ploše programu, pokud není otevřen žádný soubor nebo dvojklikem na panel, na kterem jsou záložky se jmény souborů

fileopen Otevřít soubor CTRL+O
Otevře vybraný soubor pro textovou editaci

Otevřít v HEXA editoru SHIFT+CTRL+O
Otevře vybraný soubor přímo v HEXA editoru

Otevřít speciál
Otevřít znovu CTRL+R
Otevře znovu aktuální soubor. Použitelné např. při nechtěném vymazání nebo při změně kódových stránek.
Otevřít kopii
Otevře soubor ještě jednou v novém okně
Otevřít pod jménem CTRL+D
Umožní uložit aktuální soubor pod jiným jménem a současně jej i otevře. Spojuje tak v sobě akce Uložit jako a Otevřít
Otevřít v programu
spustí otevřený soubor v programu, definovaném v nastavení zvýrazňovačů
Otevřít soubor z internetu
otevře soubor, určený internetovou adresou (http://....)
Otevřít z označeného textu
otevře soubor, daný označeným textem v souboru. Odkazy typu http://www.pspad.com, popr. ftp://ftp.microsoft.com se otevřou ve výchozím programu (poštovní program nebo prohlížeč). Pokud při kliknutí budete držet klávesu CTRL, otevřou se v PSPadu zdrojový kód stránky.

closefile Zavřít soubor CTRL+F4
Zavře aktuální dokument. Soubor je možné zavřít i pomocí menu na pravé tlačítko myši v editoru a na záložce souboru nebo kliknutím pravým tlačítkem na záložce souboru

Zavřít vše
zavře všechny otevřené soubory včetně projektu

projcompile Kompilovat
Touto volba je přístupná v případě, že je nastaven kompilátor (nastavení se provádí v nastavení zvýrazňovačů)

Otevřít v programu
Nabídka externích programů, ve kterých lze soubor otevřít. Programy se definují v nastavení programu

save Uložit CTRL+S

Uložit jako F12
Uloží soubor pod novým jménem

Přesunout jako F12
Uloží soubor pod novým jménem a smaže původní soubor

saveall Uložit vše SHIFT+CTRL+S
Uloží změny ve všech souborech. Pokud jde o nový soubor, zeptá se na jméno a cestu

Uložit na FTP
Uloží soubor do aktuálního adresáře FTP serveru. Přístupné pouze při otevřeném FTP připojení

Uložit výběr jako...
Vybraný text bude uložen pod zadaným jménem

Export
sendtodisk Na disketu
mail4 Jako obsah e-Mailu
mail5 Jako přílohu e-Mailu

Exportovat
Exportuje soubor do formátu RTF, HTML nebo TeX se zachováním zvýraznění syntaxe
Export do schránky jako xxx
Exportuje celý nebo označený text do schránky ve formátu RTF, HTML, XHTML nebo TeX se zachováním zvýraznění syntaxe

Informace o souboru
zobrazí informace o souboru - počet slov, řádků, znaků

ro Pouze pro čtení
umožní "zamknout dokument", takže nejsou možné žádné opravy

print Tisk CTRL+P

preview Náhled před tiskem ALT+P

Nastavení stránky
Umožňuje nastavit okraje pro tisk

setting print Nastavení tiskárny
Nastavení vlastnosti tisku - formát papíru apod.

Konec ALT+F4
Pomocí klávesové zkratky CTRL+ALT+F4 je možno program ukončit i v případě, že je nastavena minimalizace do tray ikony


Menu projekt

 Popis menu - projekt

O tom, co je to projekt a k čemu sloučí, pojednává samostatná kapitola v části o Práci s PSPadem

projnew Nový projekt
vytvoří nový projekt. Slouží i k zavření projektu

Projekt z adresáře
Slouží k rychlému vytvoření projektu ze zvolené složky.

projopen Otevřít
otevře existující projekt a obnoví stav, při kterém byl projekt uzavřen

projsave Uložit
uloží projekt. U nového projektu si vyžádá zadání jména a cesty

settings Nastavení projektu
umožňuje nastavit vlastnosti projektu, jako jsou kompilátor, externí programy, výchozí adresář


Menu úpravy

 Popis menu - úpravy

undo Zpět CTRL+Z
Vrátí poslední provedenou operaci. Program si pamatuje pro každý soubor 1024 změn.

redo Odvolat zpět SHIFT+CTRL+Z
Odvolá vrácení poslední operace.

cut Vyjmout CTRL+X

copy Kopírovat CTRL+C

paste Vložit CTRL+V

insertfile Vložit ze souboru
Na pozici kurzoru vloží obsah vybraného souboru

delete Odstranit Del

Vložit datum a čas ALT+D
Na pozici kurzoru vloží datum a čas ve formátu, zvoleném při posledním použití Datum/čas dialogu

calendar Datum/čas dialog
Otevře dialog, který kromě výběru formátu datumu a času, který bude vložen do textu umožní formáty upravovat. Poslední použitý formát bude použit při rychlém vložení při Vložit datum a čas (ALT+D)

Použitelné formáty:
c datum v krátkém formátu nastaveném ve Windows
d den bez uvodní nuly (1..31)
dd den, ve dvoumístném formátu (01..31)
ddd zkrácený název dne (Pon..Ned)
dddd název dne (Pondělí..Neděle)
ddddd datum ve formátu daném proměnnou ShortDateFormat
dddddd datum ve formátu daném proměnnou LongDateFormat
e roční období bez úvodní nuly (pouze Japonsko, Taiwan, Korea)
ee roční období s úvodní nulou (pouze Japonsko, Taiwan, Korea)
g zkratka ročního období (pouze Japonsko, Taiwan, Korea)
gg název ročního období (pouze Japonsko, Taiwan, Korea)
m číslo měsíce bez úvodní nuly (1..12)
mm číslo měsíce včetně úvodní nuly (01..12)
mmm zkratka měsíce (Led..Pro)
mmmm jméno měsíce (Leden..Prosinec)
yy rok ve 2-místném formátu (00..99).
yyyy rok ve 4-místném formátu (0000..9999).
h hodiny bez úvodní nuly (0..23).
hh hodiny včetně úvodní nuly (00..23).
n minuty bez úvodní nuly (0..59).
nn minuty s úvodní nulou (00..59).
s sekundy bez úvodní nuly (0..59).
ss sekundy s úvodní nulou (00..59).
z milisekundy bez úvodní nuly (0..999).
zzz milisekundy s úvodními nulami (000..999).
t čas ve krátkém formátu
tt čas ve dlouhém formátu
am/pm použije 12-ti hodinový čas a indikaci "am" nebo "pm"
a/p použije 12-ti hodinový čas a indikaci "a" nebo "p"
ampm použije 12-ti hodinový čas a indikaci "dop." nebo "odp."
/ zobrazí oddělovač datumu daný nastavením Windows
: zobrazí oddělovač času daný nastavením Windows
'xx'/"xx" znaky, zobrazené v apostrofech nebo uvozovkách budou zobrazeny beze změny

Speciál
Vložit jako HTML
produkty MS Office ukládají text do schránky i ve formátu HTML (např. text zkopírovaný v IE). Vy tak máte možnost ze schránky přímo HTML kód

Vložit se zachováním kurzoru SHIFT+CTRL+V
Jde o speciální případ vložení textu ze schránky. V tomto případě nebude kurzor přesunut na konec vloženého textu, ale zůstane na původním místě.

Identifikátor GUID
Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Operace s řádky
Kopírovat řádek
Aktuální řádek bude zkopírován a vložen do textu
Zaměnit řádky
Pozice aktuálního řádku bude zaměněna s následujícím řádkem

Vložit text na začátek řádků ALT+I
Na každý řádek nebo každý řádek označeného bloku bude vložen zadaný text
Odstranit citování
Citováním je myšleno uvození začátku každého řádku znakem >, jak to známe z elektronické pošty. Pomocí těchto nástrojů je možné citování z textu odstranit nebo naopak přidat. Volba je přístupná pouze při označení textu.
Odstranit nadbytečné mezery
Otevře dialog, ve kterém lze zadat, zda se mají odstranit nadbytečné mezery na začátku, na konci řádků nebo v textu. Všechny možnosti je možno kombinovat. Odstranění mezer v textu znamená, že mezi jednotlivými slovy zůstane pouze jedna mezera.
Odstranit prázdné řádky
Z celého textu budou odstraněny všechny prázdné řádky
Odstranit nadbytečné prázdné řádky
Z celého textu budou odstraněny nadbytečné prázdné řádky. Výraz "nadbytečný" znamená více jak jeden volný řádek, následující za sebou.

Konverze
Desítková <-> Hexadecimální
Dvojice funkcí provádí převod označeného čísla. Pokud tyto funkce používáte častěji, je vhodné přiřadit jim nějaké klávesové zkratky
ANSI <-> URL
Dvojice funkcí pro kódování a dekódování diakritiky na formát, používaný v URL adresách
ANSI <-> Quoted printable
Dvojice funkcí pro kódování a dekódování diakritiky na formát, používaný v e-mailech

Odstranit diakritiku
Z celého textu nebo označeného bloku jsou odstraněna diakritická znaménka.
Doplnit diakritiku
Pro doplnění diskritiky je použit slovník pro kontrolu pravopisu. Jsou vyhledávána slova a porovnávána se slovy ve slovníku. Pokud je výraz ve slovníku nalezen, je nahrazen výrazem ze slovníku. Není to všemocný nástroj, ale ušetří spoustu ruční práce.
Tabulátory na mezery
Převede všechny znaky 09h (tabulátor) na příslušný počet mezer, nastavený v parametrech programu

Vybrat vše CTRL+A
Označí celý text. Tato volba také nastaví druh bloku na normální

Vybrat mezi závorkami SHIFT+CTRL+M
Označí text, uzavřený mezi závorkami

Označit řetězec SHIFT+CTRL+§
Označí řetězec, ohraničený apostrofy nebo uvozovkami včetně. Alternativou je použití zkratky CTRL+§, která označí text uvnitř uvozovek nebo apostrofů.

Označit TAG SHIFT+CTRL+T
Označí obsah TAGu. Podmínkou je stát uvnitř počátečního tagu. Program počítá i s vnořenými strukturami. Při použití na <body> označí celé tělo HTML

sort Setřídit
Třídění řádků vzestupně nebo sestupně.
Odstranit duplicity - po setřídění dojde k odstranění duplicitních řádků
Rozlišovat velikost písmen - určuje, zda se bude při třídění brát ohled na velikost písmen

Třídit podle:
· ANSI hodnoty - třídění proběhne v souladu s pravopisnými pravidly třídění znaků
· ASCII hodnoty - třídění proběhne podle ASCII hodnoty znaků
· číselné hodnoty - dojde k převedení na číslo a setřídění

V pokročilém nastavení je možno definovat sloupec, podle kterého třídění proběhne

Druh bloku
Určuje jakým způsobem se bude označovat text při výběru pomocí kurzorových kláves (kombinace kláves pro pohyb v textu se stisknutou klávesou SHIFT).
Nevztahuje se na výběr pomocí myši, kdy se automaticky přepíná normální blok a sloupcový blok, při označování myši se stisknutou klávesou ALT. Automatické přepínání lze vypnout v parametrech programu.
Sloupcový blok není přístupný při zalomení řádků !
Styl bloku je nastaven na normální, pokud se použije volba Vybrat vše (CTRL+A)
Styl je indikován symbolem na stavovém řádku a dvojklikem na symbol je možno měnit druh bloku

Normální SHIFT+CTRL+N
Obyčejný druh označování textu. Je možno na začátku a konci bloku vybrat část řádku, uprostřed bloku vždy celé řádky.

Sloupcový SHIFT+CTRL+C
Umožňuje označit sloupec textu. S tímto sloupcem pak pracuje i hledání a nahrazení. Jednoduše tak můžete vybrat sloupec proměnných a překopírovat jej někam jinam.

Řádkový SHIFT+CTRL+L
Při označování bloku se vybírají vždy celé řádky


Menu hledat

 Popis menu - hledat

find Najít CTRL+F

replace Nahradit CTRL+H

Najít další F3

Najít předchozí SHIFT+F3

Hledat další výskyt aktuálního slova SHIFT+CTRL+DOWN
Hledat předchozí výskyt aktuálního slova SHIFT+CTRL+UP
Vyhledáni dalšího / předchozího výskytu aktuálního slova, na kterém stojí kurzor. Při prvním stisku se slovo označí, při dalším stisku je provedeno hledání. Pokud si předem označíte část řádku, bude se hledat tento označený text

Inkrementální hledání CTRL+E
Umožní okamžité hledání při psaní hledaného výrazu. Na stavovém řádku se po vyvolání objeví editační políčko, kam je možno psát hledaný text. Při psaní editor okamžitě reaguje a vyhledává první výskyt hledaného řetězce. Hledání probíhá od aktuální pozice kurzoru směrem ke konci textu.

Jdi na řádek ALT+G
Přejde v textu na zadaný řádek a sloupec nebo absolutní pozici v souboru. Po vyvolání jsou zobrazeny aktuální údaje. Pokud na ně kliknete, jsou přeneseny do editačních polí.

Související závorka CTRL+M
Vyhledá související závorku. Před hledáním je třeba umístit kurzor před závorku.

filesearch Hledání v souborech
Umožní hledání a nahrazení řetězce v souborech. Podrobnosti v samostatné kapitole

Hledání na Google
Po vyplnění informací v dialogu bvude otevřen internetový prohlížeč s vygenerovaným dotazem pro vyhledávač Google a budou zobrazeny výsledky hledání. Více informací v samostatné kapitole

Vytvořit záložku Ctrl+Shift+0..9
Vytvoří v textu záložku. K dispozici je 10 záložek pro každý otevřený soubor

Jít na záložku Ctrl+0..9
Skočí na vytvořenou záložku. Pro lepší orientaci je v textu záložky uveden kousek řádku, na kterém byla záložka vytvořena.
Tato volba je přístupná v případě, že byla vytvořena minimálně jedna záložka


 Hledání v souborech

PSPad umožňuje kromě klasického hledání v otevřeném dokumentu i hledání a nahrazení textu hromadně ve specifikovaných souborech.

Parametry hledání

Rozsah hledání
· v souborech projektu - hledání se týká všech souborů projektu
· v otevřených souborech - hledání se týká pouze otevřených souborů, bez ohledu na zařazení v projektu
· v zadaném adresáři
prohledávaný adresář (lze využít výběr adresáře)
seznam typů souborů (jednotlivé typy jsou oddělené středníkem)
prohledávání podadresářů v zadané cestě

Hledaný text
· hledaný text - text který bude vyhledáván v souborech
· nahradit textem - pokud není zaškrtnuto, bude se pouze vyhledávat. Z bezpečnostních důvodů je při každém zobrazení formuláře zrušeno.
· nahradit textem - všechny výskyty hledaného textu budou nahrazeny zadaným textem
· hledat pouze celá slova - pokud zadáte k hledání řetězec Objekt, nebudou vyhledány a nahrazeny výrazy jako Objekty, MyObjekt apod.
· rozlišovat velikost písmen - určuje, zda velikost písmen hraje roli při hledání

Jak to pracuje
Po specifikaci parametrů je vytvořen seznam souborů a ty jsou následně prohledávány na výskyt řetězce. Pokud nemáte zvoleno nahrazování textu, obsah souboru se nemění. V opačném případě je provedeno nahrazení všech výskytů hledaného textu.
Hledání je kdykoliv možno přerušit klávesou Storno.

Výsledky hledání
Po prohledání souborů a nalezení minimálně jednoho výskytu jsou zobrazeny výsledky hledání na kartě v LOG okně.
Ta obsahuje seznam souborů, ve kterých byl řetězec nalezen. Po kliknutí na jméno souboru dojde k rozbalení a zobrazení řádků, na kterých byl hledaný text nalezen.
Po dvojkliku na řádek dojde k otevření, popř. k přepnutí do souboru a nastavení kurzoru na odpovídající řádek. Výsledky hledání jsou kdykoliv přístupné, mažou se při ukončení programu nebo při zahájení nového hledání

pspad-filefind2

Na co si dát pozor
· nahrazování proběhne po úvodním dotazu bez jakýchkoliv dalších dotazů a budou nahrazeny všechny nalezené výskyty hledaného řetězce ve všech souborech
· hledání je prováděno pouze v souborech na disku, takže je vhodné před spuštěním hledání uložit provedené změny v otevřených souborech, pokud spadají do rozsahu hledání
· Důkladně si rozmyslete, kde a co chcete nahrazovat. Pokud necháte masku souborů na *.*, dojde k nahrazení ve všech souborech, tzn. i v programech (.EXE, .DLL apod.), takže skoro jistě přestanou pracovat. Doporučuji napřed provést hledání bez nahrazení, podívat se, kde se výsky nalezl a pak jako druhý krok provést nahrazení.


 Regulární výrazy

PSPad od verze 3.6.0 podporuje hledání pomocí regulárních výrazů

Co jsou to regulární výrazy ?
Regulární výrazy jsou mocný nástroj pro hledání textových řetězců pomocí vzorů. Speciální předdefinované metaznaky dovolují specifikovat, zda hledaný řetězec leží na začátku nebo na konci textu / řádku, umožňuje specifikovat znaky, který řetězec obsahuje apod.
Z počátku vám to určitě bude připadat složité, ale po seznámení zjistíte, že je to velmi užitečný nástroj.

Jednoduché znaky
Každý znak zastupuje sebe. Je to jako při normálním hledání. Pokud zadáte slovo jelen, bude se hledat "jelen". Escape sekvence začíná znakem \. Existují některé speciální znaky, např. ^, který znamená, že se bude hledat na začátku řádku. Pokud ale budete chtít přímo znak ^, musíte zadat \^. Podobně pro hledání samotného znaku \ je třeba zadat \\.

Escape sekvence
Znaky můžou být specifikovány pomocí escape sekvence. \n je nový řádek, \t tabulátor apod. Znaky je možné také zadat pomocí jejich ASCII hodnoty. \xnn je hledání znaku, kde nn je jeho ASCII hodnota vyjádřená v šestnáctkové soustavě.

\xnn znak s šestnáctkovou ASCII hodnotou nn
\t   tabulátor (stejné jako \x09
\n   nový řádek, stejné jako \x0a
\r   CR, stejné jako\x0d
\f   FF, stejné jako \x0c
\a   BEL, stejné jako \x07
\e   ESC, stejné jako \x1b

Příklady:

jel\x20en najde slovo "jel en" (s mezerou uprostřed)
\tjelen   najde slovo "jelen", před kterým je tabulátor

Skupiny (třídy) znaků
Je možné specifikovat skupiny znaků. Tato skupina je uzavřena v []. Text bude nalezen, pokud vyhovuje jeden znak ze seznamu. Pokud první znak za závorkou je ^, znamená to, že v textu nesmí být obsažen žádný znak ze seznamu.

Příklady:
jel[aei]n najde slova "jelan", "jelen", "jelin"
jel[^ai]n najde slovo "jelen", ale nenajde "jelin", "jelan" atd.

Znak - znamená rozsah znaků. Potom a-z znamená jakýkoliv znak v rozsahu "a" až "z".
Pokud chcete hledat znak - samotný, je třeba jej uvést na začátku / konci seznamu, nebo jej uvést pomocí \.

Příklady:
[-az]     vyhovují znaky "a", "z" a "-"
[az-]     vyhovují znaky "a", "z" a "-"
[a\-z]    vyhovují znaky "a", "z" a "-"
[a-z]     vyhovují všechny znaky v rozsahu "a" až "z"
[\n-\x0D] vyhovují znaky s ASCII hodnotou #10,#11,#12,#13
[\d-t]    vyhovují čísla, "-" a "t"
[]-a]     vyhovuje znak v rozsahu "]" až "a"

Metaznaky - oddělovače řádků
^  začátek řádku
$  konec řádku
\A začátek textu
\Z konec textu
.  jakýkoliv znak

Příklady:
^jelen   "jelen", ale pouze pokud je na začátku řádku
jelen$   "jelen", lae pouze pokud je na konci řádku
^jelen$  "jelen", ale pouze pokud na řádku není nic jiného
jele.n   "jel"jakýkoliv_znak"n"

Metaznaky - předdefinované skupiny
\w písmena včetně "_" an alphanumeric character (including "_")
\W čísla a písmena
\d čísla
\D nečíselné znaky
\s jakákoliv mezera (stejné jako [ \t\n\r\f])
\S nemezerový znak

Příklady:
jel\dn     znamená "jel1n", "jel7n", ale ne "jelen"
jel[\w\s]n znamená "jelen", "jel n", ale ne "jel2n", "jel=n" apod.

Metaznaky - čítače
Jakýkoliv znak může být následován čítačem. Lze tak určit počet výskytů předchozího znaku, metaznaku nebo výrazu.

hladové
*      žádný nebo více výskytů znaku, podobně jako {0,}
+      jeden nebo více výskytů znaku, podobně jako {1,}
?      žádný nebo jeden výskyt znaku, podobně jako {0,1}
{n}    přesně n výskytů
{n,}   nejméně n výskytů
{n,m}  nejméně n-krát, ale ne víc než m-krát
nehladové
*?     žádný nebo více výskytů, podobně jako {0,}?
+?     jeden nebo více výskytů, podobně jako {1,}?
??     žádný nebo jeden výskyt, podobně jako {0,1}?
{n}?   přesně n výskytů
{n,}?  nejméně n výskytů
{n,m}? nejméně n-krát, ale ne víc než m-krát

Příklady:
jel.*n     najde "jelen", "jel87hsgdn", "jeln"...
jel.+n     najde "jelen", "jel87hsgdn", ale ne "jeln"
jel.?n     najde "jelen", "jeln", ale ne "jel87hsgdn"
jele{2}n   najde "jeleen"
jele{2,}n  najde "jeleen", "jeleeen", "jeleeeen"...
jele{2,3}n najde "jeleen", "jeleeen", ale ne "jeleeeen"

Malé vysvětlení o "hladovosti". "Hladový" vrací tolik, kolik je možné. "Nehladový" vrací tak málo, jak je možné. Např. b+ a b* aplikované na řetězec 'abbbbc' vrací 'bbbb', b+? vrací 'b', b*? vrátí prázdný řetězec, b{2,3}? vrátí 'bb', b{2,3} vrátí 'bbb'.

Metaznaky - alternativy
Ve vzoru lze také specifikovat sérii alternativ, jako oddělovač slouží znak |.
Např. jelen|jelan|jelin najde "jelen", "jelan" nebo "jelin" (podobně jako jel(e|a|i)n)
Nezapomeňte ale na to, že znak | uvnitř [] je interpretován jako obyčejný znak !!!
Pokud tedy uvedete [jelen|jelan|jelin], ve skutečnosti jste zadali, že chcete hledat jeden ze znaků "jeln|ai"

Příklad:
jel(en|ínek) najde "jelen" nebo "jelínek"

Metaznaky - vnořené výrazy
Konstrukce (...) může být použita také pro definici vnořených výrazů.

Příklady:
(jelen){8,10}  najde řetězec, který obsahuje 8, 9 nebo 10 výskytů "jelen"
jel([0-9]|e+)n najde "jel0n", "jel3n", "jelen", "jeleen", "jeleeen" ...

Metaznaky - zpětné reference
Metaznaky od \1 do \9 jsou interpretovány jako zpětná reference.

Příklady:
(.)\1+         najde "aaaa" a "cc" (2 a více stejných znaků)
(.+)\1+        najde "abab" a "123123" (opakující se posloupnosti znaků)
(['"]?)(\d+)\1 najde '"13" (v uvozovkách) nebo '4' (v apostrofech) nebo 77

Pár příkladů z praxe:

Hledání
· nalezení slov, začínajících na "o": (^|\s)o.*?($\s)
· hledáme 6-místná čísla, která mají na 3.místě "5": \d\d5\d\d\d
· máme sloupec čísel (na každém řádku jedno) a hledáme 2 až 4-místná: ^\d{2,4}$
· hledáme záporná čísla: -\d{1,}
· hledáme čas ve tvaru hh:mm: ([0-9]{2}):([0-9]{2})

Nahrazování
regulární výrazy umožňují použít v nahrazování i části hledaných řetězců. Shluky znaků, uzavřené v závorkách v části hledat jsou vráceny v proměnných $1..$n, takže je možné je použít v nahradit. Viz následující příklady:

· změna formátu datumu z dd.mm.yyyy na yyyy-mm-dd
hledat: ([0-9]{2}).([0-9]{2}).([0-9]{4})
nahradit: $3-$2-$1
· máme čas ve formátu hh:mm a chceme jej nahradit za mm-hh
hledat: ([0-9]{2}):([0-9]{2})
nahradit: $2-$1
· máme čísla, oddělená ";" a potřebujeme je dostat každé na zvláštní řádek
hledat: ;
nahradit: \n
upozornění: kurzor na konec textu a hledat směrem "vzad"
· chceme v textu umístit každé slovo na zvláštní řádek
hledat: \s+
nahradit: \n
upozornění: kurzor na konec textu a hledat směrem "vzad"

Komplexnější případ z praxe
Měl jsem seznam tagů ve tvaru tag - popis
Potřeboval jsem jej dostat do definice pole ve tvaru a[index] := 'tag';
1. zbavíme se popisu, takže nahradíme -.* za "nic"
2. pomocí vložení číslování do řádků jsem si nechal na začátek každého řádku vložit číslo s dvěmi číslicemi. Takže seznam vypadal nějak takto: nn. tag
3. pomocí dalšího nahrazení ([0-9]{2})\..(.*) za a[$1] := '$2'; jsem dosáhl výsledného tvaru

Pro vysvětlení syntaxe byl použit (přeložen) text z nápovědy k implementaci regulárních výrazů od Andrey V. Sorokina (http://anso.virtualave.net)


 Hledání na Google

Tento dialog slouží jako rozhraní pro internetový vyhledávač Google.
Po vyplnění podmínek hledání a odeslání se otevře váš výchozí prohlížeč a jsou přímo zobrazeny výsledky hledání (samozřejmě podmínkou je připojení k internetu).

Zadávání podmínek je rozděleno do dvou částí.

· jednoduché hledání umožňuje zapsat hledaný výraz (slovo nebo několik slov) a to včetně syntaxe, kterou vyhledávač Google podporuje.
· pokročilé hledání slouží k přesnějšímu zadání výrazu bez znalosti syntaxe Google. Umožňuje dokonce i prohledávat jen obsah konkrétního serveru.
· počet nálezů na stránce je společný pro oba druhy vyhledávání.

Jednoduché vyhledávání má přednost před pokročilým. Takže pokud budete chtít použít pokročilé vyhledávání, je nutno vymazat obsah políčka pro jednoduché vyhledávání. Které hledání je aktivní, poznáte podle tučných popisků před editačními políčky

Tipy:

1. Pokud si před vyvoláním dialogu označíte nějaký text, je přenesen do hledání přesného výrazu
2. Můžete vyhledávání omezit na konkrétní server, některé užitečné servery jsou přednastaveny
3. Pokud chcete otevřít odkaz v novém okně, držte při stisku tlačítka OK stisknutou klávesu SHIFT


Menu zobrazit

 Popis menu - zobrazit

Panely nástrojů
zobrazí nebo skryje jednotlivé panely nástrojů
zobrazí nebo skryje všechny panely

projectshow Projekt CTRL+F2
zobrazí / skryje strom projektu

Kontrola pravopisu
načte slovník, určený v nastavení pravopisu a pak zvýrazní podtržením slova, která nejsou ve slovníku obsažena. Upozorňuji, že načtení slovníku může chvíli trvat (pro češtinu slovník obsahuje přes 600 000 slov)

Aktuální řádek
umožní zvýraznění aktuálního řádku barvou, nastavenou v parametrech programu

syntaxe Syntaxe
zobrazí nebo skryje zvýraznění syntaxe

linenum Čísla řádků
zobrazí nebo skryje čísla řádků

wordwrap Zalomení řádků
pokud řádek přesahuje rozměry okna editoru, bude zalomen na další řádek. Pozor ! Při zalomení řádků je znepřístupněna volba sloupcových bloků. tato funkce je zakázána, pokud je povolena funkce Mazat mezery na konci řádků

specchars Netisknutelné znaky
při zapnutí této volby se zobrazí mezery, konce řádků apod.

ruller Pravítko
zobrazí pravítko, které umožní lepší orientaci v textu (zobrazuje počet znaků)

hexdump Hexadecimálně
přepne zobrazení dokumentu na hexadecimální a zpět. Návrat z hexadecimálního zobrazení je možný též pomocí pravého tlačítka myši na liště s názvy souborů.

stayontop Vždy nahoře
po nastavení této možnosti zůstane PSPad stále nahoře, nepřekryjí jej jiná okna

HEXA adresace
slouží při zobrazeném HEXA editoru ke změně adresování z hexadecimální soustavy na dekadickou. Je to indoviduální nastavení pro každé okno Hexa editoru

syntx Změna syntaxe
změní u otevřeného souboru zvýrazňovač syntaxe. Pokud jde o dosud neuložený soubor, změní se typ souboru


Menu formát

 Popis menu - formát

font Písmo
Změna písma a jeho vlastností pro editor

Velikost písmen
lower Na velká písmena CTRL+ALT+U
upper Na malá písmena CTRL+ALT+L
capitalize První písmena velká CTRL+ALT+C
Inverzně
Změní velikost písmen v celém textu nebo označeném bloku. Po volbě první písmena velká budou velká písmena na začátku každého slova.

Formátování bloku
formatting increase indent Zvětšit odsazení SHIFT+CTRL+I
formatting decrease indent Zmenšit odsazení SHIFT+CTRL+U
Zvětší nebo zmenší odsazení vybraného bloku. Aby byla funkce přístupná, je nutno mít označený blok.

Přeformátovat text CTRL+K
Přístupné při vypnutém zalamování řádků
Přeformátuje text podle nastaveného pravého okraje. Při přeformátování dochází k zrušení konců řádků a nadbytečných mezer.
Pokud je text označen, přeformátuje označený text. Při neoznačeném textu přeformátuje aktuální odstavec. Jako oddělovač odstavců slouží prázdný řádek.
Pokud chcete přeformátovat odstavec na šířku 40 znaků, stačí kliknout na pravítko na čísle 40, tím se nastaví pravý okraj a stiskem kláves Ctrl+K dojde k přeformátování odstavce
Alternativou je SHIFT+CTRL+K, které také slouží k přeformátování, ale za konec odstavce považuje řádek kratší, než nastavený pravý okraj

Zarovnat vlevo CTRL+ALT+Left
Celý text nebo vybraný blok bude zarovnán doleva. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat vpravo CTRL+ALT+Right
Celý text nebo vybraný blok bude zarovnán doprava. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat na střed
Celý text nebo vybraný blok bude zarovnán na střed. Funkce je přístupná při vypnutém zalamování řádků.

Zarovnat do bloku
Označený text bude doplněn o mezery tak, aby byla zarovnána i pravá strana textu

Formátování kódu
Nástroj umožňuje měnit velikost písmen libovolné části zdrojového kódu. Označíte si části (jednu nebo více), které chcete upravit a zvolíte si velikost písmen

Přidat/odstranit komentář SHIFT+CTRL+A
Přidá nebo odebere ze začátku každého řádku v označeném bloku řetězec komentáře, který je specifický pro daný programovací jazyk. Pracuje pouze v případě, že programovací jazyk podporuje tento typ komentářů

Automatická detekce CP
Program se při otevírání souboru pokusí o automatickou detekci kódové stránky

Windows 1250
Latin II
Kamenických
ISO 8895-2
UNICODE
UTF-8
Tyto volby slouží k ručnímu nastavení kódové stránky a dají se využít pro konverzi kódových stránek

Formát souboru
DOS
UNIX
MAC
Různé systémy používají různé typy oddělovačů konců řádků. Pro DOS je to CR+LF, UNIX používá LF, MAC zase pouze CR. Takže od verze 3.1.7 máte možnost na stavovém řádku vidět typ souboru (který zůstane zachován při ukládání) a navíc máte možnost přes toto menu formát změnit a při uložení dojde ke konverzi.


Menu nástroje

 Popis menu - nástroje

Pravopis F7
Načte slovník (pokud již není načten) a začne od pozice kurzoru s kontrolou pravopisu

Automatické doplňování CTRL+J
Napíšete začátek slova. Po vyvolání je vytvořen seznam slov, začínajících rozepsaným slovem. Pokud je nalezeno pouze jedno slovo, je automaticky doplněno. Při nálezu více slov je zobrazen jejich setříděný seznam. Hledání je omezeno na rozsah 5000 řádků nahoru a dolů od aktuálního.
Slova jsou doplňována z již napsaného textu.

Makra
makrorecord Záznam makra CTRL+F5
Spustí/ukončí záznam makra. Po ukončení záznamu jste dotázáni na jméno makra a makro bude pod tímto jménem uloženo. Pomocí Makro manažera můžete přiřadit makrům horké klávesy a jednoduše je tak spouštět.
Makro manažer
Jak již název napovídá, manažer je určen ke správě uložených maker. Máte zde možnost makra přehrát, přehrát vícekrát, smazat, editovat nebo jim přiřadit jim klávesové zkratky
makroplay Přehrát makro F5
Pod touto funkcí se skrývá možnost spustit jedno ze čtyř maker, ke kterým je přístup pomocí klávesové zkratky. Podrobnosti k práci s makry ve

Editovat makro
Zobrazí obsah makra v čitelné formě v novém okně editoru. Přehled použitelných příkazů . Pro editaci maker je připraven zvýrazňovač i šablona. Doporučení pro nastavení barev zvýrazňovače je v kapitole o makrech

Šablona z bloku SHIFT+CTRL+Space
Umožní rychlé vytvoření šablony z označeného textu. Tato šablona je uložena do soubor šablon, příslušejícího k syntaxi otevřeného souboru. Povoleno, pokud je nastaven zvýrazňovač (tedy ne pro TXT soubory)

Rozdíly v textu
PSPad umožňuje porovnat 2 textové soubory a barevně rozlišit rozdíly v textu. Podrobnosti viz kapitola o

Porovnat se souborem
Aktuální soubor je porovnán se souborem, který je vybrán pomocí dialogu

Porovnat s obsahem na disku
Aktuální soubor bude porovnán se svým obsahem na disku. Takže rychle vidíte změny od posledního uložení.

Porovnání dvou otevřených souborů
Pokud potřebujete porovnat dva otevřené soubory, klikněte pravým tlačítkem na panelu souborů nad jménem souboru, který chcete porovnat s aktuálním a vyberte Porovnat se souborem

Průzkumník kódu SHIFT+CTRL+E
slouží k rychlé orentaci v kódu. Zatím je napsán parser pouze pro některé typy souborů (HTML, XML, Pascal, INI)

ASCII tabulka ALT+A
Zobrazí ASCII tabulku. Tabulka umožňuje vkládat znaky do editovaného textu a tisk tabulky. Tabulka obsahuje i HTML entity

paleta Výběr barvy ALT+C
Otevře dialog pro výběr barvy s možností vložení přímo do textu na dvojklik myši. K dispozici jsou následující palety: bezpečné barvy, 16 barev a stupně šedé.

Zobrazit barvu
Pokud je tato funkce vyvolána nad výrazem, který je informací o barvě (např. white, #124377) v dialogu je zobrazeno jméno a číselné vyjádření barvy, zobrazen náhled barvy a vyjádření v RGB a CMYK

Kapátko
Pomocí této funkce můžete sejmout jakoukoliv barvu z obrazovky. Při zavolání funkce se skryje okno editoru a obsah obrazovky se zmrazí. Kurzorem ve tvaru kříže je možno sejmout barvu, která je pak uložena do schránky ve formátu HTML.
Pokud je otevřen editor, je barva v HTML formátu vložena na pozici kurzoru.

Monitorovat schránku
Pokud je volba aktivní, jsou zachyceny všechna kopírování do schránky v systému Windows a obsah je skládán do zvláštního okna. Zde je možné pracovat s histoií schránky

Přepočet číselných soustav
Nástroj provádí přepočet mezi desítkovou, šestnáctkovou, dvojkovou, římskou a definovanou (trojkovou až patnáctkovou) soustavou

Výpočty v bloku
Tato funkce vám zobrazí výsledky základních matematických operací z označeného bloku čísel

Uživatelské konvertory
Pomocí externího souboru je možno vytvořit uživatelský konvertor. Podrobnosti o způsobu tvorby a použité syntaxi konvertoru najdete ve .

Systémové soubory
Možná znáte program MSConfig, který otevře současně soubory Autoexec, Config, System.INI a Win.INI. Tak tato volba udělá přesně totéž, jsou otevřeny všechny 4 soubory a to se zvýrazněnou syntaxí.
Volba je přístupná pouze v případě, že je povoleno otevírat více souborů současně.


 Kontrola pravopisu

Od verze 3.5.8 umožňuje PSPad kontrolu pravopisu.
Kontrola je nezávislá na instalaci MS Office, PSPad využívá vlastní slovníky. Slovníky jsou zdarma ke stažení na www.PSPad.com (čeština, slovenština, angličtina, dánština, němčina, italština, japonština, latina, polština, ruština, španělština, turečtina...)

Instalace slovníku:
1. V adresáři, kde je instalován program PSPad, by měl existovat podadresář SPELL. Pokud neexistuje, vytvořte jej.
2. Stažený soubor xxx.CAB rozpakujte (jedná se o archivní soubor, podobně jako .ZIP) do adresáře SPELL

Poznámka:
V systémech NT (Windows NT, 2000, XP) tuto operaci může provést pouze uživatel s administrátorskými právy nebo s právy správce počítače

Jak to pracuje:
Při prvním použití je načten slovník. Může to chvilku trvat, protože slovníky obsahují i 100000 slov. Pak je celý text procházen a pokud slovo není nalezeno ve slovníku, je označeno.
Kromě hlavního slovníku (.\Spell\Jazyk.verze.DIC), jsou slova, přidávaná do slovníku při kontrole ukládána do tzv. uživatelských slovníků. Při načtení slovníku se načítá i uživatelský slovník, pokud je k dispozici.
Tím je zajištěno, že se systém vlastně při kontrole učí nová slova. Uvědomte si ale, že to není všemocné. Existují slova, která se liší jen diakritikou nebo posledním písmenem. Použití takového slova na nesprávném místě kontrola pravopisu neodhalí.
Např: Věta má znít: "Koupil jsem mámě kolo". pokud místo toho napíšete "Koupil jsem máme kolem", kontrola pravopisu to neodhalí.
Ve zdrojovém kódu jsou opravována pouze slova, která mohou obsahovat text. Nebudou opravována klíčová slova, jména proměnných apod.
Nastavení kontroly, volba slovníku atd. najdete v menu nástroje / nastavení kontroly pravopisu.

Kontrola pravopisu pracuje ve dvou režimech:

Zvýraznění neznámých slov
Po aktivaci (menu zobrazit nebo ikona na panelu nástrojů) jsou slova, která nejsou obsažena ve slovníku podtržena. Slouží k rychlé orientaci nebo ruční opravě chyb

Procházení s opravou
Postupně jsou od pozice kurzoru procházena neznámá slova a je zobrazován dialog, ve kterém jsou nabídnuty možné tvary s možností následujících akcí:
· přeskočit - přechod na další neznámé slovo
· přeskakovat - všechny výskyty tohoto slova budou ignorovány
· přidat do slovníku - použije se v případě, že slovo je v pořádku a není obsaženo ve slovníku
· zaměnit - slovo bude zaměněno za slovo, uvedené v editačním políčku
· zaměnit + přidat - jako zaměnit, ale slovo přidá do slovníku

Doplnění diakritiky
Vedlejším produktem použití slovníku je doplnění diakritiky do holého ASCII textu. Pokud máte text bez háčků a čárek, můžete do něj doplnit háčky a čárky volbou z menu Nástroje / Konverze textu / Doplnit diakritiku

Prosba
Byl bych vám vděčný, za zaslání vašich uživatelských slovníků. Budou sloučeny s hlavním slovníkem a přispějete tak k lepší kvalitě kontroly pravopisu a tím i celého programu.


 Pravopis - nastavení

Nastavení kontroly pravopisu
O kontrole pravopisu pojednává samostatná kapitola.

Slovník
volí se jazyk slovníku

Styl zvýraznění
styl podtržení neznámých slov (MS word, Corell WordPerfect)

Ignorovat jednoznaková slova
slova obsahující pouze jedno písmeno budou ignorována

Igorovat slova s čísly
slova, obsahující čísla budou ignorována

Automatické opravy
Od verze 3.2.3 PSPad umožňuje automatické opravy.

Jak to pracuje ?
Automatické opravy pracují se seznamem slov, který obsahuje řetězec, který se má nahradit a řetězec kterým se má původní nahradit. Jakmile napíšete slovo, které se vyskytuje v prvním seznamu, editor jej nahradí. Nahrazení je provedeno až po zapsání dalšího znaku - oddělovače slov (mezerník, závorka atd.)

Co to znamená, kdy to využít ?
Stává se, že se často pletete v tom samém slově. Proč pak nenechat na editoru, aby tyto překlepy opravoval sám ?
Dalším případem je zrychlení psaní zdrojových kódů. Třeba v HTML často používám <li>. Proč nenechat editor, aby po napsání li doplnil okolo závorky ? Nebo existuje často využívaná funkce s dlouhým jménem např. IncludeTrailingBackSlash. Mohu využít automatické opravy a po napsání slova itb si jej nechat "opravit" na celé jméno funkce.
Další možnosti určitě vymyslíte sami.

Kde je to uloženo ?
Seznam slov je uložen v souboru AutoCorr.TXT, který je umístěn ve stejném adresáři jako PSPad.EXE.
Je to obyčejný textový soubor se strukturou:
co nahradit|čím nahradit


Konvertory

 Uživatelské konvertory

Konvertor slouží k automatickému nahrazení písmen, slov nebo částí řádků za jiné a to obousměrně.
PSPad od verze 3.4.5 umožňuje definici konvertoru pomocí externího souboru.

Umístění souborů
V podadresáři Convert a jedná se o soubory s příponou .INI
V adresáři by měl být i soubor Template.IN_, který je vlastně vzorem šablony. Stačí jej tedy zkopirovat na něco.ini a upravit.
Seznam konvertorů najdete v nabídce: Nástroje \ Konverze textu \ Konvertory

Syntaxe konvertoru
;za středníkem se nachází komentář - nepovinné
;tučnou černou barvou jsou označena jména sekcí - neměnné
;červeně označené texty jsou neměnné
[Description]
;popis konvertoru (zobrazí se v menu)
ForwardName=Znaky na UNICODE HTML entity (WML)
BackwardName=UNICODE HTML entity na znaky (WML)
;ignorovat velikost písmen pro jednotlivé směry
;povolené hodnoty jsou 1 (ano) nebo 0 (ne)
ForwardIgnoreCase=0
BackWardIgnoreCase=0
;určuje zda budou použity konverzní tabulky nebo konverze nahradou řetězce řetězcem
;povolené hodnoty jsou 1 (konverzní tabulka) nebo 0 (nahrazování řetězců)
CharTable=0
;sekce obsahující definici co se bude převádět na co
;jednotlivé části jsou odděleny znakem |
[Conversion]
Š|&#x0160;
Ś|&#x015A;
Ť|&#x0164;
;zde je seznam ASCII hodnot znaků, které budou před konverzí odstraněny
[Remove chars]
10
12
;a zde je konverzni tabulka. Čísla znamenají ASCII hodnoty znaků.
;při směru konverze vpřed bude znak vlevo nahrazen znakem vravo,
;při zpětné konverzi opačně.
[Table]
134=64
135=12

Konverzní tabulku nebo nahrazování řetězců ?
To záleží na tom, co má konvertor dělat.
Pokud chci nahrazovat znak jiným znakem, rozhodně bude rychlejší a přesnější použít konverzní tabulku.
Pokud chci znak nahradit několika znaky (HTML entity), jsem nucen použít nahrazování řetězců.
Jestli bude použito nahrazování řetězců nebo konverzní tabulka, záleží na proměnné CharTable

Jak pracuje konverzní tabulka
Konvertor pracuje buď s označeným nebo celým textem.
Celý řetězec je procházen znak po znaku a nahrazován odpovídajícím znakem z konverzní tabulky, definované v sekci [Table]

Jak pracuje nahrazování řetězců
Konvertor pracuje buď s označeným nebo celým textem.
Na text jsou aplikovány všechny řádky ze sekce [Conversion]
Uvědomte si, že to může být pro dlouhé texty a dlouhé definici konvertoru časově náročné.

Úskalí definice řetězců
Jak je výše psáno, aplikují se na každý řádek všechny řádky konverze.
Hloupé příklady definice:

[Conversion]
B|A
A|B

V tomto případě se jakoby nestane nic, protože všechna písmena B jsou nejprve nahrazena za písmena A a pak všechna písmena A jsou nahrazena zpět na písmena B. Takováto definice je nesmyslná a navíc by se pro konverzi znaků lépe hodila konverzní tabulka.

[Conversion]
jelen|srnec
jeleni|srnci

V tomto případě konvertor bude pracovat opět chybně. Pokud se v textu vyskytuje slovo "jeleni", bude jeho část "jelen" nahrazena slovem "srnec" a výsledek bude "srneci", místo požadovaného "srnci". V tomto případě stačí prohodit řádky v definici.


 Porovnávání obsahu souborů

PSPad od verze 3.5.5 umí porovnávat obsahy dvou textových souborů.

Jak to pracuje:

Otevřete si nějaký soubor, dále nazýván jako soubor1
Z menu Nástroje vyberete Porovnat se souborem. Tento soubor bude nazýván soubor2
Po výběru souboru je provedeno porovnání a zobrazeno nové okno, rozdělené na poloviny. Obě části okna mají společný posun.
Soubor1 se nachází v levé polovině, soubor2 v pravé polovině.
Do obou souborů jsou doplněny řádky tak, aby obsah obou oken odpovídal.
Tyto dva zobrazené soubory nelze editovat, ani s nimi provádět žádné další oprace. Je možné je pouze prohlížet a kopírovat z nich text.

Jsou robrazeny tři druhy rozdílů, každý odlišným pozadím řádku. Rozdíly jsou brané vzhledem k souboru1.

textdiff

· řádky jsou v obou souborech, ale liší se obsahem
· řádky, které nejsou v souboru2
· řádky, které nejsou v souboru 1

Pohyb po změnách

· předchozí změna Shift+Ctrl+šipka nahoru
· další změna Shift+Ctrl+šipka dolů

A jak s tím dál pracovat ?

Je možné pomocí klávesy Ctrl+pravého tlačítka myši kliknout na původní soubor na panelu souborů. Tím se nám okno dále rozdělí a ve spodní části máme soubor připravený k editaci.


Menu HTML

 Popis menu - HTML

Náhled HTML stránky F10
Zobrazí / skryje náhled stránky v interním prohlížeči. Pokud zůstane náhledové okno na pozadí, bude v intervalu, který je nastaven v nastavení programu / editor náhled občerstvován
Interní prohlížeč od verze PSPadu 4.2.9 umožňuje náhled i pomocí jádra prohlížeče Mozilla. Pokud chcete tuto možnost využívat, je nutné doinstalovat Mozilla ActiveX control, který bohužel není součástí prohlížeče Mozilla.
Přepínání mezi zobrazením pomocí IE a Mozilla je možno kdykoliv pomocí prvního tlačítka na panelu nástrojů

Náhled HTML stránky dovede zobrazit i soubory s JavaScriptem, takže jej můžete použít i pro ladění

Náhled HTML z web serveru Shift+Ctrl+F10
Slouží k zobrazení stránek z lokálního webového serveru. Pojmenování DocumentRoot pochází z konfiguračního souboru pro umístění dokumentů na serveru Apache.
Cesta k adresáři DocumentRoot je definována v nastavení programu / internet.Při tomto zobrazení je nahrazena část lokální cesty k souboru adresou http://server/
Takže při výchozím nastavení je DocumentRoot nastaveno na C:\Apache\HTDocs a tam jsou uloženy soubory.
Pokud zobrazíme zde uložený soubor pomocí obyčejného náhledu HTML stránky (viz výše), zobrazí se s cestou file://localhost/c:/apache/htdocs/soubor.htm. Při použití náhledu z DocumentRoot bude do interního prohlížeče předán s cestou http://localhost/soubor.htm. Takže lze snadno zobrazovat i PHP apod.

htmlreformat Přeformátovat HTML kód
Tento nástroj přeformátuje HTML kód tak, aby byl lépe čitelný. Hierarchicky odsadí bloky textu, ohrazených tagy. Skripty a komentáře nechává beze změn.
htmlcompres Komprese HTML kódu
Pomocí tohoto nástroje jsou z HTML kódu odstraněny zbytečné mezery, konce řádků apod. Řádky jsou ukončeny po počtu znaků, nastaveném v . Skripty a komentáře jsou ponechány beze změn. Účelem je jednak zmenšením kódu zvýšit rychlost načítání v prohlížeči a jednak také znepřehlednit čtení kódu.
Volba je přístupná pouze pro soubory typu HTML
tagupper Tagy na velká písmena
taglower Tagy na malá písmena
Změní velikost písma na velká nebo malá pouze pro HTML tagy

Přeformátovat strukturovaný CSS
Přeformátovat řádkový CSS
Tyto funkce nástroj přeformátuje CSS kód tak, aby byl lépe čitelný

Top Style
TopStyle (free verze TopStyleLite) je špičkový CSS editor, integrovaný v mnoha známých HTML editorech, nyní i v PSPadu. Pro funkci je nutno stáhnout a nainstalovat free verzi TopStyle Lite. Označíte si text (u CSS souborů to není nutné, pokud není označen, přenese se celý) a zavoláte TopStyle. Otevře se nové okno, do kterého je přenesen označený text. Po editaci máte možnost tlačítkem Done opravený text přenést do editoru nebo tlačítkem Cancel editaci zrušit.

Import z RTF
Umožní jednoduchý text, zapsaný ve formátu RFT zkonvertovat do HTML. Pak doporučuji pustit funkci , která dokument přeformátuje a převede na CSS

Import z CSV
Importuje soubor CSV a převede jej do tabulky v HTML. Nastavení parametrů importu (oddělovací znaky, kódování) najdete v

Konverze
html2txt Odstranit tagy
Tento nástroj "vyzobe" z HTML kódu text a zobrazí jej v novém TXT souboru. Vhodné pro informativní zobrazení obsahu stránky.
Text na HTML
"Obalí" prostý text HTML obálkou, za každý řádek vloží tag <br>
Výběr na JavaScript
Změní vybraný text na zápis pomocí funkce JavaScriptu Document.Write()

Kontrola HTML CTRL+F10
Pouze zkontroluje aktuální dokument na formální správnost kódu (neprovádí změny) a v LOG okně vypíše chyby a varování

TiDy funkce
Tyto funkce jsou dostupné v závislosti na obsahu souboru TiDyCFG.INI. Více v kapitole o TiDy


 TiDy - manipulace s HTML

Co je to vlastně ta TiDy ?
TiDy je knihovna funkcí pro formátování, čištění, kódování atd. HTML kódu.
Tuto knihovnu najdete v každém lepším editoru, který to s HTML myslí opravdu vážně.
Tato knihovna je plně integrována v PSPadu. Pro práci s touto knihovnou je třeba mít soubor TiDyCom.DLL v adresáři, ve kterém je PSPad.EXE
Možnosti využití knihovny můžete sami rozšiřovat pomocí konfiguračního souboru TiDyCFG.TXT. Každá sekce (text v hranatých závorkách) vytvoří v menu HTML jednu položku při spuštění PSPadu.
Po přidání nebo přejmenování sekce je třeba PSPad restartovat, při změně obsahu to není třeba. Sekce obsahuje nastavení chování knihovny. Český popis nastavení najdete na adrese http://www.pspad.com/cz/tidy.htm

K čemu je TiDy v PSPadu ?

Kontrola HTML (Ctrl+F10)
umožňuje analyzovat a najít chyby v HTML kódu
TiDy clean document
umožňuje vyčistit a opravit HTML kód, včetně odstranění balastu, zaneseného nástroji Microsoftu, převede dokument na CSS
TiDy upgrade to CSS
převede váš dokument na kaskádové styly
TiDy convert to XML
převede dokument do formátu XML
TiDy convert to XHTML
převede dokument do formátu XHTML

Další možnosti si můžete přidat rozšířením souboru TiDyCFG.TXT


Menu nastavení

 Popis menu - nastavení

settings Nastavení programu
Tato volba slouží k nastavení parametrů programu a také pro vlastní nastavení barev a písma zvýrazňovačů syntaxe. Podrobněji popsáno ve zvláštní kapitole .

Nastavení zvýrazňovačů
Umožňuje konfiguraci barev, externích programů, kompilátoru pro jednotlivé zvýrazňovače. Podrobnosti v kapitole o nastavení zvýrazňovačů

Vlastní zvýrazňovač
PSPad umožňuje velmi snadno nadefinovat vlastní zvýrazňovač. Pokud tedy chete zvýraznění syntaxe pro prostředí, které není součástí distribuce, čtěte zde .

Nastavení HEXA editoru
Slouží ke konfiguraci HEXA editoru, integrovaného v PSPadu

Editace šablon
Zobrazí nabídku šablon a po výběru otevře soubor šablon k editaci

Proměnné programu
Obsahují statické proměnné, které je možno použít v šablonách. Kromě předdefinovaných proměnných (jméno souboru, datum, čas...) je možno přidávat/editovat/mazat další proměnné

Uživatelské zkratky
Ke každé je možno přiřadit horkou klávesu, kterou se dá šablona vložit do textu. Zde pak najdete seznam nastavených zkratek. Volba je přístupná pouze v případě, že nějaké klávesové zkratky existují

Nastavení pravopisu CTRL+F7
Nastavení kontroly pravopisu a automatických oprav.


Menu okno

 Popis menu - okno

projfilemain Hlavní soubor Ctrl+M
označením souboru jako hlavního způsobí, že v externím programu se bude otevírat tento soubor, bez ohledu, který máme aktivní. Představte si např. editaci HTML stránek, kde hlavní označíme INDEX.HTML a editujeme nějakou podstránku. Po otevření v prohlížeči se zobrazí hlavní stránka.
Opětovným stiskem CTRL+M nebo výběrem z menu dojde ke zrušení označení

logwindow Zobrazit/skrýt LOG
LOG je okno, které je na spodní straně obrazovky a obsahuje zprávy kompilátoru o průběhu kompilace. Podrobnější informace o kompilátoru najdete v samostatné kapitole

Přechod editor / LOG Alt+L
umožňuje pomocí klávesové zkratky přecházet mezi oknem editoru a LOGu (popř. projektu, pokud není zobrazen LOG)

Automatické občerstvování
Umožní automatické občerstvování aktuálního souboru (třeba LOG souboru) po zadaném intervalu (viz parametry programu). Refresh se provádí pouze v případě, že soubor je zobrazen. Občerstvení se provede i v případě, kdy dojde k přepnutí do dokumentu určeného pro občerstvování. Takový soubor je indikován v panelu se seznamem souborů zelenou barvou jména.
Při občerstvení je proveden vždy skok na konec souboru.

Další okno CTRL+Tab
Předchozí okno SHIFT+CTRL+Tab
umožňuje pohyb mezi okny pomocí klávesnice

Kaskáda
Pod sebou
Vedle sebe
Dlaždice
tyto volby slouží k rychlému uspořádání oken na pracovní ploše PSPadu (pokud je otevřeno více oken)


Menu nápověda

 Popis menu - nápověda

Obsah
zobrazí se hlavní stránka nápovědy popisující vlastnosti aplikace, tipy na efektivní práci, nastavení, a další

Nejčastější dotazy
zobrazí se stránka nápovědy řešící nejčastější problémy s aplikací PSPad

Popis změn
popis změn od minulé verze - co je nového, jaké chyby byly odstraněny atd.

Nápověda k prostředí
v nastavení zvýrazňovače na druhé záložce můžete přiřadit ke každému zvýrazňovači externí soubor s nápovědou. Po vyvolání nápovědy k prostředí se otevře tento soubor a nastaví se na položku, která odpovídá slovu pod kurzorem.
Od verze 4.2.8 PSPad umožňuje napojení i na online web, který se zobrazí ve výchozím prohlížeči. Adresa se zadává ve formě URL adresy, proměnná %word% v adrese je nahrazena aktuálním slovem z editoru.

Např: http://www.ikp.uni-koeln.de/~nicolay/lynxman/man3/%word%.3.html

Online nápověda
zde jsou uvedeny odkazy na internetové stránky. Obsah je uložen v souboru Online.INI v adresáři PSPadu
Pokud chcete otevřít odkaz v novém okně prohlížeče, držte stisknutou klávesu SHIFT

Online nástroje
položka obsahuje odkazy na online nástroje dostupné na webu. K dispozici jsou proměnné %Word%, %SelText%, %Input% a jejich variace %URLWord%, %URLSelText%, %URLInput%, překódované do URL
Obsah je uložen v souboru Online.INI v adresáři PSPadu.
Pokud chcete otevřít odkaz v novém okně prohlížeče, držte stisknutou klávesu SHIFT

Hlášení chyby
pokud narazíte na nějaký problém v programu, můžete použít tento odkaz na odeslání popisu chyby autorovi programu. Podmínkou je mít zvoleného poštovního klienta v Nastavení programu / Internet.

Odeslat Error Log
pokud vám program z některém případě "padá", můžete autorovi pomoci. K tomu je třeba mít stažený soubor PSPad.MAP, který MUSÍ odpovídat verzi programu. Pomocí tohoto souboru je program schopný vygenerovat chybové hlášení s podrobným místem výskytu problému. Všechny chyby se ukládají do souboru PSPad_Err.LOG v adresáři PSPadu.
Tato funkce z menu umožní odeslat poslední uložené chybové hlášení a smaže soubor s chybami.

V obou případech - Hlášení chyby i Odeslat Eror Log nezapomeňte stručně popsat jak k chybě došlo, připojit soubor, pokud se chyba vyskytuje pouze v některém soubor a v ideálním případě napsat postup, jak chybu nasimulovat.
Velmi vhodné je přiložit i váš PSPad.INI (tlačítko vlevo dole), aby autor mohl chybu otestovat přímo s vaší konfigurací programu PSPad.

V žádném případě nejsou odesílány žádné další informace, kromě těch, které vidíte v okně programu. Z toho důvodu byla zvolena cesta odesílání přes váš poštovní program, kde máte možnost si zkontrolovat, co se odesílá.

Existuje novější verze PSPadu ?
Pro použití této funkce je nutno mít aktivní připojení do sítě Internet, protože aplikace PSPad zjišťuje jestli je dostupná nová verze (oficiální, nikoliv betaverze)

Fórum PSPadu na internetu
Odkaz na internetovou stránku na které je možno získat tipy na efektivnější používání aplikace, zeptat se na nějaký problém, podat návrh na vylepšení programu, podělit se o své vlastní postřehy s používáním aplikace s ostatními uživateli, napsat hlášení chybovy, stáhnout beta verzi programu...

Internetová stránka PSPadu
Odkaz na domovskou stránku aplikace. Nutné je připojení k internetu

O programu
Zobrazí se verze aplikace, odkaz na internetovou stránku aplikace a kontakt na autora


Program

 Nastavení - program

Jazyk
Nastavuje jazyk pro uživatelské rozhraní PSPadu. Jazyk je možné přepínat v průběhu práce bez nutnosti restartovat PSPad.

Záložky souborů nahoře
Zde si určujete, zda má být lišta se jmény souborů zobrazena nad projektem nebo vedle projektu

Skrýt záložky souborů
Parametr je 3-stavový:
[ ] - panel souborů je viditelný vždy
[] - panel souborů je viditelný při 2 a více otevřených souborech
[x] - panel souborů je skrytý vždy

Záložky souborů ve více řadách
Při otevření více souborů (pokud se nevejdou na jeden řádek) bude zobrazeno více řad záložek nebo jen jedna řada s možností skrolování

Skrývat typy souborů na záložkách
Určuje, zda na panelu souborů budou zobrazena jména souborů včetně typů nebo jen jména

Panel souborů jako tlačítka
Určuje vzhled panelu souborů
Parametr je 3-stavový:
[ ] - záložky
[] - plochá tlačítka
[x] - tlačítka

Zobrazovat ikonky v menu
Pomocí této volby můžete vypnout zobrazování ikonek v hlavní a kontextové nabídce. Pokud se vám zdá divné proč, tak je to kvůli programům, které umožňují práci zrakově postiženým - ikonky jim vadí.

Prázdný soubor po spuštění
Parametr je 3-stavový:
[ ] - při spuštění PSPadu je otevřen dialog pro výběr nového souboru
[] - PSPad je spuštěn prázdný
[x] - při spuštění PSPadu je otevřen prázdný soubor

Ukončit program na ESC
pokud někdo používá PSPad hlavně na jednoduchou editaci jednotlivých souborů, může si aktivovat tuto volbu. PSPad pak lze jednoduše ukončit stiskem klávesy ESC

Zobrazit uvítací obrazovku
určuje, zda bude při spuštění programu zobrazena po dobu nabíhání programu úvodní obrazovka (splash screen)

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Automatické řazení v projektu
pokud je aktivováno, dojde při přidání souboru do složky projektu k seřazení souborů v rámci složky podle abecedy

Proměnné šablon abecedně
Normálně jsou pole v interaktivních šablonách tříděny podle pořadí v jakém jsou zapsány v šabloně. Může ale nastat případ, kdy chceme mít pole ve formuláři šablony v jiném pořadí, než v jakém jsou zapsány v šabloně. K tomu slouží tato volba. Při její aktivaci budou pole, která jsou obsažena v šabloně setříděna podle jmen proměnných. Takže stačí si proměnné očíslovat, např. %1edit%, %2edit% atd.

Přidávat odřádkování
Při uložení souboru je přidáno jedno ukončení řádku

Ident.byty v kódování UTF-8
Kódování jako UNICODE a UTF-8 obsahují na začátku byty, které toto kódování identifikují. Tyto byty jsou do souboru opět zapisovány. Některým programům (interpretr PHP) tyto byty vadí. Takže zde si určujete, že je nechcete do souboru zapisovat.

České Windows <-> LatinII
Pokud je zvoleno, bude pro konverzi mezi CP1250 a LatinII použit interní konvertor, který si lépe poradí s rámečky a ostatními grafickými znaky. Jinak je použita konverze ANSI - OEM pomocí systémových funkcí.

R/O režim mění atribut souboru
Pokud zvoleno, přepnutí do/z režimu ReadOnly (pouze pro čtení) nastaví i atribut R/O souboru na disku

Chyby v interním HTML prohlížeči
Tímto parametrem určujete, zda se mají zobrazovat chybová hlášení v interním HTML prohlížeči. V případě, že jej máte na pozadí a píšete skripty, tak to může obtěžovat. V základním stavu jsou chybová hlášení vypnutá.

Kurzor na konci LOG souboru
po zobrazení LOG souboru bude kurzor umístěn na konci tohoto souboru

Chytré přepínání souborů
Tato volba změní přepínání souborů pomocí klávesy Ctrl+Tab a Shift+Ctrl+Tab. V normálním případě se přepíná v pořadí záložek na panelu. Při aktivované volbě se přepíná v pořadí, ve kterém bylo myší kliknuto na záložky!

Rozdělit okna pod sebe
Tato volba určuje výchozí uspořádání oken při synchronizaci posuvu, která se aktivuje v místní nabídce panelu souborů.

Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.


Editor

 Nastavení - editor

Vstup za konec řádku
Povoluje umístit kurzor i za posledním znakem na řádku

Mazat mezery na konci řádků
Automaticky budou odstraněny nadbytečné mezery na konci řádku. Tato volba se zatím neslučuje se zalamováním řádků, takže při její aktivaci bude zalamování nepřístupné.
Parametr je 3-stavový:
[ ] - mezery nejsou odstraňovány
[] - mezery jsou odstraňovány při ukládání souboru
[x] - mezery jsou odstraňovány při psaní

Sloupcový blok myš + ALT
Pokud je zvoleno, je možno rychle přepínat mezi normálním a sloupcovým blokem při označování textu myší pomocí klávesy ALT. Bez držení ALT normální blok, s přidržením ALT sloupcový blok. Pokud volbu vypnete, přepínání je možné pomocí klávesových zkratek SHIFT+CTRL+N C L nebo menu Úpravy / druh bloku

Pravá myš nepřesouvá kurzor
Po stisku pravého tlačítka myši (pokud není označen blok) se kurzor přesouvá na místo stisku. Aktivováním této volby je možno přesunu kurzoru zamezit.

Automatické odsazení
Při aktivovaném automatickém zarovnávání se kurzor po stisku klávesy ENTER nepřesune na začátek dalšího řádku, ale zarovná se pod začátek prvního slova předchozího řádku - automaticky dodržuje odsazení

Skutečné tabulátory
Za normálních okolností PSPad nahrazuje tabulátory (znak #9) příslušným počtem mezer. Má to své výhody. Text vypadá stejně v jakémkoliv editoru, nemusíte přemýšlet, jestli jsou na začátku mezery nebo tabulátor apod. Nevýhodou je větší počet znaků. Místo jednoho znaku je v souboru několik mezer.
Od této chvíle máte možnost zapnout používání skutečných tabulátorů. V souboru znak #9 zůstane a stiskem klávesy TAB se také vloží.
Chtěl bych upozornit na to, že pokud použijete tuto volbu, bude omezena možnost zvětšení a zmenšení odsazení bloku.

Chytré tabulátory
Pokud za normálních okolností stisknete klávesu TAB, kurzor se posune o pevně daný počet znaků. V případě, že povolíte volbu "chytré" tabulátory, po stisku klávesy TAB se bude kurzor zarovnávat podle slov v předchozím řádku.

Rozšířená klávesa HOME
V normálním použití vás stisk klávesy HOME přenese na začátek řádku. U editorů se v poslední době začala používat tzv. rozšířená funkce klávesy HOME. Projevuje se tak, že při prvním stisku se kurzor zastaví na začátku textu a až při dalším stisku skočí na začátek řádku.

Rozšířená editace
Aktivací je možno rozšířit funkce "Kopírovat" a "Vyjmout". Za normálních okolností jsou tyto funkce přístupné při označeném textu. Po aktivaci budou přístupné vždy a pokud nebude text označený, budou pracovat s aktuálním řádkem.

Lámat podle pravého okraje
Text se zalomí ne podle šířky okna, ale podle nastaveného ukazatele pravého okraje

Zvýrazňovat související závorky
Tato funkce vám usnadní orientaci v jazycích, kde jsou bloky tvořeny závorkami (C, PHP...). Pokud si kurzorem najedete na závorku, zvýrazní se a současně se zvýrazní i závorka související. Barvu je možno měnit na záložce Barvy.

Celá slova při hledání slova pod kurzorem
Při hledání dalšího výskytu aktuálního slova (Shift+Ctrl+Up/Down) bude hledání nastaveno do režimu "pouze celá slova"

Automatické doplňování párových znaků
Při zápisu otevíracího znaku bude automaticky zapsán i odpovídající párový znak. V režimu nahrávání a přehrávání makra je vypnuto !
Závorky jsou doplňovány v případě, ze je nepíšeme před slovem, apostrofy, uvozovky nejsou doplněny před slovem a za slovem.
Příklady, kdy nedojde k doplnění (modrá barva značí napsaný znak):
(jelen
"kolouch
"zajíc"

Šířka tabulátoru
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Automatické ukládání [min]
Pokud je nastaveno číslo větší než 0, PSPad bude automaticky po uplynutí nastaveného intervalu v minutách ukládat změněné soubory. Funkce je zcela totožná s manuálním vyvoláním Uložit vše

Automatický refresh [s]
Tato hodnota určuje dobu, za kterou se bude provádět občerstvení obsahu souboru, který je pro občerstvování označen a je aktivní () nebo HTML náhledu, pokud je ponechán na pozadí

Maximální délka řádku
Zde máte možnost nastavit maximální délku řádku. Standardní hodnota je 1024 znaků, v některých případech (HTML stránky) může být nedostačující. Ve většině případů nemá smysl měnit.

Pravý okraj [znaků]
Určujete pozici svislé čáry - ukazatele pravého okraje, který se zobrazí po zadaném počtu znaků

Počet UNDO operací
Určuje maximální počet kroků použitelných ve funkci "zpět", které si editor zapamatuje

Výsledek hledání
Určuje pozici kurzoru po funkcích hledání, skok na řádek apod. Při volbě "Výchozí" nebude pozice kurzoru ovlivňována

Nový výchozí
Zde máte možnost nastavit typ nového souboru, pokud není otevřeno žádné okno. Pokud je již nějaké okno otevřené, odvodí se typ souboru podle něj. Typ nového souboru je možno jednoduše změnit pomocí změny syntaxe.

Výchozí CP pro otevírání souborů
Zde je možno zvolit výchozí kódovou stránku, která bude použita při otevření souboru.
Pokud je nastaveno "Nastavena v menu Formát", bude použito aktuální nastavení z daného menu.


Soubory

 Nastavení - soubory

Ukládat historii souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem.

Ukládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v
Parametr je 3-stavový:
[ ] - otevřené soubory se nebudou obnovovat
[] - budou se obnovovat všechny soubory
[x] - budou se obnovovat jen soubory, otevřené v PSPadu

Zapamatovat stav souboru
PSPad si umí zapamatovat stav souboru, v jakém jste jej opustili při zavření souboru nebo programu a je schopen tento stav při příštím otevření souboru obnovit. Týká se to zobrazení čísel řádků, zalomení textu, kódové stránky, pozice kurzoru, záložek v textu, zamknutí souboru pouze pro čtení...
Touto volbou ovlivníte, zda si má PSPad stav souboru pamatovat nebo ne.

Pamatovat poslední filtr
Při aktivaci bude zapamatován typ souboru, nastavený v dialogu "otevření souboru". Je to výhodné, pokud používáte pouze jeden typ souborů.

Zapamatovat poslední adresář
Pokud je volba aktivní, bude při ukončení programu zapamatován poslední adresář, který byl použit pro otevření souboru a ten bude při příštím otevření programu opět použit pro dialog otevření souboru. Pokud je otevřen projekt, má nastavení projektu přednost.

Podle aktuálního souboru
Výchozí cesta v dialog pro otevření a uložení souboru bude nastavena podle aktuálního souboru

Určený adresář
Určuje adresář, který se nabídne v dialogu vyvolaném poprvé při otevření souboru. V případě, že je otevřen při startu programu projekt, bere se jako výchozí cesta umístění souboru projektu nebo, pokud je vyplněna, tak cesta v nastavení projektu. Projekt má přednost před nastavením v parametrech.

Vytvářet záložní soubory
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT
Pokud je vyplněn adresář pro zálohy, neprovádí se změna jména souboru, ale soubor včetně adresářové struktury se zálohuje do udaného adresáře (viz níže Adresář pro zálohu souborů)

Adresář pro zálohu souborů
Poukud není vyplněno, provádá se zálohování pomocí přidání znaku ~ do typu souboru.
Pokud je určen adresář, neprovádí se změna jména, ale soubor se včetně cesty ukládá do zadaného adresáře.
Příklad:
původní soubor: C:\Projekty\Delphi\PSPad\PSPad.DPR
adresář pro zálohu: D:\Zalohy
zálohováno jako: D:\Zalohy\Projekty\Delphi\PSPad\PSPad.DPR


Barvy

 Nastavení - barvy

Základní barvy
Barva písma
Barva pozadí
Těmito barvami je možno hromadně měnit barvu písma a pozadí ve všech zvýrazňovačích. Pracuje to tak, že po změně barvy se přepíší všechny barvy zvýrazňovačů, které mají barvu písma shodnou s původní barvou.
Např. písmo je černé, změníme jej na zelené. To způsobí změnu písma ve všech atributech všech zvýrazňovačů, které mají barvu písma černou.

Pozadí bloku
Písmo bloku
Určuje barvy označeného bloku textu

Barva aktuálního řádku
Tato barva určuje barvu pozadí aktuálního řádku, pokud je zvoleno jeho zvýrazňování

Barva pravého okraje
Určuje barvu ukazatele pravého okraje. Pokud chcete ukazatel skrýt úplně, nastavte barvu na Window (stejnou jako pozadí editoru)

Levý pruh
Určuje barvu levého pruhu, ve kterém se zobrazují např. čísla řádků nebo záložky.

Pravopis
Určuje barvu zvýraznění (podtržení) neznámých slov

LOG parser
Pokud vyplníte nastavení LOG parseru v nastavení kompilátoru, bude touto barvou zvýrazněn odpovídající řádek v editoru po kliknutí v LOG okně.

Závorky
Barva pro zvýraznění souvisejících závorek

Pozadí řádků rozdílů v textu
Přidané
Odebrané
Změnněné
Při porovnávání souborů jsou pro lepší orientaci řádky podbarveny. Každá barva indikuje určitý druh změny v souboru.

Sekce multizvýrazňovače
Barva písma
Barva pozadí
Při používání multizvýrazňovače jsou začátky jednotlivých sekcí (skripty, CSS apod.) zvýrazněny pomocí tohoto nastavení

Porovnání souborů
Ignorovat barvy zvýrazňovače
V okně, ve kterém budou zobrazeny rozdíly souborů nebuodu nebude zobrazen text v barvách podle zvýrazňovače, pouze bude zachován styl písma. Přispívá to k lepší čitelnosti.

Ignorovat velikost písmen
Při porovnání nebude brán ohled na velikost písmen.

Ignorovat volné místo
Při porovnání nebude brán ohled na mezery a tabulátory v textu. Jejich rozílný počet pak neznamená změnu.


Systém

 Nastavení - systém

Přímo otevírat TXT soubory
Tato volba způsobí změnu přiřazení programu pro TXT soubory. Standardně je tato možnost nastavena pro NOTEPAD.EXE. Máte možnost přepínat mezi PSPad a Notepad.

Integrovat na pravé tlačítko
Zde máte možnost otevírat soubory, které jsou asociované s jiným programem (HTML, SQL). Určitě by se vám nelíbilo, pokud by se toto přiřazení změnilo přímo na PSPad. Nabízí se lepší možnost - původní přiřazení zůstane, na dvojklik myší nebo Enter se HTML soubor otevře v původním přiřazeném programu. Pokud ale stisknete na souboru pravé tlačítko, objeví se možnost PSPad a po potvrzení se soubor v PSPadu také otevře.

Editor HTML v IE
Nastaví PSPad jako výchozí editor HTML v Internet Exploreru

Zobrazení zdroje HTML v IE (Internet Exploreru)
Zobrazení zdroje HTML v OPERA
V prohlížeči je možno na pravé tlačítko zobrazit zdroj HTML stránky. Pokud zaškrtnete tuto možnost, zdroj se otevře v PSPadu
Vyžaduje Internet Explorer verze 5 a vyšší, OPERA browser 5.10 a vyšší.
V případě prohlížeče OPERA je tato volba přístupná pouze v případě, kdy prohlížeč není spuštěn. jinak totiž není možno nastavení zapsat !

Editor pro Total Commander
Nastaví PSPad jako výchozí editor v manažeru Total Commander.
Tato volba je přístupná pouze v případě, že není Total Commander spuštěn. Jinak totiž není možno nastavení zapsat!

Zástupce na ploše
Zástupce v menu Start
Zástupce v menu Odeslat
Tyto volby vytvoří nebo zruší zástupce v menu start a na ploše

Víceuživatelské prostředí
Od verze 3.5.6 je podporována činnost PSPadu ve víceuživatelském prostředí (např. Windows NT), kdy konfigurace a další pomocné soubory jsou ukládány v adresáři profilu jednotlivých uživatelů.
Při prvním spuštění PSPadu pod novým uživatelem je konfigurace zkopírována do jeho profilu. Informace je uložena v souboru PSPad_MU.INI v adresáři PSPadu. Právo měnit informaci má pouze uživatel, který má přístup pro změny do adresáře s PSPadem. Pro ostatní uživatele je volba nepřístupná.

Minimalizovat do ikony
Program se při ukončení schová do malé ikony umístěné v pravé části hlavního panelu. Je tak stále okamžitě k dispozici. K obnovení programu dojde kliknutím na ikonu levým tlačítkem, vyvolání menu na ikoně pravým tlačítkem nebo otevřením souboru např. z Windows Commanderu. Pro definitivní ukončení programu vyvolejte menu (pravým tlačítkem na ikoně programu) a vyberte Konec.
Daní za okamžité spouštění je zabraných asi 3-4 MB paměti.
Pokud máte volbu aktivovanou a chcete PSPad uzavřít bez minimalizace, použijte volbu menu Soubor/Konec

Pouze jedna instance
Určujete, zda bude možné spustit více instancí programu nebo zda budou nové soubory otevřeny v existující instanci

Registrovat typy souborů
Tato volba umožňuje zaregistrovat PSPad pro přímé otevírání konkrétních typů souborů.
Např. pokud chcete otevírat soubory typu .CFG přímo v PSPadu, zapíšete .CFG do editačního políčka a stisknete tlačítko Přidat. V tom okamžiku se registruje typ a soubor je možno v PSPadu otevřít přímo dvojkikem. Při stisku tlačítka Delete, je registrace zrušena.


HTML

 Nastavení - HTML

Povolit HTML multizvýrazňovač
PSPad umožňuje vrámci HTML kódu zvýrazňovat i skriptovací jazyky (JScript, VBscript, Tcl/Tk), formátování CSS, PHP, ASP. Program provádí rozeznávání a volí zvýrazňovač pro příslušný jazyk. Podle toho jsou i nabízeny šablony apod.

Barva sekcí podle zvýrazňovače
Pokud není povoleno, jsou úvodní tagy skriptu zvýrazněny barvou, definovanou na kartě barvy.
Pokud zaškrtnete, budou použity barvy podle nastavení zvýrazňovače, konkrétně podle atributu Symbol.

Pro <%...%> použít
Skript, uvozený tagy <%...%> je používán pro ASP stránky. Zde máte možnost volby zvýrazňovače, který bude pro ASP použit (obvykle VBscript nebo ASP)

Základ multizvýrazňovače
určuje, zda bude jako základ multizvýrazňovače brán HTML nebo XHTML zvýrazňovač

Otevírat v multizvýrazňovači
Určuje, které typy souborů se mají otevírat přímo v multizvýrazňovači a které v odpovídajícím zvýrazňovači.

CVS import
Tato skupina parametrů slouží pro nastavení importu ze souborů CSV.

Délka řádku po kompresi
Parametr určuje maximální délku řádku pro použití funkce Komprese HTML

Text na HTML - řádky jako odstavce
při konverzi textu na HTML budou řádky ukončeny <br> nebo označeny jako odstavec <p>...</p>


Internet

 Nastavení - Internet

Proxy server
Použít proxy server
Tato volba povoluje použití proxy serveru při operacích se soubory na internetu

Adresa
IP adresa proxy serveru

Port
Port, na kterým běží služba ProxyServeru. Pro MS proxy je to obvykle 8080, pro WinRoute, WinProxy je to 3128, další obvyklý port je 80

Jméno
Heslo
Zde si zadáváte uživatelské jméno a heslo, pro přístup k proxy serveru, pokud je vyžadováno

e-Mail
Nastavení poštovního klienta, kterého bude PSPad používat. Nastavení je nezávislé na nastavení výchozího klienta v systému Windows.

Apache
DocumentRoot
Zde se nastavuje cesta pro umístění dokumentů, pokud máte instalován www server (hodnota c:\apache\htdocs je přednastavena po instalaci free serveru Apache). Používá se při spouštění externích programů v proměnné %PHPFile%. Cesta, uvedená v této proměnné je nahrazena za http://server

Server
Nastavuje se zde jméno serveru (výchozí je localhost), které se uplatní v cestě popisované v DocumentRoot


Mapa kláves

 Nastavení - Mapa kláves

Od verze 4.0.7 je možno uživatelsky měnit klávesové zkratky programu

Rozložení kláves se ukládá do souboru KeyMap.INI, který je umístěn v adresáři programu, popř. v profilu uživatele, pokud je nastaveno víceuživatelské prostředí. Protože se načítání provádí při startu programu, výmazem souboru se editor vrátí do původního nastavení. Tento soubor je možno editovat i ručně.

Postup editace:
· dvojklikem na řádku (popř. klávesou Enter) se jménem akce se klávesová zkratka přenese do editačního pole
· klávesová zkratka se zadává přímo stiskem požadované kombinace kláves
· po potvrzení OK je přiřazena nová klávesová zkratka
· mapování klávesových zkratek je zapsáno až při potvrzení dialogu nastavení programu !

Pokud zvolená klávesová zkratka existuje u jiné akce, dojde u původní akce ke smazání a zápisu k aktuální akci.

Další tlačítka:
Smazat vše
vymaže všechny klávesové zkratky

Vrátit změny
zruší všechny provedené změny a nastaví aktuální stav v programu

Výchozí
smaže soubor KeyMap.INI, takže při příštím startu programu je obnoven výchozí stav klávesových zkratek


Zvýraznění syntaxe

 Zvýrazňovač - zvýraznění syntaxe

Program nabízí uživatelské přizpůsobení zvýrazňovačů. Na několika kartách jdou nastavit barvy a vlastnosti písma, filtry pro otevírání souborů, externí programy, ve kterých je možno editovaný soubor otevřít a konečně i nastavení kompilátoru.

Nastavení je uloženo v souboru PSPad.INI v následujícím formátu:
8 bajtů barva písma, 8 bajtů barva pozadí, po jednom bytu pak tučné, kurzíva, podtržené.
Barvy písma se skládají :
2 byty číslo palety (mohou být nulové) a po 2 bytech pak složky R,G,B
Pro druh písma pak platí: 0 není vybrán, 1 je vybrán

Načtení palety barev
PSPad od verze 3.5.2 umožňuje načtení barevného schématu. Tím dojde k přestavení barev editoru a všech zvýrazňovačů.
· pro načtení barev je třeba vybrat nějaké schéma z rozbalovacího seznamu a stisknout tlačítko načíst.
· pro uložení schématu napíšete vlastní jméno schématu a stisknete tlačítko uložit.

HTML Multi-zvýrazňovač

Tento zvýrazňovač spojuje dohromady několik zvýrazňovačů, týkajících se editace HTML. Jeho vlastnosti nejdou nastavit přímo, nastavují se u jednotlivých zvýrazňovačů.
Výchozím nastavením je zvýrazňovač HTML (filtr pro otevírání souborů a externí příkazy).

Detekce částí HTML dokumentu
· <script> </script> JavaScript
· <script...javascript...> </script> JavaScript
· <% %> VisualBasic script
· <script...vbscript...> </script> VisualBasicScript
· <script...tcl...> </script> TCL/TK
· <? ?> PHP
· <script...php...> </script> PHP
· <style...> </style> CSS


Nastavení barev

 Zvýrazňovač - nastavení barev

Před tím, než začnete experimentovat s nastavením barev, uložte si aktuální barevné schéma, ať se k němu v případě neúspěšných pokusů můžete vrátit (viz. bod 3 v následujícím postupu)

Postup pro nejjednodušší nastavení barev

1. nastavení základních barev
v menu Nástroje / Nastavení programu / barvy nastavit základní barvy programu. Tyto změny se promítnou současně do všech zvýrazňovačů následujícím způsobem:
· pokud je původní barva písma stejná s barvou písma atributu ve zvýrazňovači, dojde ke změně barvy písma i v atributu zvýrazňovače
· pokud je původní barva pozadí shodná s barvou pozadí atributu zvýrazňovače, dojde i ke změně pozadí atributu zvýrazňovače
· pokud by byla barva písma atributu zvýrazňovače shodná s novou barvou pozadí, změní se barva písma atributu zvýrazňovače na novou barvu písma

2. doladění barev zvýrazňovačů
v menu Nástroje / Nastavení zvýrazňovačů / Barvy doladit barvy zvýrazňovačů.
Abyste nemuseli projíždět a otrocky nastavovat (třeba barvy komentáře) ve všech zvýrazňovačích, můžete dvojklikem na jménu atributu toto nastavení promítnout do stejných atributů všech zvýrazňovačů.
Např. nastavím styl písma a barvy pro komentář a dvojklikem na komentář toto nastavení promítnu na všechny komentáře.

3. uložení nového schématu
v menu Nástroje / Nastavení zvýrazňovačů / Barvy napsat jméno nového schématu a stisknout tlačítko Uložit. Tím se aktuální nastavení barev uloží do souboru a od této chvíle je k dispozici

Příklad změny pozadí

Pouze změna pozadí na zelenkavou
Není třeba procházet v nastavení zvýrazňovačů všechny atributy a měnit jim pozadí. Stačí podle bodu 1 předchozího postupu změnit barvu pozadí editoru

Umístění souborů se schématy

Soubory s barevnými schématy jsou uloženy v podadresáři .\Colors. Jedná se o textové INI soubory. Popis struktury řádku s nastavením atributu zvýrazňovače je popsán v nastavení barev syntaxe


Upřesnění

 Zvýrazňovač - upřesnění

Jméno filtru
je zobrazeno v dialogu otevírání a ukládání souborů

Soubor s nápovědou
Pokud si vyplníte odkaz na soubor s nápovědou, můžete využít klávesovou zkratku ALT+F1 k vyvolání nápovědy pro aktuální slovo. V multizvýrazňovači se vyvolá nápověda k příslušnému skriptu, pokud je nastavena.
Soubor s nápovědou nemusí být jen lokální soubor, je možné použít i URL adresu. Pokud v ní bude uvedena proměnná %word%, bude nahrazena slovem, na kterém stojí kurzor

Masky souborů
určují přiřazení souborů jednotlivým zvýrazňovačům. Podle těchto masek pak program pozná jaký zvýrazňovač při otevření souboru použít. Pokud přidělíte několika typům zvýrazňovačů stejnou masku, bude použit první výskyt.

Uživatelské zvýrazňovače
Program umožňuje definovat vlastní zvyrazňovače. Pokud tedy vyberete zvýrazňovač, který umožňuje uživatelskou definici, je toto pole zpřístupněno a vy máte možnost jednoduchým výběrem přiřadit nadefinovaný zvýrazňovač.
V tomto případě se jméno filtru a masky přebírají z uživatelského zvýrazňovače. V případě požadavku na změnu je třeba jít do definice vlastního zvýrazňovače a provést změnu tam.

Velikost tabulátoru
Pokud chcete mít individuální velikost tabulátoru pro každé prostředí, nastavte ji zde. Při nenulové hodnotě má přednost před centrálním nastavení v nastavení programu

Znaky pro rozšířené odsazování
Některé programovací jazyky jako PHP, C apod. používají odsazovaný zápis zdrojového kódu:
xxx {
  xxx {
    xxx
    xxx
  }
}
Zde máte možnost definovat znaky, po kterých dojde ke zvětšení odsazení nebo zmenšení odsazení, pokud je napíšete na konec řádku a stisknete Enter. Čili podle předchozího příkladu napíšu znak { a Enter a další řádek je odsazený o jeden tabulátor. Podobně po znaku } se odsazení snižuje.

Podmínky:
· znak musí být posledním znakem na řádku
· v nastavení programu musí být zatržena volba "automatické odsazení"


Externí programy

 Zvýrazňovač - externí programy

Pro každý typ souboru je možno přiřadit až 5 externích programů (další jsou ignorovány). Výchozí je program, který je na prvním místě.

Seznam programů
Obsahuje přiřazené programy. K úpravám, přidávání a mazání slouží editační políčka pod seznamem. Při výběru některého řádku je jeho obsah přenesen do políček a je možno jej opravit, mazat, přidat znovu.
Pomocí šipek vedle seznamu je možno měnit pořadí programů v seznamu.
Výchozí program se v editoru spouští klepnutím na ikonu shellopen nebo klávesou F9. Ostatní programy přes malou šipku vedle ikony nebo z menu Soubor.

Jméno
pod tímto jménem najdete program v menu
Program
vlastní jméno programu včetně plně kvalifikované cesty a parametrů
LOG soubor
Pokud je vyplněn LOG soubor, spustí se daný program, počká se na jeho ukončení a pak se zobrazí obsah výsledného souboru v LOG okně. Dokud nebude spuštěný program ukončen, není možno v práci pokračovat. Použití je pro řádkové příkazy apod., u kterých chcete vědět, jak dopadl výsledek.
Pokud není LOG vyplněn, nečeká se na ukončení spuštěného programu (třeba zobrazení souboru v prohlížeči) a lze okamžitě pokračovat v práci.

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru. Bližší informace a seznam proměnných v kapitole o nastavení kompilátoru

Přidat
Tlačítko je přístupné po vyplnění jména programu a cesty k programu. Vloží vyplněné údaje do seznamu
Smazat
Tlačítko je přístupné v případě, že je v seznamu vybrána položka a slouží k odstranění vybraného řádku ze seznamu
Opravit
Nahradí vybraný řádek v seznamu obsahem editačních políček
Najít program
S výhodou je možno použít toto tlačítko, které pomocí výběru programu vyplní editační políčka

Příklady jednotlivých nastavení
najdete v kapitole o práci s PSPadem

Formát příkazu:
jméno_v_menu,"externí_program" parametry §"LOG_soubor"

Příklad nastavení pro HTML:
Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"
Opera,"c:\program files\opera\opera.exe" "%File"

Příklady z praxe pro práci s MS-SQL:

1. jednoduchá náhrada Query Analyzeru
V textu editoru napíšu SQL dotaz a v LOG souboru se mi vrátí výsledek dotazu (jednotlivé řádky výsledné tabulky). Lze pohodlně psát uložené procedury, vytvářet a rušit tabulky apod. Díky možnosti mít více příkazů si můžu nadefinovat řádky pro jednotlivé SQL servery a spouštět příkazy na určeném serveru.

2. konverze dat
Výsledkem je textový soubor, který na SQL server je posíláme přes BCP.
Takže si v PSPadu si otevřu daný soubor, vidím obsah a spuštěním příkazu jej pomocí BCP odešlu na server, v LOGu vidím výsledek. Pokud se nezadařilo, přepnu se do dalšího okna s typem souboru SQL, napíši příkaz na vymazání obsahu tabulky, přepnu se zpět na zdroj pro BCP, provedu úpravy a odešlu na server znovu. A to vše v PSPadu.


Nastavení kompilátoru

 Zvýrazňovač - nastavení kompilátoru

V některých případech je nutno soubor nejen otevřít v externím programu, ale také spustit externí kompilátor, počkat na dokončení kompilace, zobrazit obsah okna s výsledky kompilace, popř. výsledný soubor spustit.
V programu se kompilátor spouští pomocí ikony projcompile nebo klávesovou zkratkou Ctrl+F9

Jaký soubor je předán kompilátoru
Program postupuje v následujícím pořadí:
· hlavní soubor projektu
· hlavní soubor, pokud není použit projekt
· aktivní dokument

Kompilátor
Určuje plně kvalifikovanou cestu k programu kompilátoru. Cesta se nedává do uvozovek, ty jsou doplněny automaticky.

Parametry
Parametry slouží pro nastavení vlastností kompilátoru, předání souboru, nastavení cesty pro výsledný LOG soubor atd.
Přehled parametrů určující předaný soubor je uveden ve spodní části okna

LOG soubor
Do logového souboru jsou kompilátorem ukládány zprávy o průběhu a výsledku kompilace. PSPad umí tento soubor zobrazit v okně na spodní části obrazovky. Pokud je toto políčko vyplněno, soubor bude po kompilaci automaticky zobrazen.
Log soubor lze zobrazit z menu

Spustit po kompilaci
Pokud si chcete prohlédnout výsledek vaší snahy, stačí vyplnit toto políčko. Po dokončení kompilace pak bude výsledný program spuštěn.

Před kompilací uložit všechny soubory
Pokud je zaškrtnuto, uloží před spuštěním kompilátoru všechny změněné soubory

Zachytit výstup programu
Tato volba slouží k zachycení hlášení, které program vypisuje na obrazovku. Některé programy neumožňují zapisovat LOG do souboru a tohle je pak jediná možnost, jak se k hlášením dostat

Skrýt výstupní okno
Pokud je zaškrtnuto, výstupní okno programu nebude zobrazeno

LOG parser
Pokud je správně nastaven, umožňuje po dvojkliku na řádek v LOG souboru skok do zdrojového souboru na příslušný řádek. Podmínkou nalezení řádku je, aby soubor byl otevřen nebo byl součástí projektu.
Principem parsování je identifikovat začátek a konec jména souboru a čísla řádku. Jméno souboru ani číslo sloupce tam nemusí být uvedeno. V tom případě je proveden skok na řádek v aktuálním souboru.

Použitelné proměnné:
*  jakýkoliv text
%F jméno souboru
%L číslo řádku
%C číslo sloupce

Příklad:
LOG:
[Error] uHLSett.pas(346): Undeclared identifier: 'ik'
[Fatal Error] PSPad.dpr(58): Could not compile used unit 'uHLSett.pas'
parser:
*] %F(%L)

Vysvětlení příkladu:
Protože začátek hlášení v LOGu není jednoznačný, najdeme společnou část, což je ]mezera a na začátek dáme znak *. Za tím následuje jméno souboru, což je proměnná %F. Pak je ( a číslo řádku, takže vložíme proměnnou %L. Ta závěrečná závorka tam být nemusí, ale vypadá pěkně.

Příklady nastavení kompilátoru
najdete v samostatné kapitole

#RunMacros

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru.

%File %    nahrazuje jméno souboru včetně cesty
%Dir%      nahrazuje cestu k souboru
%Name%     nahrazuje jméno souboru bez cesty a přípony
%Ext%      nahrazuje příponu souboru
%URLFile%  nahrazuje jméno souboru včetně cesty
%HttpFile% nahrazuje jméno souboru včetně cesty
%PHPFile%  nahrazuje jméno souboru včetně cesty
%SelText%  v této proměnné je předán označený text
%Input%    ruční zadání parametru před spuštěním

Příklad:
Je předán soubor : c:\Dokumenty\HTML\Test.HTM
Obsah jednotlivých proměnných:

%File%     c:\Dokumenty\HTML\Test.HTM
%Dir%      c:\Dokumenty\HTML\
%Name%     Test
%Ext%      .HTM
%URLFile%  file://localhost/c:/Dokumenty/HTML/Test.HTM
%HttpFile% http://localhost/c:/Dokumenty/HTML/Test.HTM
%PHPFile%  http://localhost/Test.HTM
(pokud je v nastavení programu / internet nastavena cesta DocumentRoot na: c:\Dokumenty\HTML)


Kompilátor - příklady

 Příklady nastavení kompilátoru

O nastavení kompilátoru pojednává kapitola v nastavení zvýrazňovačů
Zde se dočtete o využití kompilátoru pro různá prostředí, příklady nastavení apod.
Z názvu kompilátor by se mohlo zdát, že použití je pouze pro kompilaci zdrojového kódu. Možná je název trochu zavádějící. Použití je všude tam, kde potřebujete soubor spustit v externím programu a zobrazit informace o průběhu, které externí program poskytuje.

Kromě řádkových kompilátorů pro různá exotická prostředí, různé kompilátory skriptů je vhodné využití třeba pro spouštění SQL skriptů.

Zeleně označený text nahraďte skutečnými hodnotami

LaTeX

kompilátor:  disk:\cesta\cslatex.bat
parametry:   %Name%.tex
LOG soubor:  %Name%.log
po kompilaci: windvi %Name%.dvi

Obsah CSLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich cslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt cslatex
:okay
latex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

LaTeX do PDF

kompilator :  disk:\cesta\pdfcslatex.bat
parametry  :  %Name%.tex
LOG soubor :  %Name%.log
po kompilaci: cesta_k_Acrobat_Readeru\AcroRd32 %Name%.pdf

Obsah PDFLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich pdfcslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt pdfcslatex
:okay
pdftex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

MS-SQL

kompilátor: disk:\cesta\osql
parametry : -Sserver_name -Ulogin_name -Ppassword -ddatabase_name -n -w1000 -i"%File%" -o"%Dir%%Name%.log"
LOG soubor: %Dir%%Name%.log

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\PLUS80.EXE
parametry   : -s jmeno/heslo@db @disk:\cesta\RunSQL "%Dir%%Name%.Log" "%File%"
LOG soubor  : %Dir%%Name%.Log

Obsah pomocného souboru RunSQL.SQL:
spool &1
set term off
@&2
spool off
exit

Poznámky:
Nezapomeňte SQL dotaz ukončit středníkem !

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\tasm.bat
parametry   : disk:\cesta\tasm\ %Dir% %Name%
po kompilaci: %Dir%%Name%

obsah tasm.bat
@ECHO OFF
REM %1 = Cesta k souboru
REM %2 = Jmeno prekladaneho souboru bez pripony

REM Adresar prekladacu tasm.exe a tlink.exe je nejlepsi pridat do cesty
REM v autoexec.bat, coz se provede takto:
REM SET PATH=existujici\cesty;cesta\k\prekladaci

REM Nastaveni cesty
CD %1

REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe

REM Preklad
tasm %2.asm
tlink %2.obj
REM Smazani nepotrebnych souboru
DEL %2.obj
DEL %2.map

Assembler 8051

kompilator: disk:\cesta\cass51.bat
parametry : disk:\cesta1\asm51 %Dir% %Name% %Ext%

obsah cass51.bat
@Echo Off
Rem Nastaveni pracovniho adresare
cd %1
Rem Kopie zdrojoveho souboru do prac. adr.
copy %2%3%4 %1%3%4
Rem Preklad
cass51 %3%4
Rem Smazani zdroj. souboru v prac. adresari
del %3%4
Rem Presun souboru *.prn a *.hex do zdrojoveho adr.
copy %3.* %2%3.*
del %3.*

Kix32 - externí příkazy

run  : disk:\cesta\Kix32.exe "%File%"
debug: disk:\cesta\Kix32.exe "%File%" /d

Turbo pascal

kompilator  : disk:\cesta\tpc.bat
parametry   : %Dir% %Name%
po kompilaci:  %Dir%%Name%

obsah tpc.bat
@ECHO OFF
REM %1 - Adresar zdrojoveho souboru
REM %2 - Jmeno zdrojoveho souboru bez pripony (ocekava se .pas)
REM Adresar prekladace tpc.exe je nejlepsi pridat do cesty v autoexec.bat,
REM coz se provede takto:
REM SET PATH=existujici\cesty;cesta\k\prekladaci

REM Nastaveni pracovniho adresare
CD %1
REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe
tpc %2 -uD:\Programy\PASCAL\tpu -m
REM Vyznam parametru:
REM -u : specifikuje cestu k standardnim jednotkam Turbo Pascalu
REM -m : překompiluje změněné jednotky

TiDy - kontrola HTML kódu

LOG parser: line %L

XMLlint - kontrola XML dokumentu

Budete potřebovat balík LibXML, ktery je vyvíjen pod licencí GPL a přeložená verze pro Windows je zdarma ke stažení na stránce LibXML. Stáhněte si balík, který obsahuje i utility.
Konkrétně se nám bude jednat o utilitu XMLlint.EXE

kompilator  : disk:\cesta\xmllint.exe
parametry   : --valid %File%
[X] zachytit výstup programu
LOG parser  : *:F:%L

AutoIT - kompilátor, externí příkazy

Kompilátor
kompilator: disk:\cesta\AutoIt.exe
parametry:  "%File%"

AutoIt to EXE
program:    disk:\cesta\Aut2Exe\Aut2Exe.exe
parametry:  /IN "%File%" /OUT "%Dir%%Name%.exe"

EXE to AutoIt
program:    disk:\cesta\Aut2Exe\Exe2Aut.exe
parametry:  /IN "%Dir%%Name%.exe" /OUT "%File%"

Java SDK

kompilátor:   disk:\cesta\javac.exe
parametry:    %Name%.java
LOG soubor:   %Name%.LOG
po kompilaci: cmd /k Java %Name%
[X] zachytit výstup programu
LOG parser:   *:%L

C# - MS .Net framework

kompilátor:   disk:\cesta\csc.exe
parametry:    "%File%" /nologo /warn:4
[X] zachytit výstup programu
LOG parser:

PHP

kompilátor:        drive:\path\php.exe
parametry:         %File%
[X] zachytit výstup programu
LOG parser:        *on line <b>%L

Perl

kompilátor:        drive:\path\perl.exe
parametry:         %File%
[X] zachytit výstup programu
LOG parser:        *on line <b>%L


 Vlastní zvýrazňovač

Popis jednotlivých položek dialogu

Jméno
Zde se uvádí jméno typů souborů, pro které je zvýrazňovač určen. Toto jméno se objeví v nabídkách, ve filtru při otevírání souborů, v typu souborů na stavovém řádku atd.

Přípony souborů
Seznam masek, které se uplatní při otevírání souboru a při detekci, který zvýrazňovač se použije. Jednotlivé masky jsou odděleny čárkami

Styl komentářů
Specifikuje jaký druh komentářů je v daném souboru použit. Komentáře lze libovolně kombinovat. Na výběr máte 5 druhů standardních komentářů:

(* *) - komentář začíná znaky (* a končí znaky *)
{} - komentář začíná znakem { a končí znakem }
// - komentář začíná znaky // a platí do konce řádku
/* */ - komentář začíná znaky /* a končí znaky */
; - komentář je uvozen znakem ; a platí do konce řádku
* && - komentář začíná znakem * (první znak na řádku) nebo znaky && a platí do konce řádku
# - komentář začíná znakem # a platí do konce řádku
@ - komentář začíná znakem @ a platí do konce řádku
/ - komentář začíná znakem / na začátku řádku nebo za středníkem a platí do konce řádku
REM - komentář začíná na začátku řádku znaky REM
! - komentář začíná znakem ! a platí do konce řádku
% - komentář začíná znakem % a platí do konce řádku
' - komentář začíná znakem ' a platí do konce řádku
-- - komentář začíná znaky -- a platí do konce řádku
" - komentář začíná znakem " a platí do konce řádku nebo do dalšího výskytu znaku " nebo ;

Řetězce
Slouží k identifikaci řetězců. Na výběr jsou dvě možnosti:

Apostrofy - 'řetězec'
Uvozovky - "řetězec"

Preprocesory
jsou zvláštní řetězce, které slouží pro řízení kompilátoru, větvení programu, podmínečnému překladu apod.

HTML
tato indikace označuje, že jde o zvýrazňovač pro HTML, takže budou při použití tohoto zvýrazňovače k dispozici HTML nástroje

Tabulátor
určuje velikost tabulátoru

Komentář
pokud bude určen komentovací řetězec, bude použit ve funkci komentovat a odkomentovat blok. Pokud není určen, použije se nějaký vhodný ze zvolených komentářů

Rozšířené odsazování
viz.

Klíčová slova
Zde je uveden seznam klíčových slov, které se v programu vyskytují.
Podmínky pro klíčová slova:
· každé slovo na zvláštním řádku
· jsou psány velkými písmeny (při uložení jsou automaticky převedena na velká)
· jsou seřazeny podle abecedy (při uložení jsou automaticky seřazena)

Vyhrazená slova
Mají stejný význam jako klíčová slova. Doplněno od verze 3.1.6. Využívá se, pokud chcete barevně rozlišit dvě skupiny slov. Pojmenování "Klíčová" a "Vyhrazená" slouží pouze k rozlišení seznamů, není v tom skryt žádný další význam. použít to můžete třeba pro definici datových typů apod. Pokud se stejné slovo vyskytuje v obou seznamech, je použito slovo z klíčových slov a s tím souvisí i barva syntaxe

Načíst
Načte definici zvýrazňovače. Program předpokládá uložení definice v podadresáři Syntax. Pokud soubor načtete třeba z diskety, při uložení bude provedena kontrola existence (popř. vytvoření) podadresáře a soubor s definicí bude uložen tam.

Uložit
Uloží soubor s definicí do podadresáře Syntax. Jméno souboru je totožné se jménem, uvedeným v políčku Jméno.
V případě, že je zvýrazňovač, se kterým se pracuje aktivní, jsou změny při uložení promítnuty i do všech otevřených souborů, které jej používají.

Jak vytvořit vlastní zvýrazňovač

Definice zvýrazňovače
Vyplnit jméno zvýrazňovače - toto jméno se bude ukazovat v menu
Vyplnit masky souborů. Ty potom poslouží k automatickému přiřazení zvýrazňovače při otevření souboru
Vybrat typ komentářů, který nejlépe odpovídá stylu ve vašem souboru.
Zvolit typ řetězců - řetězec je v apostrofech nebo uvozovkách
Vyplnit seznam klíčových, popř. vyhrazených slov. Ty jsou při uložení setříděny abecedně automaticky, takže si s tím nemusíte dělat starosti.
Pak zvýrazňovač uložíte tlačítkem "Uložit".

Jak říct PSPadu, aby náš zvýrazňovač používal
Spustit Nastavení zvýrazňovačů
Na kartě Filtry v levém seznamu kliknout na jeden ze tří tučně zvýrazněných zvýrazňovačů (General)
V seznamu uživatelských zvýrazňovačů (vpravo) kliknout na požadovaný zvýrazňovač.
Takto je možno přidělit zvýrazňovače do všech tří pozic

Nastavení barev pro zvýraznění syntaxe
Pokud někomu nevyhovuje standardní nastavení barev, můžete přejít na záložku "Barvy syntaxe" a jednoduchým nastavením barvy písma a pozadí si přebarvíte odpovídající typ. Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Význam některých typů při nastavování barev
· Návěští jsou slova začínající znakem @, obsahující písmena bez diakritiky, pomlčku a podtržítko
· Symboly jsou znaky, které nejsou písmena (matematické znaky, závorky apod.), kromě znaků, použitých v jiných typech (např. komentářích)
· Identifikátory jsou všechny ostatní znaky

Popis struktury definičního souboru:

;komentář, ignorováno
;jméno sekce, povinné
[Settings]
;jméno typu souboru - povinné
Name=OtherCad
;seznam typů souborů - povinná min.jedna položka
FileType=*.prg,*.bpk
;nastavení jednotlivých parametrů. Nepovinné, 1 = Ano, 0 = Ne
ANSIComment=0
PasComment=0
CComment=0
SpecComment=1
BasComment=0
SingleQuote=0
Preprocessors=0
;jméno sekce - povinné
[KeyWords]
;jednotlivá klíčová slova velkými písmeny, seřazená abecedně
ABS=
ACOS=
ATN=
BOOLEAN=
;jméno sekce - povinné
[ReservedWords]
;jednotlivá vyhrazená slova velkými písmeny, seřazená abecedně
BOOLEAN=
INTEGER=
STRING=